commit be96728e02b7140b8d9f746fd9321a207f30d819
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:   2017-10-02

    Release 3.26.1

M	NEWS
M	configure.ac

commit b5e2d5c83e99d28c6fcbcb58ffb5f360379fea31
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-09-29

    Rework settings handling

    Use GtkWindow::get_size() instead of configure event to store
    window size.
    (See https://wiki.gnome.org/HowDoI/SaveWindowState).

    Don't use globals for GSettings objects.

M	src/baobab-application.vala
M	src/baobab-window.vala

commit 6573e85be2f513888c0b5b21e79def6cb624ec44
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2017-09-22

    Update Persian translations

M	po/fa.po

commit 16ce0687bc6c6b7d2eda564805df9cae51b799ba
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2017-09-17

    Update Slovak translation

M	po/sk.po

commit ade41438221e4cc79d9e64a565c96d7551c1fa83
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-09-16

    Update Polish help translation

M	help/pl/pl.po

commit 7ca8be9d53ca6a92ba6aeba3ddc74083877abca4
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2017-09-14

    Updated Esperanto translation

M	po/eo.po

commit aaad7da9175afae8108fd64d230a470543a513da
Author: hanniedu <hannie@ubuntu-nl.org>
Date:	2017-09-11

    Updated Dutch translation Master 3.26

M	po/nl.po

commit 8fe6ff7ae8630745b3621e4a308aff455b35f46c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-09-10

    Release 3.26.0

M	NEWS
M	configure.ac

commit 105e9f26129f8fa3646990587ef7b87856445454
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-09-10

    Raise minimal vala version

    https://bugzilla.gnome.org/show_bug.cgi?id=787419

M	configure.ac

commit a1957d2e8eafab7d70adec76b1ccedb9786bf2d3
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2017-09-10

    Updated Bulgarian translation

M	po/bg.po

commit da3ec2474884d2b1f7a1e6ab3b01c0966048aef6
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-09-10

    Fixes to Catalan translation

M	po/ca.po

commit 7162f0a24bc7e63f5419a27544230f6acee7580e
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-09-09

    Update Catalan translation

M	po/ca.po

commit 4075864d91a108de5305909c938a66da22e1dc41
Author: Lyubomir Vasilev <lyubomirv@abv.bg>
Date:	2017-09-09

    Updated Bulgarian translation

M	po/bg.po

commit 288b8ba55e144f13560641fdad1432b7361b0965
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2017-09-08

    Update Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 8593b5ba7bb5c3fbc121a4ccec582f7853f05aff
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	2017-09-08

    Update Icelandic translation

    (cherry picked from commit 11689f6128ac2f872a2aad7fe765b96a5f8bd90a)

M	po/is.po

commit 799d2977cd8671620a88a24be2aca0ce809083e5
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2017-09-04

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit c0420116c75c34a4607e7c4bf0205d260f41c554
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-09-03

    Release 3.25.92

M	NEWS
M	configure.ac

commit 49cc2b85b20f1bb0aa4b89ce19af951889f67493
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2017-09-02

    Update Finnish translation

M	help/fi/fi.po

commit 68d94b6dc187a02cb9256ebe43b73ab246482c32
Author: Seong-ho Cho <shcho@gnome.org>
Date:	2017-09-02

    Update Korean translation

M	help/ko/ko.po

commit da7cc433a8dbfde0aadd08d627029a511f71f502
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2017-08-26

    Updated Danish translation

M	po/da.po

commit c73c4e06eea671bcdd037462e20a9c34b436c429
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2017-08-18

    Update Hungarian translation

M	help/hu/hu.po

commit daa95e48fda93565f2706871f29d204173ea2f9b
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	2017-08-18

    Update Indonesian translation

M	help/id/id.po

commit 9dec5095131c9c79eb2b99409223fc543dcffb9f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-08-06

    Update Polish translation

M	help/pl/pl.po

commit c5293c914135b05b281f50a864637d978b1fa3a1
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2017-08-06

    Updated Czech translation

M	help/cs/cs.po

commit 429562ba443085a22044f20030c7ffb5e6b4cccf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-08-05

    Fix Malayalam and Nepali translations

M	po/ml.po
M	po/ne.po

commit 46549ba1187eb726e3c5e4d783505b1521cf52f6
Author: Balasankar C <c.balasankar@gmail.com>
Date:	2017-08-05

    Update Malayalam translation

M	po/ml.po

commit a18b3a54521d1d82117b22863e464823f5832280
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2017-08-05

    Updated Spanish translation

M	help/es/es.po

commit bcaf17d62f1be9da45f87540059eea3a65a9f8b0
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2017-08-03

    Update Swedish translation

M	help/sv/sv.po

commit c1a20334d5fdb4e77bb4bf569a190d5d09e9db36
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2017-08-01

    Update German translation

M	help/de/de.po

commit 3010d60caee228a988d087e7bd50a51a9752382f
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2016-06-14

    Fixes for typos etc in help

    https://bugzilla.gnome.org/show_bug.cgi?id=767624

M	help/C/pref-view-chart.page
M	help/C/problem-permissions.page
M	help/C/problem-slow-scan.page

commit 5fa22a1b783e5e1220f15a6eeee3788af67974f4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-07-31

    Re-enable Portuguese help translation

    https://bugzilla.gnome.org/show_bug.cgi?id=784427

M	help/Makefile.am

commit 205573291f6ee766646d9c6a7d9c96124345bdff
Author: Pawan Chitrakar <chautari@gmail.com>
Date:	2017-07-31

    Update Nepali translation

M	po/ne.po

commit f70bcaf6b82ed94b734b21af172456388b93e5fe
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2017-07-28

    Updated Slovenian translation

M	po/sl.po

commit 1873a623d1423697a9a4473a8671407fd28a4c8b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2017-07-21

    Updated Slovenian translation

M	po/sl.po

commit 5611de3b16509786adfe48569d00e8bf198ccf55
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-06-05

    Refresh Portuguese help translation

    In a desperate effort to fix its build.

M	help/pt/pt.po

commit 6fa06b10273568830e3696c93eaf6823cddf6d71
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-06-02

    Add Polish help translation

M	help/Makefile.am
A	help/pl/pl.po

commit cbf8523c04d763300f2ab44e580dfd1886ae5f6d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-06-02

    Fix XML tags in Portuguese help translation

M	help/pt/pt.po

commit d5df1e0bbbcea2288cca95ad4128e03012172b45
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2017-05-09

    Updated Slovenian translation

M	po/sl.po

commit 817a5e22ff88cf5ce92c1152b410342285c765fa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-04-27

    Update po/Makevars

    This is not a GNU package and the Free Software Foundation has
    no copyright
    over it. Also adds MSGID_BUGS_ADDRESS.

M	po/Makevars

commit 7b8e606a44a2eb9cb208d9d1f9be72155fb36639
Author: Yuras Shumovich <shumovichy@gmail.com>
Date:	2017-04-18

    Update Belarusian translation

M	po/be.po

commit 78a652cf1d5ddebb9b7ab8113d9fcd33329dd282
Author: gogo <trebelnik2@gmail.com>
Date:	2017-04-08

    Update Croatian translation

M	po/hr.po

commit 8361fa2662bbfc865843c1ba933ab189f5f070c1
Author: Furkan Ahmet Kara <furkanahmetkara.fk@gmail.com>
Date:	2017-04-04

    Update Turkish translation

M	po/tr.po

commit 202d168b67964975fea570d3da48e3ab765fdba7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2017-03-22

    Update Spanish translation

M	po/es.po

commit 2c3292fbe95e2108940b3191bb7c179c8c19e701
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-03-20

    Release 3.24.0

M	NEWS
M	configure.ac

commit ca4e872c1007316c08bbfad025c90643a83fb4cb
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2017-03-20

    Updated Ukrainian translation

M	po/uk.po

commit 1cb26d958ece58bd7354bef9570ad290e639d930
Author: Seong-ho Cho <shcho@gnome.org>
Date:	2017-03-19

    Update Korean translation

M	po/ko.po

commit 70e982695c4d871671f8c3adc08186209fc070b4
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2017-03-18

    Update Latvian translation

M	po/lv.po

commit 1aa96d87a7eac79e771c61466b3a445bd0eae51a
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-03-14

    Fixes to Catalan translation

M	po/ca.po

commit 5b283812a1e5c5b694f856ce985407574b78cd96
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2017-03-14

    Updated Russian translation

M	po/ru.po

commit e79738b58bd8eebe0167fdc6d05c079f409c0aca
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-03-12

    Update Catalan translation

M	po/ca.po

commit cdf6c6e09ed094b62764d70ff14e3529894b73ac
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	2017-03-11

    Update Galician translation

M	po/gl.po

commit f108bd43d2b963a6fdd7647ed300e2db65afcfb8
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2017-03-10

    Updated Lithuanian translation

M	po/lt.po

commit 1c771722d423eaf4a8bf9156a162c0a2d940281b
Author: Balázs Meskó <meskobalazs@fedoraproject.org>
Date:	2017-03-08

    Update Hungarian translation

M	po/hu.po

commit 51604693b5fe222fe9209e24c4ed9c1cefe9cfc1
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2017-03-07

    Updated Danish translation

M	po/da.po

commit 582b647e1105ee1927673bf844dcc2d8fa2ebbf1
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	2017-03-07

    Update Scottish Gaelic translation

    (cherry picked from commit c4933f5688946729c2596b2e93142a1f08c90302)

M	po/gd.po

commit 98dd9cfc897145495845417979a8ed74de8e37e2
Author: Guillaume Bernard <contact.guib@guillaume-bernard.fr>
Date:	2017-03-06

    Update French translation

M	po/fr.po

commit 664ebb3ddbcbadab8aa69daa4e98e14ecde91b0e
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2017-02-28

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 0e5aebfa51fdb344636dd1d24c6163c617e08be4
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-02-27

    Release 3.23.91

M	NEWS
M	configure.ac

commit 4d86f40767390fb34f0365786393a938411bb2e4
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-02-27

    Makevars: Do not regenerate automatically .po files

    https://bugzilla.gnome.org/show_bug.cgi?id=778965

M	po/Makevars

commit ef725d5c9d8cb87987417c7e4d697db6b66eba1c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2017-02-26

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 073cd8ae8aa3a73eda3113477c3d1a69e10f632e
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2017-02-26

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit ec1fb7ff9d5aeeb20725ce21e9d08b7c5aa2a9d3
Author: Yannis Koutsoukos <giankoyt@gmail.com>
Date:	2017-02-24

    Update Greek translation

M	po/el.po

commit 851b50fbc6c7fbdc81d5513f29a86663bac76956
Author: Ondrej Holy <oholy@redhat.com>
Date:	2017-02-23

    location-list: Reload recent locations instead of adding new

    Each "Scan folder" adds a new location in the list if it is not
    already
    there. Consequently, the location list may be pretty overfilled. Let's
    reload the recent items after each "Scan folder" instead. As the
    result,
    max 5 recent locations will be always shown.

    https://bugzilla.gnome.org/show_bug.cgi?id=695421

M	src/baobab-location-list.vala
M	src/baobab-location.vala

commit 145ef02a37988e9111c1efcbc35ccb8ce07556ca
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2017-02-22

    Update Italian translation

M	po/it.po

commit 2d925fbbfc208adb25699e2369b37cc2781bd41e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2017-02-22

    Update Chinese (Taiwan) translation

M	po/zh_TW.po

commit f7c2cc8eefdb53196a792142f36ae46ffa658685
Author: Claude Paroz <claude@2xlibre.net>
Date:	2017-02-18

    Updated French translation

M	po/fr.po

commit ce1948132df33f98ac5a8c22793912275c9f4445
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2017-02-18

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 92477f47ef39e42f9be2813e547d4e925bfb8207
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2017-02-17

    Update German translation

M	po/de.po

commit 72a7886165294a263ce95db4038099899dcb0666
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2017-02-16

    Updated Danish translation

M	po/da.po

commit fc260febba9bc8c50ceab990de9d8899d1fced12
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2017-02-16

    Update Kazakh translation

M	po/kk.po

commit 0c1def6236d9d67cff64f3d75ee471b18f1418d0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2017-02-13

    Release 3.23.90

M	NEWS
M	configure.ac

commit aab15ae7c4cc4236a66d8c8c3d9b7d3daf06167f
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	2017-02-13

    Update Indonesian translation

M	po/id.po

commit 8d5c3b21426529ef797c33f8403813abe6e03d1a
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2017-02-11

    Update Basque language

M	po/eu.po

commit e704b0b99da7a00ad75a8eeecb7fac14a21e37cd
Author: Marek Černocký <marek@manet.cz>
Date:	2017-02-10

    Updated Czech translation

M	po/cs.po

commit 20be19afdca3d1cb4a350239e2aeaf9544042a39
Author: Jeff Bai <jeffbai@aosc.xyz>
Date:	2017-02-10

    Update zh_CN translation

M	po/zh_CN.po

commit c8e0a793b032ed3aaa871ac761c7b3d1f7962b0f
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2017-02-04

    Update Finnish translation

M	po/fi.po

commit edbcf91e35f21e19fe028a59aca93d1ce5665849
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2017-02-02

    Update Swedish translation

M	po/sv.po

commit 2e1962726d142871c2ae838a8e1776d9bfb7117f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-01-20

    Update Polish translation

M	po/pl.po

commit b0f3c1b41a2c61e003a687535a1a25142bfebd6e
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	2017-01-20

    Update Italian translation
    (cherry picked from commit 625140c9525321ee91cf4d67d0d6f48eb4cb7562)

M	po/it.po

commit d57e080235a21c9bebeefeccd0bc0231a6072a61
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2017-01-20

    Update French translation
    (cherry picked from commit 4cadd99c2a2f51b5dc88be3d62db64a8fe42ec4d)

M	po/fr.po

commit 6ea302dc3ebd3041a54edb9eca8952929f0975af
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2017-01-19

    Update Friulian translation

M	po/fur.po

commit 1543d7f5beba9c258c1aa6ce990c74c586b18f97
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2017-01-18

    Update Slovak translation

M	po/sk.po

commit 28824482aa4399f067a8684aae010e5abdb387dc
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2017-01-18

    Update Slovak translation

M	po/sk.po

commit 201c69a105e9e8f15757dff88fbbaf5416af6cf6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2017-01-12

    Fix Icon filename in Persian, Korean and Serbian translations

M	po/fa.po
M	po/ko.po
M	po/sr.po

commit 9c278216f18b20a80d9ddcecd5d0d6654dad0891
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	2017-01-09

    Update Icelandic translation
    (cherry picked from commit 16daca618bcb88692f261fb781f532bb6cf0c4ac)

M	po/is.po

commit a4da87fcf2a13f90e5402beae2ec5beece302994
Author: Jordi Mas <jmas@softcatala.org>
Date:	2017-01-07

    Update Catalan translation

M	po/ca.po

commit 1f6ec48e593ac66266d97bb9552f8a54eebc8d23
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2017-01-07

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 1fcdfdd3844945671076c7ab4c1402819f125bef
Author: Stas Solovey <whats_up@tut.by>
Date:	2016-12-29

    Update Russian translation

M	po/ru.po

commit f94e34d471556196f77e1abe3d1c33327d8cb7fb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-12-22

    Updated Spanish translation

M	po/es.po

commit db4d10d6bb0e9fa219b7c41c16b4259f5c07e8e0
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2016-12-16

    Update Finnish translation

M	po/fi.po

commit 12dd10928958e1e6fe6cbe207c7ab8962e1216e2
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-12-16

    Update Friulian translation

M	po/fur.po

commit 86928d7da739b459a569c3828429aaeeec183f0b
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2016-12-13

    Update Kazakh translation

M	po/kk.po

commit 60edd49e1abdafeaafbedf2340b7e8aa72563def
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2016-11-28

    Update Swedish translation

M	po/sv.po

commit c26a31bfec61402db53651f50431b7b7f2ca5f0f
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	2016-11-24

    Update Hungarian translation

M	po/hu.po

commit 92a67f5a5c83d6cd8cbcd692fb195ede4a00714f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-11-16

    Update Polish translation

M	po/pl.po

commit cd8a5a2824fb850fdc48ba067defab567969a337
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2016-11-15

    Updated Czech translation

M	po/cs.po

commit 83c5e571fe9e33bc5eb5678e3404f2c7ce435ce9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-11-14

    Update German translation

M	po/de.po

commit 61f16523f0d8a9b49c997f4782a928183eb7af66
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-11-12

    Update Polish translation

M	po/pl.po

commit 7686df0461eb9ce8d4c320800315ea9d76c02a7f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-11-06

    Use Unicode in translatable strings

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=773998

M	src/baobab-window.vala

commit 651adc9cdb42c6e8694428dc39689b9d5332c8ff
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2016-11-08

    Updated Czech translation

M	po/cs.po

commit 93e5bd19975206f4d95b7191187fad8e0074c940
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-11-05

    Fix Portuguese translation

    https://bugzilla.gnome.org/show_bug.cgi?id=773981

M	po/pt.po

commit a207d6d5cee90e243c0929f30e0893b5f76b2036
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-11-03

    Update Friulian translation

M	po/fur.po

commit 7618887a1127bda4b3f36b41205fd1885f11cc2a
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2016-11-03

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit bb571d811d41ea632c2915a8aea1ed40dc4400b4
Author: Flo H <gnu.l10n.de@gmail.com>
Date:	2016-11-02

    Update German translation

M	po/de.po

commit e73482e4049786a3955b3060084acbc7faadfb49
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2016-11-02

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 1a2c7f4a4aba66dfc9429df3699458a5f0db1239
Author: Jürg Billeter <j@bitron.ch>
Date:	2016-11-01

    cellrenderers: Fix printf format strings

M	src/baobab-cellrenderers.vala

commit d8ed2df09f0af8e0824d3ef52507a6057ce252b8
Author: Dz Chen <wsxy162@gmail.com>
Date:	2016-10-30

    Update zh_CN translation

M	po/zh_CN.po

commit e306bf4dc96b4d3704936776c3d39b826dffed9f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2016-10-16

    Updated Norwegian bokmål translation from Kjartan Maraas.

M	po/nb.po

commit 7ddc0cb7f4ceed9951f21a22893b795d1f1d1eb0
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2016-10-13

    Update Occitan translation

M	po/oc.po

commit 189c39546da08b30f93092ac0c67721190ba613f
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2016-10-03

    Updated Italian translation

M	po/it.po

commit aa0696a47e1e961972b9899dbd2e2651dd9516df
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2016-09-29

    Danish translation of documentation by scootergrisen

M	help/Makefile.am
A	help/da/da.po

commit 423a1a17a03737595e8e311a9e3ad7b40bc999c7
Author: gogo <trebelnik2@gmail.com>
Date:	2016-09-22

    Updated Croatian translation

M	po/hr.po

commit 4b04e3a7139746f0dab8d7a782836a6e7585cca1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2016-09-19

    Update Basque language

M	po/eu.po

commit 2048fb047b8d2fd9a28b04a0a62cfd7c6b05c6e6
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2016-09-19

    Updated Danish translation

M	po/da.po

commit f8307f390d089b6ed40f5e2021dea03035f043a5
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-09-18

    Release 3.22.0

M	NEWS
M	configure.ac

commit a0fd6b74edded14304ec73b731188436009b675e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2016-09-17

    Add Swedish help translation

M	help/Makefile.am
A	help/sv/sv.po

commit 5ff738df4642798b5f452b4376bc158e1203d9ff
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2016-09-17

    Updated Ukrainian translation

M	po/uk.po

commit ae9574142beebb417026624f89686b7eeff81cd6
Author: Stas Solovey <whats_up@tut.by>
Date:	2016-09-16

    Updated Russian translation

M	po/ru.po

commit 59268a113033efa18efd2379d0b1ce808ce92ff6
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:	2016-09-15

    Updated Dutch translation Master 3.22

M	po/nl.po

commit 58a03577322c83962d6a81e4704c4fcfc598e973
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2016-09-13

    [l10n] update Persian translations

M	po/fa.po

commit cc2ccbd7e9c3d85d93f0c6d12b99b6b0eb01db19
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-09-12

    Release 3.21.92

M	NEWS
M	configure.ac

commit 28c8bfd90a4b68fd86cfdf850788205da7cdb6a3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-09-12

    Add more options to XGETTEXT_OPTIONS in po/Makevars

M	po/Makevars

commit 3f1d63715fe1abfcf0c9ba5e7fc974ae99e4797c
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:	2016-09-12

    Updated Greek translation

M	po/el.po

commit 8d87df25fb035e3d9e990de39843d75f5f562f46
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2016-09-12

    Updated Danish translation

M	po/da.po

commit 5ade762fb0a8a20bb756fa5a5c623e878ab113bd
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	2016-09-11

    Updated Galician translations

M	po/gl.po

commit 2e161b68834e6612d29247306652cba275309b41
Author: Seong-ho Cho <shcho@gnome.org>
Date:	2016-09-09

    Updated Korean translation

M	po/ko.po

commit 64d0e18072f7b1441e86da07701b7d240d640432
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	2016-09-08

    Updated Galician translations

M	po/gl.po

commit 31d4150f9b77dadd43db57235337e452713f9a2e
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2016-09-08

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit ae9d3d7beab6074cd535ecd9f18d1c770dd5ce9c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2016-09-06

    Updated Swedish translation

M	po/sv.po

commit dfddfcd9a951ea57982131fdc06562c8cdef19aa
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2016-09-05

    Updated Lithuanian translation

M	po/lt.po

commit 8236ee45dfaa4e0884c60e8afdd3258627a135c3
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2016-09-03

    Updated Kazakh translation

M	po/kk.po

commit f00af75dc2a7b02ee54f4807e8db5ac048f8fcdb
Author: David King <amigadave@amigadave.com>
Date:	2016-09-03

    Update British English translation

M	po/en_GB.po

commit 9d580dc55df75fde997645c48846d6c2491c8cc9
Author: David King <amigadave@amigadave.com>
Date:	2016-09-03

    Fix Hungarian help translation

M	help/hu/hu.po

commit a30d734700ef584b9a8fbf806443d48102b93c70
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	2016-09-02

    Updated Portuguese translation

M	help/pt/pt.po

commit bfe0af51b4b255f79d7e0d26ea1838d3f8f54b78
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	2016-09-01

    Disable Portuguese translation

    Breaks the build:

    Error: Could not merge translations:
    'NoneType' object has no attribute 'node'
    Makefile:518: recipe for target 'pt/pt.stamp' failed
    make[2]: *** [pt/pt.stamp] Error 1

M	help/Makefile.am

commit 9e629e432a626a0069f2a5ede96ac4db75f097b7
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	2016-09-01

    Updated Portuguese translation

M	help/pt/pt.po

commit 3620d81c495fe1c5b61cc25380df288e77322aea
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	2016-08-31

    Added Portuguese translation

M	help/Makefile.am
A	help/pt/pt.po

commit 5ceaa8347e8f016134eb6b1860eb7cce52a0387d
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2016-08-28

    Update Latvian translation

M	po/lv.po

commit 55fbb5baa288e81b9a319f5bc3d6215adbd81aa8
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2016-08-28

    Update Latvian translation

M	po/lv.po

commit be35647625bb82904f9184a2c861d7eb368546ee
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2016-08-27

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 978bb4f5b726d70021d477134df0fd39709df7cf
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2016-08-27

    Updated Serbian translation

M	po/sr@latin.po

commit b107f9402321aede5595abcff11fbd5d0346038f
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-08-22

    Updated Friulian translation

M	po/fur.po

commit a1d346c12eff6865a7ad85ebf4a572f65340b0e9
Author: Claude Paroz <claude@2xlibre.net>
Date:	2016-08-22

    Updated French translation

M	po/fr.po

commit 9f1c029135c33f726d031b77d5c2c3d196a279f9
Author: Gustavo Marques <gutodisse@gmail.com>
Date:	2016-08-22

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit d0a224dc99c106859ee9486ba28b7e1a8c4cf3ff
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2016-08-21

    Updated Finnish translation

M	po/fi.po

commit 3b70d4b6be87c919631cee4f728998720f60b6f4
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2016-08-19

    Updated Hungarian translation

M	po/hu.po

commit 0380792248d23aabb5d0195848180559cd9d3789
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-08-19

    Updated German translation

M	po/de.po

commit eaaf0b3f9ffe4aa0fd5a14c89da50c71eec33aff
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	2016-08-18

    Updated Indonesian translation

M	po/id.po

commit 2d0f29212e7a9222e6664c52dd40e7fbf5fd040d
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2016-08-17

    Updated Slovak translation

M	po/sk.po

commit 60efb2534c147aa2b070052f117f112446808fe5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-08-16

    Updated Polish translation

M	po/pl.po

commit deae2db49a748056ad3690336c8f52ea6a9b972b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-15

    Release 3.21.90

M	NEWS
M	configure.ac

commit 808e4134f6ac90250c05d87106793b68f6d3bf5f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-08-16

    Updated Spanish translation

M	po/es.po

commit 313d9336ded26b335f3788a47d507efd0c34d06b
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	2016-08-14

    Updated Portuguese translation

M	po/pt.po

commit 6d8644774324c5ee4ac690ac7e0cd6a70f888d03
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2016-08-14

    Updated Hebrew translation

M	po/he.po

commit 003ce4639df2d016c561affb06092578330f8804
Author: Marek Černocký <marek@manet.cz>
Date:	2016-08-13

    Updated Czech translation

M	po/cs.po

commit 0ad7e6d9f52917f627962132c293d02e32a29d5f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-08-13

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit c95d5fa163eaf9fa7e251efd96a8d6ce36cd48d1
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2016-08-12

    Updated Slovak translation

M	po/sk.po

commit e3f8425d266149c42e45c952ee9b2d52a075cf1d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-12

    Update AppData

    As suggested by "appstream-util upgrade".

M	data/org.gnome.baobab.appdata.xml.in

commit 32372086020392308e867c1cb461472ac0c05816
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-11

    window: tree and chart in result page should have the same width

M	src/baobab-main-window.ui

commit a704ae91f7bc374f2732349deb8c042b8617edc6
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-11

    Fix Vala warnings

M	src/baobab-location.vala
M	src/baobab-scanner.vala

commit bff88543067901cc08bc7f38b6d8446d3f5b6773
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-11

    Remove hacky workaround

    This should be fixed lower in the stack.

M	src/baobab-location.vala

commit 366cc60675c378318a4c27357e85571241323768
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-10

    Rework contributed code

    Just one class for the location list widget.

M	po/POTFILES.in
M	src/baobab-location-list.ui
M	src/baobab-location-list.vala
M	src/baobab-location-row.ui
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit dc5ecdc985c56f6b3cf419790ad4f7a394d6d5a5
Author: George Barrett <bob@bob131.so>
Date:	2016-07-29

    Rejig 'devices and locations' UI

    This patch addresses some of the UX issues outlined by Allan Day
    in the
    associated bug report[1] and updates the landing page UI according to
    the provided wireframe.

    The UX issues targeted by this patch are as follows:
    * Home is almost always going to be the location the user is
    interested
      in - why isn't it at the top?
    * Isn't clear which locations are local devices and which are remote.
    * "Devices and locations" should use title case: "Devices &
    Locations".
    * The size bars are all different lengths. This looks messy, and it's
      not clear whether the length is significant.
    * The list doesn't look very good when it is very wide - everything is
      spread out to the edges.

    [1]: https://bugzilla.gnome.org/show_bug.cgi?id=762874

A	src/baobab-location-list.ui
M	src/baobab-location-list.vala
M	src/baobab-location-row.ui
M	src/baobab-location.vala
M	src/baobab-main-window.ui
M	src/baobab-window.vala
M	src/baobab.gresource.xml

commit 41ff17effcd5c0008237fffd198c28889577631f
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2016-08-12

    Updated Finnish translation

M	po/fi.po

commit 7ded338463096232086165980dd50a9b3a603ddf
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	2016-08-11

    Updated Czech translation

M	po/cs.po

commit c093e229ac4d8bf9c5ab43f28213d6b8de42cd7d
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2016-08-10

    Updated Slovak translation

M	po/sk.po

commit 8c16c964b76c7452dc627e062bdd1eddf2c5516a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-10

    Improve AppData file

M	data/org.gnome.baobab.appdata.xml.in

commit eb0dc2ecfe61b31f0f0aeef9e9f12d574dcf8a83
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-09

    Makefile cleanup

    The new git.mk takes care of these files now.

M	Makefile.am

commit 6b78e0b8713ff30a137b3b883c24335a1541bf99
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2016-08-09

    Updated Slovak translation

M	po/sk.po

commit 771ba76e82ec4602eb1c2e10eb076b27c482379a
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2016-08-09

    Updated Hebrew translation

M	po/he.po

commit 07e029ae33e64be6749123e6618cd78eaa32f198
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-08-09

    Updated Spanish translation

M	po/es.po

commit fe2401f01cbc1c8e98b66ce5ecab984a68e2e873
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-09

    Fix extraction of appdata translations

    https://bugzilla.gnome.org/show_bug.cgi?id=769646

M	configure.ac
M	data/Makefile.am
M	data/org.gnome.baobab.appdata.xml.in

commit 8e2da077a40f9b1f04ac161a19ca3f58781b4990
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-08-08

    Add translator comments to .desktop

M	data/org.gnome.baobab.desktop.in.in

commit ade56d07e0627aebf38dbd1a2efe399025c22aac
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-08-08

    Stop using intltool

M	autogen.sh
M	configure.ac
M	data/Makefile.am
M	data/org.gnome.baobab.appdata.xml.in
M	data/org.gnome.baobab.desktop.in.in
R064	data/org.gnome.baobab.gschema.xml.in.in
data/org.gnome.baobab.gschema.xml.in
M	git.mk
A	po/Makevars
M	po/POTFILES.in
M	po/POTFILES.skip

commit 99cd058576e2b51a2a93df38e63086d942b842b1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-07-14

    Add Language headers to po files

    Future versions of gettext will fail if this header is missing.

M	po/be@latin.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca@valencia.po
M	po/crh.po
M	po/cy.po
M	po/dz.po
M	po/en@shaw.po
M	po/en_CA.po
M	po/es.po
M	po/fr.po
M	po/gu.po
M	po/mai.po
M	po/ms.po
M	po/nb.po
M	po/nds.po
M	po/sl.po
M	po/sr@latin.po
M	po/ta.po
M	po/ug.po
M	po/wa.po
M	po/zh_HK.po

commit ce08b41f5481e1428a73e1cdb681401761495525
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	2016-06-19

    Updated Indonesian translation
    (cherry picked from commit 20e8e968428b20a7b2509e20149b0af8d7a79287)

M	help/id/id.po

commit 655c24840e2cd52344d42fadcd6945adf13b3cd3
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2016-05-30

    Updated Occitan translation

M	po/oc.po

commit 8651e266c644e091ef67e21101215abb6154ba1a
Author: Felipe Braga <fbobraga@gmail.com>
Date:	2016-05-18

    Updated Brazilian Portuguese translation
    (cherry picked from commit b17ea3c8fceda76c5ca51bb2528413390096648a)

M	help/pt_BR/pt_BR.po

commit 166735f1f8c2bb92df748ef117b882759ec718c8
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2016-05-06

    Updated Occitan translation

M	po/oc.po

commit 15dc1471ab37034ac1916abd6c3d44b51c3fe87a
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	2016-04-28

    Updated Portuguese translation

M	po/pt.po

commit 912253a50e100afa0325ceb53c45d985ee7e5df9
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-04-13

    Scanner: avoid division by zero

    The gdouble -nan value cannot be converted to gint when it is
    used in the progress indicator.

M	src/baobab-scanner.vala

commit bdee915bf4e69200d1e2c2f764d6352256ab05ea
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-04-11

    Window: remove superfluous gettext calls

M	src/baobab-window.vala

commit 30ab0955678cead1038b6ef9fa69f55bd8276262
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-04-11

    Avoid GTK+ deprecations

M	src/baobab-window.vala

commit 2f1f6a6abc55be1d054ab41264f4a099681e493f
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-04-11

    Avoid Vala deprecations

M	src/baobab-application.vala
M	src/baobab-scanner.vala

commit 5e88ed0692ed5a2aa027f063e7ae8563e07cf8dd
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-04-11

    LocationList: remove old workaround

M	src/baobab-location-list.vala

commit 56b7b73e6a9db7086b8f721228d1599c2b7df377
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-04-11

    Release 3.20.1

M	NEWS
M	configure.ac

commit f80475a091bed19360c6e8bf2845cc3df2d3db54
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-04-09

    Updated Friulian translation

M	po/fur.po

commit a24a7e97ac30d737ef1f1634b496dd89e3cf10ec
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-03-28

    AppData: Mark as unremovable in GNOME Software

M	data/org.gnome.baobab.appdata.xml.in

commit ec35347cc876404cf89fb1fd8f0658009bd7156c
Author: Andreas Henriksson <andreas@fatal.se>
Date:	2016-03-25

    build: Require GTK+ 3.19.1

    Code already uses new api gtk_widget_class_set_css_name (in
    src/baobab-ringschart.vala) which was introduced in that version.

M	configure.ac

commit 4474f45cc63b66144012a7c8743a3ba9431145ee
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-03-20

    Release 3.20

M	NEWS
M	configure.ac

commit 4c4916061c990369c5ca83439a1fe76b13e4bb3c
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2016-03-20

    Updated Danish translation

M	po/da.po

commit 7f57800d3dc01d4df6d2d134f12059a30718072c
Author: Seong-ho Cho <shcho@gnome.org>
Date:	2016-03-13

    Add Korean help translation

M	help/Makefile.am
A	help/ko/ko.po

commit f8d6ac199eb3ba0fde4a41b724ccc2c39aa63347
Author: David King <amigadave@amigadave.com>
Date:	2016-02-28

    Fix Romanian desktop file translation

    Lists in keyfiles must end with a semicolon.

M	po/ro.po

commit 3f1523d8503a28ce6abadf55a228f8502df5edbf
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-02-28

    Release 3.19.91

M	NEWS
M	configure.ac

commit 44710e6631c671a46457c3404136dd28e6295ed1
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-02-28

    Revert "Revert "Temporary fix for 'make distcheck'""

    This reverts commit c96552538765c74a040cb0da7c8e6413205aa9a7.

M	po/POTFILES.skip

commit 9354c28819168ea5c71e9e6d61a94f76a51daa7f
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2016-02-28

    css: update to recent GTK+ changes

M	src/baobab-ringschart.vala
M	src/baobab.css

commit 2cb60165d917d13bd57d0f316cc579f5bdc4e312
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-01-25

    Add a missing tag to the AppData file

M	data/org.gnome.baobab.appdata.xml.in

commit 8328b55b14fcac46b527f190d7676903602a5a89
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-01-25

    Add a missing tag to the AppData file

M	data/org.gnome.baobab.appdata.xml.in

commit 9f077aff9fc54b0b59d0bd31367e185c164fbf9a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-12-15

    Treemap: set the state in the style context

M	src/baobab-treemap.vala

commit 67aac4fb6a2664d6542e8bdefa1a68eb90b0c303
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-11-28

    Update appdata with kudos

M	data/org.gnome.baobab.appdata.xml.in

commit 3da0cb753c515c24b6d01f24cbb3b653cc263b48
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-11-28

    Updated Portuguese translation

M	po/pt.po

commit 2ab091f3fef0c929ea40535450ffbbea1a2a3bd3
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2015-11-10

    Updated Occitan translation
    (cherry picked from commit 151c196fbfc4a922f6c434a9de09a39e7e626d26)

M	po/oc.po

commit c96552538765c74a040cb0da7c8e6413205aa9a7
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-11-07

    Revert "Temporary fix for 'make distcheck'"

    This reverts commit 9004bfa24adb81cb55976672116d349ae02cb4cd.

M	po/POTFILES.skip

commit a0ee4c46fbb29c6023964a629392c47a0b88ec98
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:	2015-10-25

    Updated Romanian translation

M	po/ro.po

commit 5969771f5167547876585fd506501b67fe80e57b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-10-07

    Release 3.18.1

M	NEWS
M	configure.ac

commit 6be88309da28b583d06a5655859602367e6d4554
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-10-08

    Updated Greek translation

M	po/el.po

commit 496911b67c530948bcc108533f7c197116b9a6a3
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-09-29

    Remove "Scan remote folder" action

    Since the helper application "nautilus-connect-server" was removed
    from
    nautilus, the corresponding menu item did nothing but spit a warning.

    The functionality is now included in the new GTK+ File Chooser dialog.

    Notice that no new string is introduced here.

M	src/Makefile.am
D	src/baobab-connect-server.vala
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit e5aba515fe088a23e71b0c5571906ff83fc7f272
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2015-09-24

    Update Arabic translation

M	po/ar.po

commit 30b2b17c14778a3a1fc4419d8a9915eeef5d2306
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2015-09-23

    Release 3.18.0

M	NEWS
M	configure.ac

commit 9004bfa24adb81cb55976672116d349ae02cb4cd
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-09-16

    Temporary fix for 'make distcheck'

    Intltool has a bug with Automake 1.15:
    https://bugs.launchpad.net/intltool/+bug/1117944

    This commit is just a temporary fix, it can be reverted when the
    bug is
    fixed in intltool.

M	po/POTFILES.skip

commit 41bdcb17ba915dc8b020786965f9e2ecd20afbd4
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-09-16

    Release 3.17.90

M	NEWS
M	configure.ac

commit 0a24656ba02877be47abdaed30a38f9bac574582
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-15

    Window: Remove unused scan-home action

    There used to be a menu with scan-home action, but scan-home action
    isn't needed currently and therefor can be removed.

    https://bugzilla.gnome.org/show_bug.cgi?id=755045

M	src/baobab-window.vala

commit 89748a40e9450da599fa6fbcd753d15384554d12
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-09

    Exclude mounts when scanning recent locations

    Mount points are excluded for all other cases by default, so exclude
    them for recent locations also.

    https://bugzilla.gnome.org/show_bug.cgi?id=663603

M	src/baobab-location.vala

commit 5380d41b1ce90973558fc6edcd8dbd85c06318a7
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:	2015-09-07

    Ringchart: always use the correct state when getting colors

    The ringchart was calling get_background_color on the toplevel context
    with a fixed state of NORMAL without saving the context first. If the
    toplevel however had additional state flags set, such as BACKDROP,
    this
    could trigger an invalidation and cause a redraw, resulting in
    a redraw
    loop.

    Instead of saving/restoring the context, this patch uses the current
    state of the context, which is the right thing to do in general anyway
    and does not require saving/restoring the context unless the
    context is
    actually modified.

    https://bugzilla.gnome.org/show_bug.cgi?id=754703

M	src/baobab-ringschart.vala

commit ce1420f8b3e5d92f687e180fab65cc886d9ca72c
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	2015-09-08

    Added Icelandic translation

M	po/LINGUAS
A	po/is.po

commit 014b12620662adedb086e236642379a951839419
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-08-24

    Updated Polish translation

M	po/pl.po

commit 83759df1d15e0d613647af74a0f8f66c42897237
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2015-08-19

    Updated German translation

M	help/de/de.po

commit 6dbf33f7ca575f63c8dacd5da0a8b646893c33f8
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2015-08-13

    Updated French translation

M	help/fr/fr.po

commit 386eea331104de4990ccaae34be2e279efc93258
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2015-07-26

    Updated Friulian translation

M	po/fur.po

commit 3a2b3d957da21cbb1b8a68b8890cb4eb8415cc45
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-06-29

    Updated Portuguese translation

M	po/pt.po

commit 2c7ef86c42611813686397421a271da80f637655
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-06-29

    Updated Spanish translation

M	help/es/es.po

commit 24a8a036bdb9a6415cd30d260bd9bb4a2e85e431
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-06-26

    window: select the row before opening the context menu

    https://bugzilla.gnome.org/show_bug.cgi?id=751521

M	src/baobab-window.vala

commit f192f06272f6dfe38cdda5c93098dc0fc23ea7e2
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-06-24

    Fix "Zoom out" item sensitivity for treemap chart

    can_zoom_out() returns TRUE if more visible children items are
    available regardless of MAX_DEPTH. This patch change can_zoom_out()
    behavior to return FALSE if MAX_DEPTH is reached.

    https://bugzilla.gnome.org/show_bug.cgi?id=751436

M	src/baobab-treemap.vala

commit 8e696ac7fe54b109d2af630e090a882c18122907
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-06-24

    Fix context menu items sensitivity

    Context menu items "Go to parent folder", "Zoom in", "Zoom out" stay
    always active, even if they can not bring effect (e.g. already in
    the top directory, maximal zoom). This patch set sensitivity of the
    mentioned menu items accordingly.

    https://bugzilla.gnome.org/show_bug.cgi?id=751436

M	src/baobab-chart.vala

commit a28ca818f401e3efa369288e3032d896f9a18505
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-05-29

    Updated Spanish translation

M	help/es/es.po

commit dafbe6eca5dce4b357cc0ff56a52c013aaca64c8
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2015-05-03

    Updated Occitan translation

M	po/oc.po

commit 94114c640f3df5f7a29678e20f14e04e3169368d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-04-13

    Release 3.16.1

M	NEWS
M	configure.ac

commit a748ba85886df8df06e1f477c71a9ef111cd52cc
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-04-13

    Updated Greek help translation

M	help/el/el.po

commit 124fb0523f6b37deae140e4646d035a540acf700
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2015-04-08

    [l10n] Updated Estonian translation

M	po/et.po

commit daafdd9267aaf0cc681cd6be29d5b92a9f24d9f6
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2015-04-07

    Updated Hungarian translation

M	help/hu/hu.po

commit d667374bf6a369eb00876e815c601f3b3d593314
Author: Marek Černocký <marek@manet.cz>
Date:	2015-04-02

    Udated Czech translation

M	help/cs/cs.po

commit 19ee52ab7679002e005fba2d3330193297d938c3
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-04-01

    Fix typo in documentation

M	help/C/problem-permissions.page

commit 30876e47b928a5d8f15a47e171fef664f4514ff8
Author: Jakub Steiner <jimmac@gmail.com>
Date:	2015-03-26

    icon: provide a symbolic variant for the app icon

    https://bugzilla.gnome.org/show_bug.cgi?id=746812

D	pixmaps/HighContrast_apps_16x16_baobab.png
D	pixmaps/HighContrast_apps_22x22_baobab.png
D	pixmaps/HighContrast_apps_24x24_baobab.png
D	pixmaps/HighContrast_apps_256x256_baobab.png
D	pixmaps/HighContrast_apps_32x32_baobab.png
D	pixmaps/HighContrast_apps_48x48_baobab.png
M	pixmaps/Makefile.am
A	pixmaps/hicolor_apps_scalable_baobab-symbolic.svg

commit e118106fbacbbb4ecdcf02064b5a7181d0d297e4
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-03-23

    Release 3.16.0

M	NEWS
M	configure.ac

commit 73a925eece9196a2b96c65d3fc0d818f110c6766
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	2015-03-13

    Updated Bosnian translation

M	po/bs.po

commit 3ea4e51949fd1575c51d4cb62d6b60d5f921daa3
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2015-03-12

    Updated Tajik translation

M	po/tg.po

commit 519f5c0d98df6e52c463a47337f1fba6e1cd5f72
Author: Yuri Myasoedov <ymyasoedov@iqint.ru>
Date:	2015-03-11

    Updated Russian translation

M	po/ru.po

commit 38502881cd240519c19180272e62ea4c437867bc
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2015-03-08

    Updated French translation

M	help/fr/fr.po

commit b4172a2401d145f33cf4e7aef34dc290bebdf378
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	2015-03-08

    Updated Swedish translation

M	po/sv.po

commit 2acf97e73b2fb3e2919f2e31b70143309225a1ad
Author: Frédéric Moenne-loccoz <frederic.moenne-loccoz@sfr.fr>
Date:	2015-03-04

    Updated French translation

M	help/fr/fr.po

commit 80665d99e255af32930a1db4be15d78a8303351c
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-02-26

    Updated Greek translation

M	help/el/el.po

commit 0b3640e6ab1844efb3d98999dd8736e7b6ee31b7
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-02-18

    Release 3.15.90

M	NEWS
M	configure.ac

commit 494d3bbf2793e151905692519e71695358a3447f
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-02-17

    Move our icons to a proper path

    This also fixes hidpi rescaling.

    https://bugzilla.gnome.org/show_bug.cgi?id=742393

M	src/baobab.gresource.xml
R100	src/icons/view-ringschart-symbolic.svg
src/icons/scalable/actions/view-ringschart-symbolic.svg
R100	src/icons/view-treemap-symbolic.svg
src/icons/scalable/actions/view-treemap-symbolic.svg

commit 17f4463b9519c3dda158579f9483843dbd9789fa
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-02-17

    chart: Do not use an offscreen surface anymore

    It's causing problems when hidpi scale factor is bigger than 1.
    As for the background color, we can fetch it from the toplevel window.

    https://bugzilla.gnome.org/show_bug.cgi?id=742394

M	src/baobab-chart.vala
M	src/baobab-ringschart.vala

commit 6443af1de00afb19f6511b8a7afda8d712ca57e0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2015-02-13

    css: Make tooltip font in ringschart readable again

    Make it white as in regular Adwaita tooltip.

    https://bugzilla.gnome.org/show_bug.cgi?id=740489

M	src/baobab.css

commit 59acab909f5a2ca83a29cfe8afe6a1b7d7063af6
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2015-02-01

    Updated Esperanto translation

M	po/eo.po

commit 3cad461306b1bd46e5ac6e109f65d1962edd5d11
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2015-02-01

    Updated Esperanto translation

M	po/eo.po

commit 41ea3b1df676fd72aa70cfbd7db7f0a513b4a185
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2014-12-29

    Updated Hungarian translation

M	help/hu/hu.po

commit ea84334d078054599ff0f1f3172f1c09ca5d4084
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-12-18

    Updated Spanish translation

M	help/es/es.po

commit 890caa0a6917c5a1c3ad139c65ffd1d8abd1c18d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-12-18

    Fixed typo in documentation's string.

    ALso fixed translations, so no fuzzy string should appear with
    this change

M	help/C/question-trash.page
M	help/cs/cs.po
M	help/de/de.po

commit 423cbcccf9e6925fdeeefe99801935a6cee90dbb
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2014-11-28

    [l10n] Updated German doc translation

M	help/de/de.po

commit a33cbe1d71acd1f499ad1ab502d2c104990d31ce
Author: Marek Černocký <marek@manet.cz>
Date:	2014-11-27

    Updated Czech translation

M	help/cs/cs.po

commit 2b8f12180385d82b326c2a627c480042a5c71877
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-11-21

    Add user help for opening folder, bug 675233

A	help/C/question-open-folder.page
M	help/Makefile.am

commit fda92848b9f925363d5e837a41db30cb1bf68280
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-11-21

    Add user help about deleting files, bug 675233

A	help/C/question-trash.page
M	help/Makefile.am

commit cab0027d9cae4651999bc2a88a90c50d66dacd86
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-01-26

    Relicense user help (part 2) bug 723036

    Gabor Kelemen and Paolo Borelli approved the patch in the bug.

    Signed-off-by: Michael Hill <mdhill@gnome.org>
    Signed-off-by: Julita Inca <jinca@localhost.localdomain>
    Signed-off-by: Daniel Mustieles <daniel.mustieles@gmail.com>

M	help/C/pref-view-chart.page
M	help/C/scan-file-system.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page

commit 9c4dc12f4d97a440921e36b59268f198a71d3d00
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-11-17

    Exclude mountpoints when handling commandline arguments

    This is the intended default behavior.

    https://bugzilla.gnome.org/show_bug.cgi?id=740245

M	src/baobab-application.vala

commit 0b850c2bcf77faf3a25c77a25a003a11234c04b2
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2014-11-17

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 7a03acd7e1ac28924ee90798dae2b732150c0b83
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-11-13

    Updated Spanish translation

M	help/es/es.po

commit 909de99cafe77df3cb063cc18b3801d608ab483e
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	2014-11-08

    Update Aragonese translation

M	po/an.po

commit c0ab140564c5486c76b28259567a6277749c54dc
Author: Timo Jyrinki <timo@debian.org>
Date:	2014-11-03

    Change Finnish translation team web page to l10n.gnome.org

M	po/fi.po

commit cbe06fce527031ba1550432908b1dd5ebd136d69
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-10-25

    Updated Indonesian translation

M	help/id/id.po

commit f062b56e02a3c99479c53995b67f6e2fd5ac513b
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	2014-10-15

    Updated German help translations

M	help/de/de.po

commit 0166813fc2ff51f1be66734943f8b279c19395ed
Author: Kalev Lember <kalevlember@gmail.com>
Date:	2014-10-14

    Fix desktop file keywords Breton translation

    It's a string list and must be terminated with a semicolon.

M	po/br.po

commit 041ad17a5c8a40d4a5828975f49f92d9f4e24b50
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-10-14

    Fix distcheck

A	help/C/media/hicolor_apps_48x48_baobab.png
M	help/Makefile.am

commit e17f7bbd8eadd72152631705c463d190205dabc1
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-10-14

    Release 3.14.1

M	NEWS
M	configure.ac

commit fa416a67e81cf62eaf913e61c840b8d8502a1573
Author: althaser <althaser@gmail.com>
Date:	2014-10-11

    fix url link from man page

    https://bugzilla.gnome.org/show_bug.cgi?id=738372

M	data/baobab.1

commit 03b82f681ce91b06e078296068d038819345bb55
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-10-11

    Updated Greek translation

M	help/el/el.po

commit 1ba42b8bfeb460bbbb231ec6f211782bfabc536a
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-10-10

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 20920e4c30feb3b09321e432904801a2749d326f
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2014-10-10

    Updates Persian Translations

M	po/fa.po

commit 764838520bf5d27955c0670d637cb2858a79ded0
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2014-10-09

    Updated Kazakh translation

M	po/kk.po

commit 5209034e935c94e3619bb923a59c25ff86b26710
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2014-10-07

    Updated Hungarian translation

M	help/hu/hu.po

commit e93e4039f8e613e99fe064e0e3b541a9bae25659
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2014-10-05

    Updated Italian translation

M	po/it.po

commit cc33f21606db9668ef343ee5d544a0434fa0d590
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2014-10-04

    Updated Portuguese translation

M	po/pt.po

commit 37945295f8907aa0ecace3b67e6e62f10825f6a1
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-10-01

    help: tidy index.page

M	help/C/index.page

commit 32a5fe554243f6afaf0a6377419f9a5991c7f276
Author: Tao Yang <tyang@suse.com>
Date:	2014-05-23

    help: add an icon to index.page, bug 730500

M	help/C/index.page
M	help/Makefile.am

commit d5cd3b8fe5dbfb9a7255ce51ece1d6da25e145ec
Author: Denis Arnaud <denisarnuad@yahoo.fr>
Date:	2014-09-30

    Updated breton translation

M	po/br.po

commit 56a2f0e575a62608ee739dc2356fb764a82020b4
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2014-09-28

    Updated Latvian translation

M	po/lv.po

commit ed6b31da29355d054f562eb5b8ceb85e2228a580
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2014-09-28

    Updated Friulian translation

M	po/fur.po

commit 681ec98b68e6a8f66c3de147a1cc9e4709374254
Author: Iris Gou <gouyingqiyanxuan321@gmail.com>
Date:	2014-09-23

    update zh_CN translation

M	po/zh_CN.po

commit 23a5a1fb7e3579015883ec972637697e30d3a7c9
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	2014-09-23

    Added Scottish Gaelic translation

M	po/LINGUAS
A	po/gd.po

commit 41fe989d76580e9d0dd71ff7adfa8529d52bb8ed
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:	2014-09-23

    Updated Hindi translation

M	po/hi.po

commit 06efbffc7f6c0794bab47675cf0adfe68a596d96
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-09-22

    Release 3.14.0

M	NEWS
M	configure.ac

commit 2a4cd2ad228f678bedd2a92cfef01ab76b71c659
Author: Pawan Chitrakar <chautari@gmail.com>
Date:	2014-09-22

    Updated Nepali translation

M	po/ne.po

commit 4a6ad5b7acb21310bb47db45d4fc5ffc47c5451a
Author: A S Alam <aalam@users.sf.net>
Date:	2014-09-21

    update Punjabi Translation for 3.14 release

M	po/pa.po

commit 4e32a34b80740664eea8cba84532c61cccc8cf22
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-09-19

    Updated Ukrainian translation

M	po/uk.po

commit 45204d46a60987e5ef9b8978e67e43fefcda6ea8
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-09-19

    Updated Ukrainian translation

M	po/uk.po

commit 312e91db4c07768ab58c97c615f41756b53fb94d
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:	2014-09-18

    Updated Polish translation

M	po/pl.po

commit c1a1629a803cdc5d4e31dd27e8e22522d943c595
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-09-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 44710240c84b15917b5fd7ee4244702c375f211f
Author: victory <victory.deb@gmail.com>
Date:	2014-09-17

    l10n: Update Japanese translation

M	po/ja.po

commit 7a345363bee4b000272fba448d93f3937a816891
Author: Mattias Eriksson <snaggen@gmail.com>
Date:	2014-09-16

    Updated Swedish translation

M	po/sv.po

commit 0778b0d5a66490a29ca6c870c4d0d44a041a52bc
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2014-09-16

    Updated Danish translation

M	po/da.po

commit 74c23e52e0b5af921e96c2b17c2f5a4e36ef0a94
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2014-09-16

    Updated Marathi translations

M	po/mr.po

commit 8a35134d54920b2985fe69ae62a2983948c42eda
Author: Shantha kumar <shantha.thamizh@gmail.com>
Date:	2014-09-15

    Updated Tamil translation

M	po/ta.po

commit 6af1b5fef8dfba6f900bee54b0af9a3f43e922cd
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-09-14

    Updated Slovenian translation

M	po/sl.po

commit e777d76c87fd2beecfb26d327214202ed6b50ae6
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2014-09-12

    Updated gujarati translations

M	po/gu.po

commit 4302da9c3a3d1e49886f8e8b07fbcd77ffa27802
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-09-11

    Ringschart: copy tooltip style from Adwaita

M	src/baobab.css

commit 02b06f4c9c705f5fa8ca13fccb48ac07e9d4f374
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2014-09-09

    Updated Slovak translation

M	po/sk.po

commit 1716f8cb5d92f52e694f1a16eafee6ddc5e39c37
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2014-09-09

    Updated Telugu translations

M	po/te.po

commit c1affda76faefbf8ca1c0170b672f33546def900
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:	2014-09-07

    Updated Bulgarian translation.

M	po/bg.po

commit f3b4db042eb9e727232e0c85ae9aa8c3c59fd3a6
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2014-09-07

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit d356340a01f36304bae6c8d3cbddf8bacc63f058
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-09-06

    Updated Korean translation

M	po/ko.po

commit 6aa75fe555a895a0e4de403d93a3d0d46238cb6a
Author: Frédéric Péters <fpeters@0d.be>
Date:	2014-09-04

    allow fallback for drive-harddisk-system icon

    drive-harddisk-system is part of gnome-icon-themes-extra and may
    not be
    installed; allow that icon to use fallbacks, so drive-harddisk
    will get
    used if drive-harddisk-system is missing.

    https://bugzilla.gnome.org/show_bug.cgi?id=736062

M	src/baobab-location.vala

commit 14c85e7397010fd2290de911090d6a7f26044ac9
Author: Saibal Ray <sray@redhat.com>
Date:	2014-09-04

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 43eb1e8518ed8c0eeafa5657cdffae63c87944bf
Author: Saibal Ray <sray@redhat.com>
Date:	2014-09-04

    Updated Bengali (India) translation

M	po/bn_IN.po

commit ebdeebebd78289ee25f1183379a5b031f4ac6d6c
Author: Ani Peter <peter.ani@gmail.com>
Date:	2014-09-03

    Updated Malayalam translation

M	po/ml.po

commit 9c7994bb657ac95a23cf0e08ea88facf191a9b44
Author: Ani Peter <peter.ani@gmail.com>
Date:	2014-09-03

    Updated Malayalam translation

M	po/ml.po

commit 6dcf4899a61a1db0838e191425981997f8aa2113
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-09-02

    Release 3.13.91

M	NEWS
M	configure.ac

commit e2e0b3436e5765124b2de017c271fffcbee113fa
Author: Elad Alfassa <elad@fedoraproject.org>
Date:	2014-08-23

    Add X-GNOME-Utilities desktop file category

    https://bugzilla.gnome.org/show_bug.cgi?id=735289

M	data/org.gnome.baobab.desktop.in.in

commit 06c9ab3354a5f8725b7fae1087e0b7fb8014ee5a
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2014-09-02

    Updated gujarati translations

M	po/gu.po

commit 3cf45ab0d6b55fe1960ab9747ff475fb59ff5df0
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-09-01

    Updated Kannada translation

M	po/kn.po

commit f935cdf255f9c869660ac25d2547f2e7121cd19b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-08-24

    Updated French translation

M	po/fr.po

commit d9423bbbbd8104520618a24a5fc074771570e0f9
Author: Marek Černocký <marek@manet.cz>
Date:	2014-08-22

    Updated Czech translation

M	po/cs.po

commit 49a56f91d84fa23d3a8fa761d9a25b89eda20cbd
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:	2014-08-21

    Updated Oriya translation

M	po/or.po

commit ad18f2570370ef525e87da3bee44cf093bf1f25a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2014-08-19

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 4c43d3b1af9b935841d98fbe535ffe35af5afce7
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2014-08-17

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit b487607c66cc79ada2665060707744da3f976594
Author: Gil Forcada <gforcada@gnome.org>
Date:	2014-08-17

    [l10n] Update Catalan translation

M	po/ca.po

commit ff2b1916dbea981cdc4df3358423f851e4362b96
Author: ngoswami <ngoswami@redhat.com>
Date:	2014-08-13

    Updated Assamese translation

M	po/as.po

commit 84bb912fc1c65e3310016929e7196d2f04980253
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2014-08-05

    Updated Basque language

M	po/eu.po

commit 33e8daf4d95b4d459eebcbc99f9726423c6cac78
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-31

    doap: add programming language

M	baobab.doap

commit 46623a7c13bf95c24a0e8eef6034c85e12e18471
Author: Olav Vitters <olav@vitters.nl>
Date:	2014-07-30

    doap category core-apps

M	baobab.doap

commit 0df085d59b5416ade489ea9c00f7f9e78854fd8c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-23

    Release 3.13.2

M	NEWS
M	configure.ac

commit 3deedd8f8ab81061c1964d33d709543b6845474e
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-23

    Bump vala requirements

M	configure.ac

commit 039bafe5fd152bd5f2ff1f7623dd96fe98ca2d11
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-07-21

    Updated Norwegian bokmål translation from Åka Sikrom.

M	po/nb.po

commit 88d4f538e7e24ccf648da341063468c21af8ac8a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-07-21

    Updated Norwegian bokmål translation from Åka Sikrom.

M	po/nb.po

commit 8f337eddffd696ea9bbdc98253d515464d19428a
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-07-14

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 500cc2c091b7615654eaf7481d2d8ceb421ea827
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-09

    Move custom icons in resources

M	data/Makefile.am
M	src/baobab.gresource.xml
R100	data/view-ringschart-symbolic.svg
src/icons/view-ringschart-symbolic.svg
R100	data/view-treemap-symbolic.svg
src/icons/view-treemap-symbolic.svg

commit 3928dcb056e20c2954b0c6c34012d0b5ed5f0ef5
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-13

    ringschart: tooltip improvements

    1. Tooltips are now painted starting from the biggest element.
    2. Text is ellipsized if too long, instead of just hiding the tooltip.

M	src/baobab-ringschart.vala

commit 233fc9f9e754b97fc4c291d0585150a187ab32d3
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-13

    chart: use Gtk.Application.get_menu_by_id() for context menu

M	src/baobab-chart.vala

commit 5092eb57fa220e83664d7fd576b23bd985fa0006
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-12

    Simplify "active-chart" property handling

    We can use g_settings_create_action() to automatically manage
    the GSettings and the GtkStack property. But to do so we need to
    use an intermediate stack for the spinner, so to keep the bijective
    correspondence gsettings state <-> chart stack state.

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit f1914e7d237b12ccce3f659ec262fabc7e1e3e6a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-12

    application: Do not use a static global object

M	src/baobab-application.vala
M	src/baobab-scanner.vala
M	src/baobab-window.vala

commit 6a699352022f71505a497330a43ef4da6c627672
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-11

    Chart: put the switcher inside a GtkActionBar

M	src/baobab-main-window.ui

commit bc562619eea257a1574e9937110c566eb7a7c04b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-11

    Fix context menu in treeview

    https://bugzilla.gnome.org/show_bug.cgi?id=731688

M	src/baobab-window.vala

commit 7a704dbfa6821dbc56b76f1b4f2927e096f4bceb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-07-10

    Updated POTFILES.in

M	po/POTFILES.in

commit 1cbbeef16bec450e2546ef9047e035f29f58fd90
Author: MarMav <mavridou@gmail.com>
Date:	2014-07-09

    Updated Greek translation

M	po/el.po

commit f17e43f98e0a12d389df81fa09af49087aff4a76
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-08

    Fix srcdir != builddir

    This partially reverts commit
    28b322ce4d583304d8ded89029440915a8176f08.

    https://bugzilla.gnome.org/show_bug.cgi?id=732919

M	src/Makefile.am
R100	src/resources/ui/baobab-location-row.ui src/baobab-location-row.ui
R100	src/resources/ui/baobab-main-window.ui	src/baobab-main-window.ui
R100	src/resources/baobab.css	src/baobab.css
A	src/baobab.gresource.xml
R100	src/resources/gtk/menus.ui	src/menus.ui
D	src/resources/baobab.gresource.xml

commit 99298b2d032abc18bf6ccf45b59102bb8aa25264
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-08

    Use new view-context-menu-symbolic icon for "gear" menu

    The icon is automatically set by GTK+ when "direction" is none.

M	src/resources/ui/baobab-main-window.ui

commit 28b322ce4d583304d8ded89029440915a8176f08
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-07

    Use a separate directory for resources

    Notably, menus are now at resource path
    /org/gnome/baobab/gtk/menus.ui,
    which allows for automatic picking of app-menu by GTK+.

M	po/POTFILES.in
M	src/Makefile.am
M	src/baobab-application.vala
M	src/baobab-chart.vala
D	src/baobab.gresource.xml
R100	src/baobab.css	src/resources/baobab.css
A	src/resources/baobab.gresource.xml
R098	src/baobab-menu.ui	src/resources/gtk/menus.ui
R100	src/baobab-location-row.ui
src/resources/ui/baobab-location-row.ui
R100	src/baobab-main-window.ui
src/resources/ui/baobab-main-window.ui

commit 9d06479268f867f69dc44600bc3984d2ecf6f6ef
Author: hannie <lafeber-dumoleyn2@zonnet.nl>
Date:	2014-07-07

    Updated Dutch translation master 3-14

M	po/nl.po

commit 9ff1e0e09f668653eba290ba32aa0a409a26780d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-06

    Chart: derive from GtkDrawingArea

M	src/baobab-chart.vala

commit 15475b2920e88d4da90f39e55c1da0e5b88d7b29
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-06

    Use an offscreen surface for chart drawing

    Previously the border between angular sectors in Ringschart was
    obtained
    by a cairo_stroke() with the background color. The problem with this
    is that
    we needed to fetch the color from the theme somehow and this was
    not always
    possible (for instance the HighContrast theme does not define
    @theme_bg_color).

    Now we just draw to an offscreen surface and obtain the borders by
    clearing the
    relevant pixels. The surface is finally painted on the window.

M	src/baobab-chart.vala
M	src/baobab-ringschart.vala
M	src/baobab.css

commit d8ec52311d897662c90f64eed2014434be61a95c
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2014-07-05

    Updated Russian translation

M	po/ru.po

commit c3fd95381b6fb6eb64f0cee6695a8bb137de74b4
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2014-07-05

    Updated Russian translation

M	po/ru.po

commit 05b71aab541793d48d26e2344a045f0cfa0fb3ab
Author: Benjamin Steinwender <b@stbe.at>
Date:	2014-07-05

    Updated German translation

M	po/de.po

commit f2c8cd06a8971f48002cb4eb5dc24a14bd9e5990
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-05

    Do not strip blanks from resource files

    They look better in the inspector

M	src/baobab.gresource.xml

commit fb20019f693c143d8f227412e7550b9fb112a185
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-05

    CSS fixes

M	src/baobab-cellrenderers.vala
M	src/baobab-ringschart.vala
M	src/baobab.css

commit b32bd34132871d5389307ba14f26ed54308a146c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-05

    Add custom CSS

    Import custom CSS from gnome-themes-standard repository.

M	src/Makefile.am
M	src/baobab-application.vala
A	src/baobab.css
M	src/baobab.gresource.xml

commit a08758b2f5933ce8d8bf07b055e7430593cbf163
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-07-02

    Rename the .appdata.xml file after the DBus-activatable switch

M	data/Makefile.am
R092	data/baobab.appdata.xml.in
data/org.gnome.baobab.appdata.xml.in
M	po/POTFILES.in

commit 8604ac7e606f9bff6ebf5648b46707b968cd5c51
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-02

    Replace deprecated margin-right with margin-end

M	src/baobab-main-window.ui

commit ca75079dc42c13c941e18b902f747d58de04199f
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-07-02

    Avoid deprecated GtkMisc xalign property

M	src/baobab-location-list.vala
M	src/baobab-location-row.ui

commit afe7ec134cc374a2a8cd96e3a011c54d8052d8c9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-07-01

    Updated Galician translations

M	po/gl.po

commit ae46510f3df8cb439c60a588f8fb3c509c988dc7
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-06-29

    Updated Indonesian translation

M	po/id.po

commit 8c79ddae28db7979132b1bdcd02dcc33eb49cc84
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-06-22

    Updated Turkish translation

M	po/tr.po

commit 54ad50954ae5756a9ba2b0c7c6674e5dd3bd0a32
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-06-22

    Updated Lithuanian translation

M	po/lt.po

commit 147686fdd53399fc0e934f9a368e7058f4d45d29
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2014-06-22

    Updated Hungarian translation

M	po/hu.po

commit 7f645b5ea51d031ca6bb31bb6a3537f871d1f28b
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-06-18

    Updated Hebrew translation

M	po/he.po

commit eece2932c7e57a51cf9edb7c1d31e5d92e762d4e
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-06-17

    Updated Spanish translation

M	po/es.po

commit c976fadefaa799fedd619b320f0096606be8319f
Author: Jean-François Fortin Tam <nekohayo@gmail.com>
Date:	2014-06-15

    Rename "Move to parent folder" to "Go to parent folder"

    Fixes bug #726936

M	src/baobab-menu.ui

commit 35181d92ea4671893744cddebd7fcda589e66178
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-06-16

    Updated Slovenian translation

M	po/sl.po

commit bdbfdf16fde587e4237f560127173f83dd29f349
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-06-08

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 7167c12b88fe6319c241e855c586252693ee492d
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-05-29

    Updated Turkish translation

M	po/tr.po

commit 1124eefaf9266efe807409df65454e21763e3e19
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-05-27

    Release 3.13.1

M	NEWS
M	configure.ac

commit 34194289418fb207c480664dbf7e41ee68bdc617
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-05-25

    Updated Lithuanian translation

M	po/lt.po

commit dcdda39f08db13096b1f0229b590e66d183a9de6
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-05-22

    Updated Indonesian translation

M	po/id.po

commit c58dde35fde44ae8d8003953d7ebc92cb87ef814
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-05-21

    Use the new support for RTL icons in GtkIconTheme

    And avoid the deprecated GtkArrow at the same time.
    Note that a recent adwaita-icon-theme is required.

M	src/baobab-location-row.ui
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit ff9b14a14f543fbf8cf7101f7202c9471a0594f9
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-05-21

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit a0b6998061964a1be03fc8475365092c4ff3b867
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-05-20

    Updated Spanish translation

M	po/es.po

commit 212c5305cc13e8e644eca0a2fd645372fd958bdd
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-05-19

    Updated Hebrew translation

M	po/he.po

commit 64153f6633741c5af598e713d6b69dab48d6de7d
Author: Marek Černocký <marek@manet.cz>
Date:	2014-05-19

    Updated Czech translation

M	po/cs.po

commit bc3deb0a5cd0e965db908a941aaa71c9669ba635
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-15

    window: Be more specific when reporting scanning errors

    Use a warning message for subfolder error, an error message
    for top folder error.

    https://bugzilla.gnome.org/show_bug.cgi?id=686136

M	src/baobab-window.vala

commit d83e9c496fca33a36dcf8867262a119f838843a2
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-05-13

    Replace a deprecated method

M	src/baobab-application.vala

commit 887799dffdf743da1ba11abca1343172de49b1a0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-05-10

    LocationList: Remove "content-view" style class

M	src/baobab-main-window.ui

commit 58a92a0de9504d5d09a7052016f030455d64ce6b
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-05-04

    ui: Use the correct name of the parent widget

    Gtk.ListBoxRow -> GtkListBoxRow

    https://bugzilla.gnome.org/show_bug.cgi?id=729481

M	src/baobab-location-row.ui
M	src/baobab-main-window.ui

commit 93041b6475779b527c8e0d63c77ec38d26970de1
Author: Sami Jaktholm <sjakthol@outlook.com>
Date:	2014-05-01

    Finnish help translation

M	help/Makefile.am
A	help/fi/fi.po

commit 92762c36b4bc50697ad2e3077d60f9412eb514f2
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-28

    Revert "Use popver for the gear menu"

    This reverts commit 9c48884372230c554f33821cb2d30ffa543bb239.

    This is now the default setting in GTK+.

M	src/baobab-main-window.ui

commit 3e124a15fa335848ff013c29908b9bb93a33d176
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2014-04-25

    Updated Swedish translation

M	po/sv.po

commit 858fdb412214ed069934ace218cdcd7f7c7fe406
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-04-24

    Updated Greek translation

M	help/el/el.po

commit 16f618d60b11f0fb71432bcc043d10dd8c035bec
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-14

    Release 3.12.1

M	NEWS
M	configure.ac

commit b7b5b20966d9748085a0e1c448a5185cbf6ad77e
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-14

    Update Makefile

M	data/Makefile.am

commit 71f4930847bcfd965cdec33feae6ca3194efe549
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-14

    Update POTFILES

M	po/POTFILES.in
M	po/POTFILES.skip

commit ba0cb8a8be0b7f3c0c92a10badede8e26e20450c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-12

    Disable chart switcher while in the busy state

M	src/baobab-window.vala

commit 14620655d57e94dfa7861baa2a3c722fd9ffd039
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-12

    Guard against null strings before escaping

M	src/baobab-cellrenderers.vala

commit f6af0f801e8378fdf3cfc7709a036969c8da198e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2014-04-09

    baobab: Make DBus-activatable

    This commit installs a service file, renames the desktop file
    to follow the bus name, and adds the DBusActivatable key to the
    desktop file, following
    https://wiki.gnome.org/HowDoI/DBusApplicationLaunching

    https://bugzilla.gnome.org/show_bug.cgi?id=727918

M	data/Makefile.am
R095	data/baobab.desktop.in.in
data/org.gnome.baobab.desktop.in.in

commit 60391950c7b70259b6b96a5224bf44dae5c324c3
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-07

    bump glib dependency

    https://bugzilla.gnome.org/show_bug.cgi?id=727677

M	configure.ac

commit e366ce81d79fa2622dc8089d9e84e5e32fff2337
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-01

    Restore tooltips on chart buttons

    They were lost in previous commit

M	src/baobab-main-window.ui

commit 4501b534691552847d38db96e7d44cf665999939
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-01

    Use a GtkStackSwitcher for chart buttons

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=709330 as a bonus

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit a2d908245a0fcbbfd8db348bcbc6b6ac5fd5fbe7
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-04-01

    Ringschart: fix a warning

M	src/baobab-ringschart.vala

commit 01889aae6915983ac408b476ff6f42d4e6f89813
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-03-30

    doap: update URLs

M	README
M	baobab.doap

commit 229f33959540bf81b1dda0ebaa88a5f88cb50b77
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-03-27

    Updated Indonesian translation

M	help/id/id.po

commit 726cf0909906f5ff757abd5e6f0c820e5d61e7c1
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-03-26

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 5286b37927a5cd24c2ccd22e51374bb0e408032d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-03-24

    Release 3.12.0

M	NEWS
M	configure.ac

commit 6176e1700f90218da370f4e4591c5cfe5edd29b1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-03-24

    Updated Spanish translation

M	help/es/es.po

commit de5fac7322a25156a2005c98639756a1015227b2
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-24

    Updated Czech translation

M	help/cs/cs.po

commit 36d0fcaa824c75a04ca99b5bcaba2bc1c2c531a2
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-03-24

    Updated French translation

M	help/fr/fr.po

commit 12343d961ca68670c0e4d95357ababc8c44e0592
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-24

    Updated Hungarian translation

M	help/hu/hu.po

commit 1376c32a928beb11b2e90668f3656d22277cc063
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Update link due to my last change

M	help/C/problem-permissions.page

commit 6106eff066c061301e3256d9f9fddc80597f9c41
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Make page ID the same as file name

M	help/C/pref-view-chart.page

commit 749be70147ad62600c0edeba305783de04e44459
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-03-23

    Updated Indonesian translation

M	help/id/id.po

commit 73140c99a1e640e88cc84893fcaa0a99ae75da92
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2014-03-22

    Updated German translation

M	help/de/de.po

commit 897564706c358dd2eb437200b195b1bb4a558f44
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:	2014-03-21

    Updated French translation

M	help/fr/fr.po

commit 06fb4f22194c9b430edcd283306b80bda3ade49b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-03-21

    Updated French translation

M	po/fr.po

commit 2e2b5903e1ff2ccd4f93be8bdd8db016cc74ea19
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-03-19

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit ed3e6617b2b8c30df1bd3fde21d3f3e09da1024a
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-19

    Updated Hungarian translation

M	help/hu/hu.po

commit 8af5abbdd6e898d3be86cc692c85d1e2cce444e7
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-03-09

    Scanner: clear hardlinks list when resetting

M	src/baobab-scanner.vala

commit ac0c6b9870b5e5be00f6bc3efaf262a9c4290775
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-03-02

    Clear the timeout id upon success

M	src/baobab-scanner.vala

commit ffc36edeabbc8d766d8e2c0b815bedebe2f51ae6
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-02-19

    Release 3.11.90

M	NEWS
M	configure.ac

commit 9c48884372230c554f33821cb2d30ffa543bb239
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-02-16

    Use popver for the gear menu

M	src/baobab-main-window.ui

commit d8174c9a52ecd32454ff55d4b9e02f3f55ea76b9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-02-16

    Use new method to deal with command line options

M	src/baobab-application.vala

commit e2b4ab37b7caebcddd3b15aa5eb001b4e7f5ca80
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-02-11

    Set an icon for the main window

    https://bugzilla.gnome.org/show_bug.cgi?id=724004

M	src/baobab-main-window.ui

commit 760fa0cb2e83cd3a1b39a2f9f02d809247e3b839
Author: Jürg Billeter <j@bitron.ch>
Date:	2014-02-12

    Adjust to changes in Vala binding API

    This adjusts to the changes from
    https://bugzilla.gnome.org/show_bug.cgi?id=713240 and bumps the
    required Vala version.

    Based on patch by Ryan Lortie.

    https://bugzilla.gnome.org/show_bug.cgi?id=724204

M	configure.ac
M	src/baobab-chart.vala

commit b046a511da0d0fb6c482bd8a29dddfccd4ee56c9
Author: Marek Černocký <marek@manet.cz>
Date:	2014-02-09

    Updated Czech translation

M	help/cs/cs.po

commit 30a6bb43eedcc97824167c6c54f7ab7cbf3838e9
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2014-02-05

    Updated Greek translation

M	help/el/el.po

commit 1adfb88751d174ab79ccd269f1fa88e5c2ebfc7e
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2014-02-04

    Release 3.11.1

M	NEWS
M	configure.ac

commit 852e9abd084f9703ac5d68f6430eda81ab43ee39
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-02-04

    updated kn.po

M	po/kn.po

commit a14ae2381cbf3cd4cc43e81f94b9c942c4888346
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-02-02

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 533e85685725b16f61a8a85211cc45c1c72657c8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-01-28

    Updated Spanish translation

M	help/es/es.po

commit cb62f57edc18684b8796188fa07734d6c2c42085
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:	2014-01-28

    Set proper status to the pages related to problems

    Set review status and pkgversion=3.12 as Kat read them few times and
    delete one remaining stub page

D	help/C/prob-virtual-folders.page.stub
M	help/C/problem-permissions.page
M	help/C/problem-slow-scan.page

commit ef9d24648ee4738d50d717be620a024ed31cdb23
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:	2014-01-27

    Unbreak user help documentation

    legal.xml was missing for distribution so help could not be displayed

M	help/Makefile.am

commit 8d1b328092098b1c38db469eaa9f5dd81161cd22
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:	2014-01-26

    Add common problem sections and related pages

    Add pages about slow scan and permissions problems.

    https://bugzilla.gnome.org/show_bug.cgi?id=670527

M	help/C/index.page
A	help/C/problem-permissions.page
A	help/C/problem-slow-scan.page
D	help/C/protocol-ftp.page.stub
D	help/C/protocol-ssh.page.stub
D	help/C/protocol-web-dav.page.stub
D	help/C/protocol-windows-share.page.stub
M	help/Makefile.am

commit 30cc2882ec813b11e0d0f7bfeaa9e924518868e9
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:	2014-01-26

    Add a link to the list of supported protocols

    https://bugzilla.gnome.org/show_bug.cgi?id=670527

M	help/C/scan-remote.page

commit c36da70d925c02aefb86b480aab633841c3c1128
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:	2014-01-25

    We don't need baobab.omf.in anymore

D	help/baobab.omf.in

commit 478745c6582181533769d5ee2472c20aa5b19d4b
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-01-26

    Relicense user help, part 1

    Signed-off-by: Michael Hill <mdhill@gnome.org>
    Signed-off-by: Julita Inca <jinca@localhost.localdomain>

M	help/C/index.page
M	help/C/introduction.page
A	help/C/legal.xml
M	help/C/prob-virtual-folders.page.stub
M	help/C/protocol-ftp.page.stub
M	help/C/protocol-ssh.page.stub
M	help/C/protocol-web-dav.page.stub
M	help/C/protocol-windows-share.page.stub

commit 35e57f65061fa31a90d76e75e6711ea1686450fd
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:	2014-01-21

    Updated Odia translation.

M	po/or.po

commit 601f4e16b143989152ee7b9a146b7f3d801c2ce7
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2014-01-04

    COPYING: Update files with latest versions from gnu.org

    https://bugzilla.gnome.org/show_bug.cgi?id=721460

M	COPYING
M	COPYING.docs

commit 8a64f228b6490705a57a793f56a052a72d272d7e
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2014-01-03

    baobab: link with -rdynamic

    -export-dynamic is a libtool option and we're not using libtool here.
    -rdynamic is the proper option to pass to the C compiler to get this
    same behaviour.

    https://bugzilla.gnome.org/show_bug.cgi?id=721437

M	src/Makefile.am

commit 3e801b4d67c10d716b747cb4334ab376aa114b49
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:	2013-12-22

    Updated Aragonese translation

M	po/an.po

commit a530cafc35fb10be77d07766e776866d157276dc
Author: Wylmer Wang <wantinghard@gmail.com>
Date:	2013-12-22

    Update Chinese simplified translation

M	po/zh_CN.po

commit 051f4310904678153aa3f2f4821bf86afd0a9702
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:	2013-12-09

    app menu: standardize Help/About/Quit

    Remove the separator between About and Quit

    https://wiki.gnome.org/Design/HIG/ApplicationMenus

M	src/baobab-menu.ui

commit 831c1bb344f8c584cf3ccd135ea8bda30e3f600a
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-11-23

    Updated Greek translation

M	help/el/el.po

commit c870bddc9e1e59e5783a2b5f8228b013b2c30a61
Author: Shantha kumar <shkumar@redhat.com>
Date:	2013-11-12

    Updated Tamil Translations

M	po/ta.po

commit a9f3cc6b3b25ea71b5329d25e601f1d597dccbbf
Author: Efstathios Iosifidis <iosifidis@opensuse.org>
Date:	2013-10-16

    Updated Greek translation

M	po/el.po

commit 338bcbbe6b377b4a6c6363ff84ea14dbc3b945f3
Author: Erwin Poeze <donnut@look.com>
Date:	2013-10-16

    Updated Dutch translation master

M	po/nl.po

commit 766a8f9ddfcda8d0a5d01d90954b6f3e64e21254
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-10-14

    Release 3.10.1

M	NEWS
M	configure.ac

commit c601ad51f9a1262eadeafed86f1ae44d3e282261
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-09-25

    Cleanup Makefile

M	data/Makefile.am

commit 9c6481f360bb8c612af5917de54b52daed461c84
Author: eternalhui <www.eternalhui@gmail.com>
Date:	2013-10-13

    Update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit bddd6a69a815b95d958e9636ec9bbb8bd78e38bc
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2013-10-08

    L10N: Updated Persian translations

M	po/fa.po

commit 4714466f71e948d049a79df260945789c0e2c947
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-10-06

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 7db54889e413d799dad3b4328482edba0b9be9f4
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2013-09-25

    [l10n]Updated Turkish translation

M	po/tr.po

commit 82c59bc638eacc909c77a16476e16a66d41f6b46
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-09-23

    Release 3.10

M	NEWS
M	configure.ac

commit d435ff757e1b585eaa6ff838ad57f3d5aebadbea
Author: António Lima <amrlima@gmail.com>
Date:	2013-09-22

    Updated Portuguese translation

M	po/pt.po

commit 609d01b8d73c9ad50c228e5004d31174dddb071a
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2013-09-21

    Add Kazakh translation

M	po/LINGUAS
A	po/kk.po

commit 41910d4c2dd9b39a6a9398cf008673b11ae35364
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2013-09-21

    Updated Ukrainian

M	po/uk.po

commit dff3ed5b42f6caa25723c9d91b311017210922b1
Author: A S Alam <apreet.alam@gmail.com>
Date:	2013-09-17

    Punjabi Translation updated by Aman

M	po/pa.po

commit b65d3dfe50ae69cb227f556e6dde4123457582c7
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2013-09-16

    Updated Danish translation

M	po/da.po

commit c06a3379395e22400c9df9699526555048648955
Author: Josep Sànchez <papapep@gmx.com>
Date:	2013-09-16

    [l10n] Update Catalan translation

M	po/ca.po

commit 59da06bc7ab4f399bd21d5a8710da764456a4f35
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2013-09-16

    Updated Hebrew translation

M	po/he.po

commit 5b07aa20b75344d22bae34079a7d50e2e2257aeb
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-09-16

    Updated Basque language

M	po/eu.po

commit 349cb46a58d1bc2951ac97115442a2704ce66006
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2013-09-16

    Update Arabic translation

M	po/ar.po

commit 2d0452fecaf777e31c3e442b5e4f22d4ca31326e
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2013-09-16

    l10n: Update Japanese translation

M	po/ja.po

commit 10028d0f6b13d02564bed1aaa7b4d8df7c7dac95
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-09-14

    Updated Korean translation

M	po/ko.po

commit 85da6e3518bb1d4a7978fe24f670c85cdaa97d71
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2013-09-12

    [l10n] Updated Estonian translation

M	po/et.po

commit 0582fd80392ce25edd249fe567911719df0e9a90
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2013-09-12

    [l10n] Updated Estonian translation

M	po/et.po

commit bf71ded587428e33215636a2565150a119d2ddee
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-09-11

    Updated Latvian translation

M	po/lv.po

commit 2c65afc1e284668b4b4899731bd5539fa7b20d54
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-09-11

    Updated Indonesian translation

M	po/id.po

commit 18460882fb73df8cf415336a97ac1039f2b75331
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2013-09-11

    Updated Hungarian help translation, also relicenced

M	help/hu/hu.po

commit 76c4bab4c9fdbf948e34eb6d7de50ec91370e79f
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-09-11

    Assamese Translation Updated

M	po/as.po

commit 16b4f8d3497e5c2f06e96b02aa2c8a4dcc5862cf
Author: Marek Černocký <marek@manet.cz>
Date:	2013-09-10

    Updated Czech translation

M	help/cs/cs.po

commit a546f49e38d42f75b30ee023f94383e7d529e599
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-09-10

    Fixed bug in Russian translation

M	help/ru/ru.po

commit 22fdf950645accf54ec7ceb740ed9166f464e49b
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2013-09-09

    Updated slovak translation

M	po/sk.po

commit 21195ce3cc5d56d9ccfe27be2281501f97584679
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-09-09

    Updated German translation

M	po/de.po

commit d950effd40b25af203687b2e11b747b834ab48aa
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-09-08

    Updated Belarusian translation.

M	po/be.po

commit d1ff8574a6fc7b8ec3e7e8e67f02780d4e894017
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-09-08

    [l10n] Added Italian documentation translation.

M	help/Makefile.am
A	help/it/it.po

commit 86388c511684a31c2387404938ece14caae81c32
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-09-08

    Tajik translation updated

M	po/tg.po

commit d46da317141b7ee3692f6499c912ede43426794f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-09-08

    Updated Norwegian bokmål translation

M	po/nb.po

commit 681b34bf7ef5a62a5250d66443551d3316fabc4e
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-09-07

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 33d0f61f56d77f4ee46f0cfd6a676510cd1cc406
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-09-07

    [l10n] Updated Italian translation.

M	po/it.po

commit 4c83bc4ed1c93b9ee67588d51922b2265dd678f1
Author: Dmitriy S. Seregin <dseregin@59.ru>
Date:	2013-09-07

    Updated Russian translation

M	po/ru.po

commit a0b503c069b73bd9e0fb1b82d105e6e3e993d962
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-09-06

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 030ae40e00034796857ec12074bd275abb3ecf41
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-09-05

    Use a better screenshot for Appdata

    In English and without showing proprietary software names :)

M	data/baobab.appdata.xml.in
M	data/baobab.png

commit e7de6dc9b36a01fc7beedc09c90bf46054d7be23
Author: Marek Černocký <marek@manet.cz>
Date:	2013-09-05

    Updated Czech translation

M	po/cs.po

commit 533915c45717c152e82e101a94d003262812f431
Author: Timo Jyrinki <timo@debian.org>
Date:	2013-09-04

    Finnish translation update

M	po/fi.po

commit d1c6b106eedb37289067f4f5ad416c24204b7308
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-09-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit aafb97a8ae5b0ca2a207afd491793c370a5a7305
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-09-04

    Updated Polish translation

M	po/pl.po

commit 45b2fc413f7d3caba031b42f7bb0ba768c7bfed3
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-09-04

    Updated Lithuanian translation

M	po/lt.po

commit 5c89df8bbd650dd0c28aecdb0d244a770bc83a93
Author: Manel Vidal <verduler@gmail.com>
Date:	2013-09-03

    [l10n] Update Catalan documentation

M	help/ca/ca.po

commit 956ef8eedec4a8a7ff8541c4f710a3e675a45945
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-09-03

    Updated Slovenian translation

M	po/sl.po

commit 8415d5bf2d40899a60d01b189eaa712eb73c3cd7
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-09-03

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 280849ec767313d1be68f4bc776d3ca70cd036f7
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-09-03

    Updated Hungarian translation

M	po/hu.po

commit 147f3019e584675ab2aa0cf2381e2f76f8d2db1b
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-09-03

    [l10n] Updated Italian translation.

M	po/it.po

commit 7359356f328a106b7ac0710f5471e8c32b22158f
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-09-03

    Update French translation

M	po/fr.po

commit 842aa9cb304f8624582467a0db613348ab8a6ab9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-09-03

    Updated Spanish translation

M	po/es.po

commit 26d7734ca9325111ceb19bf82d4a428f97ee6c4a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-09-03

    Updated Galician translations

M	po/gl.po

commit f70efd373308eeea07d405bbf644a2a6edf0c10b
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	2013-09-02

    Updated Irish translation

M	po/ga.po

commit 344b65ddc4645f8391381d5fd990b06d58c10730
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-09-02

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit cd5a228754f448343cbdca75174119d852c45902
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-09-02

    Release 3.9.91

M	NEWS
M	configure.ac

commit f4a47a12bffb54c56858e8d26e44f39ceeecbe67
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-09-02

    Ship Appdata file

M	data/Makefile.am
A	data/baobab.appdata.xml.in
A	data/baobab.png
M	po/POTFILES.in

commit 5600045cea0ec230c9fbc8750ff89d60cd662e05
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-09-03

    Update README

M	README

commit 967c0e01abe1ce29e01785e6549b078cbb2a3c7f
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-09-02

    Updated Belarusian translation.

M	po/be.po

commit c6072b87e5008908be33eed3171c9254b3e2b7fc
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:	2013-08-31

    Update Dutch translation 3.10

M	po/nl.po

commit 7e871ba18c96dec2a6c12aa875716fb77e939f3f
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-08-30

    Update French translation

M	po/fr.po

commit 3ef1f1d4e8f63ca1f02f1e2cef3389543692219e
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2013-08-29

    Update Esperanto translation

    Reviewed by Tiffany Antopolski

M	po/eo.po

commit 32476877142c947fa221111b017a52b8a87883fd
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-08-27

    Updated Galician translations

M	po/gl.po

commit 5e6b91493bbe818dec43cb00a29802884cda8232
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-08-26

    Updated Lithuanian translation

M	po/lt.po

commit c82ba23a2f80870f68dea607ad7746deab33aa37
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-08-26

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 01dcfad8a675d8ef8ad8e66fde1c3e60c36bd145
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-26

    Fix gettext domain substitution in schema file

M	configure.ac
R076	data/org.gnome.baobab.gschema.xml.in
data/org.gnome.baobab.gschema.xml.in.in

commit d1eb00cc0300518c50c17f82ace2565241831895
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-23

    cellrenderers: add a few translator comments

    https://bugzilla.gnome.org/show_bug.cgi?id=706559

M	src/baobab-cellrenderers.vala

commit 86bd774b7539caefa1e5c7f5747ba5395ced8989
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-08-22

    Updated Indonesian translation

M	po/id.po

commit 832c9836acee7a1ff7a64d7f336058731bde870c
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2013-08-21

    Updated slovak translation

M	po/sk.po

commit 3df34a194491f390811d952345908c098a113665
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-08-21

    Updated Hungarian translation

M	po/hu.po

commit be0418852d80bfcd6e961f35e8475964bb84d8b5
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-08-21

    Updated Indonesian translation of help

M	help/id/id.po

commit 2c4aed4b51653a6bc023c4c9d239a65851a0ee2b
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-08-20

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e2f1de15fe229d87236af58163b407e8eab495cd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-08-19

    Updated Polish translation

M	po/pl.po

commit 087c1db9760a1e499499b371816240520acb1d94
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-19

    Release 3.9.90

M	NEWS
M	configure.ac

commit dc78925f35e9d0f9a7af8bad792172dfa8f0141c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-08-19

    Updated Hebrew translation.

M	po/he.po

commit 901b1419c3fb4af077f0ea520787405330470144
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-08-18

    Updated German translation

M	po/de.po

commit 4e39f95236473099be6c949ca16bfa78f36b1f80
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-08-18

    [l10n] Updated Italian translation.

M	po/it.po

commit 4af263b798b653c585d2c7b17ab3efdce92fa93f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-08-17

    Updated Slovenian translation

M	po/sl.po

commit a90b57bd4b80013d9801eeeb210b7c8a0f735293
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-08-16

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 2a752069fa15906b815ef4ce3ebfae2007ec7918
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-08-14

    Updated Spanish translation

M	po/es.po

commit c7445c5d126c057426b6e72c08773ff77450a69f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-08-12

    Updated Norwegian bokmål translation

M	po/nb.po

commit 3be3bd8895beb1f6d566bf0886a70c1af665ccaa
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-08-11

    Update French translation

M	help/fr/fr.po
M	po/fr.po

commit 408bd55edabdd085479d7eb9d79e36b1480bb2f3
Author: Marek Černocký <marek@manet.cz>
Date:	2013-08-11

    Updated Czech translation

M	po/cs.po

commit 3fc80f7bd1fdfd0640dcb9f518ac166f965857d2
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-08-11

    Tajik translation updated

M	po/tg.po

commit a09e5bf57fc6328006a5e471fe0af30c15a323fb
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-10

    Cleanup Makefile.am

M	src/Makefile.am

commit 91b9475687fcacf3f98cca1b2430644238ca8112
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-10

    Show a message if allocated size is not available

M	src/baobab-window.vala

commit 023a780fe8bc034f2f02dceb0b34bbf8d77d7047
Author: Kalev Lember <kalevlember@gmail.com>
Date:	2013-08-10

    Fix a keywords syntax error

M	po/br.po

commit 215f3b160abfeaba4f0ccb75c445bbda5e516b01
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-08-08

    Updated Brazilian Portuguese translation for help files

M	help/pt_BR/pt_BR.po

commit 7a1374ee208ad6fc5c01e8f3cfaa12e9853c09ce
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-08-08

    Added Brazilian Portuguese in help/Makefile.am

M	help/Makefile.am

commit 015e7a4b968cfdcf0c3b9af3e1307e660cbdb8fd
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-08-08

    Updated Brazilian Portuguese translation for help files

M	help/pt_BR/pt_BR.po

commit 436c951e92b691e356816f194859d3de46a6b2e7
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-07

    Cleanup Makefile.am

M	Makefile.am

commit 88315543cc680e9784840aaab10e412ac81811a4
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-07

    Mark as foreign in AM_INIT_AUTOMAKE

M	configure.ac

commit 6568ae990e8d94dfe977bf969f9d422cd3b231fe
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-07

    Update git.mk

M	git.mk

commit 67610780fc82643adca92d80d47168ed164c0621
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-08-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 0d1e40ea14c22f4e83561ce5efd821b81322b5c6
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-05

    Use new close button in GtkHeaderBar

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 4263ffe44fdb66b46de2213ba54ffd93f130b511
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-04

    Bump vala requirement

M	configure.ac

commit 2d171de554e420e12eda259007f1c28cab4a0bb7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2013-08-04

    Updated Hungarian translation

M	po/hu.po

commit 2c78bbebb3d345d4c1d90f38d975d6ece16b84ff
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-07-29

    Updated Brazilian Portuguese translation

A	help/pt_BR/pt_BR.po

commit 5770ed560c74346866100fdfc6a762e7734ebeb6
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	2013-08-03

    Updated German help translation

M	help/de/de.po

commit e888682ee6370d872a4298b574be9a6cdf3aca94
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-08-03

    Adapt to recent GtkInfobar changes

M	src/baobab-main-window.ui

commit 27e4aba74c0816c201b2fca008664bfaec7d7f74
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-08-03

    Release 3.9.3

M	NEWS
M	configure.ac

commit 6c6ec393dc35c8de1cfe6d32fe27504dd2944a0a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-08-02

    Updated Galician translations

M	po/gl.po

commit 9d100aa82af727d015f1027f756f8da2622f0b36
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-08-02

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 81b71afff6c84873ff2832f3776d80f07f704b47
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-07-31

    Updated Hebrew translation.

M	po/he.po

commit e1fed3d164b29e66c30770f60919e7382342e1f7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-07-30

    Updated Lithuanian translation

M	po/lt.po

commit a9ef080f8567ff778d6f917a91b4cac3c64d2b8b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-07-30

    Updated Norwegian bokmål translation

M	po/nb.po

commit 0d68d873ee54f8292f4dc046dfb2de2d44531f91
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-30

    Bump requirements for GTK+ and glib

    For template API changes

M	configure.ac

commit 5187d846dff3d9a66d3f34b940bbc0c07807fdee
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2013-07-29

    build: Target GLib 2.38

    as required by GTK+ templates.

    https://bugzilla.gnome.org/show_bug.cgi?id=705080

M	src/Makefile.am

commit 0cf272482bfe71bc5042f63fbc9a9027bfe2285b
Author: Denis Arnaud <denisarnuad@yahoo.fr>
Date:	2013-07-26

    Updated Breton translation

M	po/br.po

commit afeb1712effeb77c0fd3c6a303f453f5795df610
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-07-26

    Tajik translation updated

M	po/tg.po

commit 1be170120d79a04d742c5c8482387c0467ec53c2
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-26

    Updated Czech translation

M	help/cs/cs.po

commit 389927c2dee066b4ef942fb901557b753b196456
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-26

    Updated Spanish translation

M	help/es/es.po

commit 326dc767a173e398b50a315ecfab410c483af759
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-26

    Fixed typo in string

M	help/C/scan-remote.page

commit 9bc71b31fa7b9b5ffd1ff7b1fafaae8b8e546c84
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-25

    Release 3.9.2

M	NEWS
M	configure.ac

commit cad0f1154efed705854e458c2a0c6046be5924a2
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-25

    Updated Czech translation

M	help/cs/cs.po

commit aad532e2e22c3748466ef6508ebacf86eed3ad6b
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-25

    Updated Czech translation

M	help/cs/cs.po

commit 658276b6f8d6fdd3d6b941bb147e9abf6bdc3f90
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-25

    Updated Spanish translation

M	po/es.po

commit 5746c10a472f0a102ef19bec555db44ad1a20eb7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-25

    Updated Spanish translation

M	help/es/es.po

commit 7822d2817068bb1826127412d05684b6838dffc4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-25

    Fixed typo in string

M	help/C/pref-view-chart.page

commit 0d8015984286749181e08235c2080ab5e88d63f8
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-24

    Updated Czech translation

M	po/cs.po

commit 66387be1ef2ed4a30b616ea91aef61cb4af8ea09
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-24

    Fix spelling of "Usage"

M	help/C/scan-folder.page

commit 99703f9608b49530a4ba9ea0bf849fedbddb93f1
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-07-24

    Update help for 3.8

M	help/C/index.page
M	help/C/introduction.page
M	help/C/pref-view-chart.page
M	help/C/scan-file-system.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page

commit 9895d463211694c6ebb55681fa6fb926cf084f35
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-07-24

    Delete outdated help pages

D	help/C/custom-location.page.stub
D	help/C/pref-view-menu.page
D	help/C/pref.page
M	help/Makefile.am

commit f300476d68f2a9c879565818093e1f2c019599ef
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-24

    Allow to exclude mountpoints when choosing a folder to scan

M	src/baobab-location.vala
M	src/baobab-window.vala

commit 85bfbf77011e4b909c32bd4dd843b8abcb02ce38
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-21

    Add a column telling when the folder was last modified

    https://bugzilla.gnome.org/show_bug.cgi?id=629561

M	src/baobab-cellrenderers.vala
M	src/baobab-main-window.ui
M	src/baobab-scanner.vala

commit a8dd25fbcc1751ddd913260608c5e14f6632972a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Use better fallback name for main volume

    https://bugzilla.gnome.org/show_bug.cgi?id=685048

M	src/baobab-location.vala

commit ed177c3c2a937e0081c0b22a15ea75d5a424c9f4
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-23

    Scanner: exclude mounts when scanning Home dir

    https://bugzilla.gnome.org/show_bug.cgi?id=663603

M	src/baobab-location.vala

commit 9a6cc40193f499bba88d08b4dbd85cf2c2783b84
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-23

    Fix clicking repeatedly without moving the pointer

M	src/baobab-chart.vala

commit f092863d8c18ae32ec0301a255c347809c182a7d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-22

    Chart: do not try to set the root if model is NULL

M	src/baobab-chart.vala

commit c65f887441d026179cefadc2661b6af4cc2270cd
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-22

    Remove some cruft from configure.ac

    We're not a compiler and we're not a library

M	configure.ac

commit 0dcc9215cca3f601482d9abcc137f57866c7a8d9
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-07-22

    Tajik translation updated

M	po/tg.po

commit 68049c4d904213744b45cc7ad0f90555cfad4813
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-22

    Updated Spanish translation

M	po/es.po

commit 40aef23b23970f0cc9f5c95e41be6d49e293cbf9
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-22

    Add myself to .doap file

M	baobab.doap

commit 1965cae684e5380e092d36191f3ef173844c03f0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-21

    Make inforbar labels wrap

    Otherwise long labels break Mutter half-tiling

M	src/baobab-main-window.ui

commit a6400b731e0b57aa0d1d058115fa307f1a114d81
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Move the progress bar on the left and kill 'usage' column

    In this way the progress bar gets indented, making it more
    immediatly obvious the directory depth level it refers to.

    https://bugzilla.gnome.org/show_bug.cgi?id=367194

M	src/baobab-cellrenderers.vala
M	src/baobab-main-window.ui

commit d47daff32ea5fa944fb5483b0c2941499f54177b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-21

    Drop compatibility check for AM_SILENT_RULES

    The macro is defined in automake 1.11, which we require

M	configure.ac

commit 153019a6fa66f82438b8acc68f4753b33f197c87
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-20

    Updated Czech translation

M	po/cs.po

commit 9ffd6fc23e35474934825d367f4357936de647d0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Focus Nautilus window when opening a folder

    If we don't pass the current event timestamp, the focus-stealing
    prevention mechanism will open it in the background.

M	src/baobab-window.vala

commit bef030edf73985564b01658b94682663d00c7601
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Sort by size when allocated size in not available

M	src/baobab-window.vala

commit e157b8b1b65a9891ff29414a02dba7a5390b7de2
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Escape directory name to make it markup friendly

    https://bugzilla.gnome.org/show_bug.cgi?id=699167

M	src/baobab-cellrenderers.vala

commit fca19afe3b210dc528e9bfcb698c16d6f4d1daa0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Chart: build context menu during construction

    Fix a critical triggered by the check in leave_notify_event()
    introduced in previous commit, when leaving the chart before
    opening the
    popup menu.

M	src/baobab-chart.vala

commit 73a99f591683830de32cfaba0f7a01b9993c9036
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Chart: synchronize popup menu with treeview one

    https://bugzilla.gnome.org/show_bug.cgi?id=620216

M	src/baobab-chart.vala
M	src/baobab-menu.ui
M	src/baobab-window.vala

commit f1278817117be7b9dd40c018acb53169ef63754b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-20

    Unobsoletize README

M	README

commit d17c086a9e91f1d2460a73e99cd1fcbf2ebd5171
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-19

    Show a message instead of failing silently in a few cases

M	src/baobab-window.vala

commit 110f41ce072f06080faaa7922ade788548d37e32
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-08

    Get rid of the menubar

    All its useful items are contained either in the application menu
    or in
    the window menu. Just let the toolkit replace it with the
    in-window app-menu when appropriate (Unity etc).

    https://bugzilla.gnome.org/show_bug.cgi?id=703774

M	src/baobab-application.vala
M	src/baobab-menu.ui

commit 6376070c63aded22e1d087213c455ee66e8fc6a1
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-19

    Specify possible values for 'active-chart' gsettings key

M	data/org.gnome.baobab.gschema.xml.in

commit 47a0c7d44bd59819720cbd0042a68191c3567c4a
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-07-18

    Tajik translation updated

M	po/tg.po

commit f0207641bc55e59c8ecc8f9a056ffcbde8962c48
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-18

    Updated Czech translation

M	help/cs/cs.po

commit 7bbfbe62fe0c0df2561b3aa12104d47dbb8750b9
Author: Wylmer Wang <wantinghard@gmail.com>
Date:	2013-07-18

    Update Chinese simplified translation, fixing merge problems

M	po/zh_CN.po

commit 231dbc475443cec197628dd22cb98409a79288b3
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-16

    Czech translation

A	help/cs/cs.po

commit dfc6e5473d9169a2d743a457ae62a7ea74c75490
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-16

    Added Czech translation

M	help/Makefile.am

commit ef2984b702849b74b588f2828cd0a527504d73d8
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-16

    Updated Czech translation

M	po/cs.po

commit df7a54d26ed7c961477719b34ba7f42a969693a9
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-16

    Updated Czech translation

M	po/cs.po

commit 163870f8289e0b56cc0fc4e9831b4fed6a5e4656
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-16

    Updated Czech translation

M	po/cs.po

commit b2ab327dbbca75284d28923cccef61a62228737b
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2013-07-14

    Updated slovak translation

M	po/sk.po

commit 8fdd69b2156c9b8aed5d98edaae536e76ca9866d
Author: tuhaihe <1132321739qq@gmail.com>
Date:	2013-07-13

    Update Chinese simplified translation

M	po/zh_CN.po

commit 7bed95250989c04e08fa8bfbb56f9af763c29a32
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-07-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5e3295e8450a8fb62bbf72fc25708a4ef111706c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-10

    Use normal size if allocated size is not available

    We assume that allocated size is not available when alloc_size == 0
    for the root element.

M	src/baobab-window.vala

commit 816ed66ba1ec17ebd67940ddfd270a2afccda27f
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-07-09

    Updated German translation

M	po/de.po

commit 6c4c583c1c070906774b05ae059f63a382855492
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-08

    Ringschart: hardcode subfolder tip timeout

    The gtk-tooltip-timeout setting is being deprecated in favor of a
    hardcoded value.
    We hardcode our timeout to twice the GTK+ value.

M	src/baobab-ringschart.vala

commit 1cb0bee3001e4ad91f14a4d292cfbbe11197ea6c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-07-08

    Release 3.9.1

M	NEWS
M	configure.ac

commit a6ed7ca3f5e6b080568774964a7315bf3ffd13c1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-08

    Updated Spanish translation

M	po/es.po

commit 99de9a331f7371e0db90d5a8e4298facdb198531
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-08

    Scanner: propagate error state to parent nodes

    This was the intended behavior since the beginning.

    https://bugzilla.gnome.org/show_bug.cgi?id=686136

M	src/baobab-scanner.vala

commit a343821329f2be3c052f4373a8a5fe5f3cac8010
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-05

    Chart: mark the model as changed when setting new model

    Needed to ensure that get_items() is called.
    This fixes some criticals related to GtkTreeIter stamp

M	src/baobab-chart.vala

commit b4f67dbfd8366815e900eec2fd6733d664143e00
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-04

    Updated Czech translation

M	po/cs.po

commit 6c05bba0330af76dfc867d37ee7d2169d21e311c
Merge: 91d82d1 4224595
Author: Evgeny Bobkin <evgen.ibqn@gmail.com>
Date:	2013-07-04

    Typo: corrected spaces.

commit 91d82d1764592fb0513e0f578a334c25715737e6
Author: Evgeny Bobkin <evgen.ibqn@gmail.com>
Date:	2013-07-04

    Fix the path of the locale dirrectory.

    Acked by Paolo Borelli. For more info please
    refer to:
    https://bugzilla.gnome.org/show_bug.cgi?id=703602

M	src/Makefile.am

commit 4224595191c1e64846e68699c4b0db0d62be4872
Author: Evgeny Bobkin <evgen.ibqn@gmail.com>
Date:	2013-07-04

    Fix the path of the locale dirrectory.

    Acked by Paolo Borelli. For more info please
    refer to:
    https://bugzilla.gnome.org/show_bug.cgi?id=703602

M	src/Makefile.am

commit 0488482388a54d2f95496f9229800f17ef1ec224
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-07-04

    Updated Norwegian bokmål translation

M	po/nb.po

commit 1cbccf1e6f3f66a2d6b040377b084340c8f06292
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-07-01

    Do not use deprecated API

M	src/baobab-window.vala

commit d63bb017ba425422ccbfa05494b489d1bd133526
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-06-30

    Bump gtk requirement

M	configure.ac
M	src/baobab-window.vala

commit f2764f620ae409b241fb60a58d8bf216b1d4cf4c
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-06-29

    Remove stale help translatons

    Remove old translations which have not been updated since the help
    rewrite a few years ago.

M	help/Makefile.am
D	help/cs/cs.po
D	help/da/da.po
D	help/en_GB/en_GB.po
D	help/eu/eu.po
D	help/eu/figures/baobab_fullscan.png
D	help/eu/figures/baobab_prefs.png
D	help/eu/figures/baobab_remote.png
D	help/eu/figures/baobab_treemaps.png
D	help/eu/figures/baobab_window.png
D	help/fi/fi.po
D	help/fi/figures/baobab_fullscan.png
D	help/fi/figures/baobab_prefs.png
D	help/fi/figures/baobab_remote.png
D	help/fi/figures/baobab_treemaps.png
D	help/fi/figures/baobab_window.png
D	help/it/it.po
D	help/oc/oc.po
D	help/pl/pl.po
D	help/pt_BR/figures/baobab-fullscan.png
D	help/pt_BR/figures/baobab-prefs.png
D	help/pt_BR/figures/baobab-ringschart2.png
D	help/pt_BR/figures/baobab-window.png
D	help/pt_BR/figures/baobab_remote.png
D	help/pt_BR/figures/baobab_treemaps.png
D	help/pt_BR/pt_BR.po
D	help/sv/figures/baobab_fullscan.png
D	help/sv/figures/baobab_prefs.png
D	help/sv/figures/baobab_remote.png
D	help/sv/figures/baobab_window.png
D	help/sv/sv.po
D	help/uk/figures/baobab_fullscan.png
D	help/uk/figures/baobab_prefs.png
D	help/uk/figures/baobab_remote.png
D	help/uk/figures/baobab_ringschart1.png
D	help/uk/figures/baobab_ringschart2.png
D	help/uk/figures/baobab_treemaps.png
D	help/uk/figures/baobab_window.png
D	help/uk/uk.po
D	help/zh_HK/zh_HK.po
D	help/zh_TW/zh_TW.po

commit a6f2b7e4dd8a2ed4a0abc20eafcaa7c34381c01d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-29

    window: use new close() method

M	src/baobab-window.vala

commit 77402231f73c7fc968669f9d7ac13b37a3bd9cfb
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-22

    Consistently use property assignment instead of getters/setters

M	src/baobab-location-list.vala
M	src/baobab-window.vala

commit 3edb154a612da29d0fd4bc030794e1173b276318
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-22

    Add back arrow in location row widget

    It was left out after porting the widget to templates

M	src/baobab-location-row.ui

commit 06da24bbc9fed1feded2328af9e758a6d1807b5a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-21

    Remove custom vala binding for GThread

M	configure.ac
M	src/Makefile.am
M	src/baobab-scanner.vala
D	src/fixes.vapi

commit d7a4e9902eaf50ded3106a35e273fa4b6f872829
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-19

    Remove viewport around LocationList

    It is useless and breaks scrolling via keyboard

M	src/baobab-main-window.ui

commit e117e14a3edd29432ae0b775bc2afd580698f5dd
Author: Yosef Or Boczko <yosefor3@walla.com>
Date:	2013-06-18

    Remove image definition in back button from .ui file

    Now it is set in code depending on locale's text direction

    https://bugzilla.gnome.org/show_bug.cgi?id=702408

M	src/baobab-main-window.ui

commit 417d258c075eca59817a91864144e75c9e9517f5
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-17

    Chart: handle leave event

    Forgotten when porting to vala

M	src/baobab-chart.vala

commit cfd5020531e016d44894f873abf917ee28495346
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-17

    Adapt to vala bindings update

M	configure.ac
M	src/baobab-location-list.vala

commit eb58d8c5c1653ed683fae1f1f74cbfdc9cd62307
Author: Yosef Or Boczko <yosefor3@walla.com>
Date:	2013-06-17

    Set button arrow icons according to locale's text direction

    https://bugzilla.gnome.org/show_bug.cgi?id=702408

M	src/baobab-window.vala

commit d2b16b34dab0fe7f4a492541952cde6b7ed5bc40
Author: Yosef Or Boczko <yosefor3@walla.com>
Date:	2013-06-17

    Update valac dependency and bump required GTK+

    for GtkListBox

    https://bugzilla.gnome.org/show_bug.cgi?id=702494

M	configure.ac

commit 3437d66ac332f30526da96e22ead59f44f50d506
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-17

    Remove custom GtkListBox bindings

    Now they're in vala

M	configure.ac
M	src/baobab-location-list.vala
M	src/fixes.vapi

commit 5cb2bb375e66507982bd268b30c50ca2b420b108
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-16

    Add ctrl+r accelerator for reloading

    Currenty the accelerator is set only when we load the
    menubar. Fix this to work wit the app-menu, too.

M	src/baobab-application.vala

commit 0f5d9ec18c69ed3903968626e69ee7450a22f61a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-16

    Ringschart: fix drawing artifacts

M	src/baobab-ringschart.vala

commit 2ee162467cc0d60524c3269a3feba964cfd0cd91
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-15

    Chart: reduce max depth

    Change the max depth to 5, which makes the chart nicer
    and more readable

M	src/baobab-chart.vala

commit f8216316e7082eea68c92eaeb6f3cf355335c441
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-15

    Ringschart: write the folder size in the central disk

M	src/baobab-ringschart.vala

commit 444bd213bbb5faad4e31a816af9f0c92a17e84fd
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-15

    Ringschart: redesign central disk

    Redesign the central disk, leaving it transparent and adding a thin
    border when there are no children sectors.
    While at it, consolidate the code for drawing a sector in a single
    method.

M	src/baobab-ringschart.vala

commit 30c1e494bc56100fa3d8acefb46de8b145f2ac50
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-16

    Chart: reset highlighted item when changing root

M	src/baobab-chart.vala

commit 00988e474e1c7a4c9f98f547c70754a54f7b45c4
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-16

    Ringschart: clear subtips when changing root

M	src/baobab-ringschart.vala

commit 6669b28dc17569c75eeeb5f6aef8e89cbab4417b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-14

    Ringschart: use background color for sector borders

    Designer's request

M	src/baobab-ringschart.vala

commit 4cfe0c408759e9e87689b8ddc8db90d250e07f9c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-14

    Ringschart: clip subfolder tip line outside tooltip area

    Depending on the theme, the tooltip background could be partially
    transparent, so clip the line to avoid it being visible below the
    tooltip.

M	src/baobab-ringschart.vala

commit 736f359877215530d97088d2e8c16eded3966130
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-14

    Use a crossfade effect when switching charts

M	src/baobab-main-window.ui

commit 400abc66eee0b1f08d6469cc73391e6d6b0175b9
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-14

    Use new transition type for GtkStack

    It automatically switches between left and right sliding
    depending on children ordering.

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit a1da0cfc53361a4ca1dc92a6607afeed41b16640
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-14

    Chart: remove useless code

M	src/baobab-chart.vala

commit e5767701d9ff66a8667587bbe9b535ad679726f3
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-14

    Treemap: make use of CSS

    Instead of hardcoding text and border colors

M	src/baobab-treemap.vala

commit b790af19f34b92524afda39a99ae01cba339aa05
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-13

    Ringschart: make use of CSS

    Instead of hardcoding colors, padding, subfolder tips styling.

    Requires up-to-date gnome-themes-standard.

M	src/baobab-ringschart.vala

commit 7c574e2acb960d5f8afd51f931e37b5e8a90cdcf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-06-13

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit e1c63392a36d94f0d4ec964290fd3867da0859c0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-13

    Remove egglistbox submodule

D	.gitmodules
M	Makefile.am
M	autogen.sh
D	egg-list-box
M	src/Makefile.am

commit 92cfd36a1f0bc8b9763781c88d46e4f83236aafc
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-13

    Port to GtkListBox

    Use a custom vapi for now (copied from GNOME Contacts)

M	configure.ac
M	src/baobab-location-list.vala
M	src/baobab-location-row.ui
M	src/fixes.vapi

commit e9b345b6cba77063f27682f8bc021eda47a89ff5
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-13

    Chart: fix resetting root when changing model

    Also, avoid shadowing a variable

M	src/baobab-chart.vala

commit d6b347265c66c5fa059d2a5ae0e1285aeb23e311
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-09

    Port chart widgets to Vala

    Almost a line-by-line translation of the original C code. Main
    differences are:
      * _freeze() and _thaw() methods are removed (now useless as a
      spinner is
	used for the busy state
      * GObject properties are used throughout the code
      * contextual menu implemented with GMenu/GActions
      * slight rework of the subfolder tips code in RingsChart

M	src/Makefile.am
D	src/baobab-chart.c
D	src/baobab-chart.h
A	src/baobab-chart.vala
M	src/baobab-menu.ui
D	src/baobab-ringschart.c
D	src/baobab-ringschart.h
A	src/baobab-ringschart.vala
D	src/baobab-treemap.c
D	src/baobab-treemap.h
A	src/baobab-treemap.vala
M	src/baobab-window.vala
D	src/baobab.vapi

commit 207875a933646d019fdc254bc637f003d2fa7ba4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-06-08

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 666a8cfbd52346080268449faf946337969fa30c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-06-08

    Rename LocationWidget to LocationRow

    Also make it private to the location list.

M	po/POTFILES.in
M	src/Makefile.am
M	src/baobab-location-list.vala
R098	src/baobab-location-widget.ui	src/baobab-location-row.ui
D	src/baobab-location-widget.vala
M	src/baobab.gresource.xml

commit 005b65f1cd44251cc80998a491d62ea642de6460
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2013-06-06

    Remove reference to libgd from Makefile.am

M	Makefile.am

commit 04602ef142e2ec2745c5c54e9f4ec1383e67d9f2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-06-05

    Pass --gresources to vala

M	src/Makefile.am
M	src/baobab-main-window.ui

commit 23f765941fa2c2f6cb084841f4c0ed2375a02b9b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-06-05

    We should not free the event ourselves

M	src/baobab-window.vala

commit 49c06fd94c14430af5e9f61a5c858c119af9b640
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-06-03

    Use a glade template for the location widget

M	src/Makefile.am
A	src/baobab-location-widget.ui
M	src/baobab-location-widget.vala
M	src/baobab-window.vala
M	src/baobab.gresource.xml

commit ea6a607febe5fa212bf19c7d1278e68dbaf7b121
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-02

    Remove libgd submodule.

M	.gitmodules
M	Makefile.am
M	configure.ac
D	libgd
M	src/Makefile.am
M	src/baobab-application.vala

commit fe327ebe89c7e86c12766be71c6d376695d2dc2b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-02

    Add close button

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 421d039a0cc79c522de2e1380542793635a28e71
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-02

    Make headerbar a titlebar

M	src/baobab-main-window.ui

commit 048947cefa5832cf322d65d6b8002df8278e73a9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-02

    Convert Window to a Template

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 63127a20b089eb6e2282b25a74b302b9ff1b0382
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-02

    Use just one HeaderBar.

    This is in preparation to use a titlebar

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 072169478a2d5ddbe10105c443aa9f23a4139d1d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-02

    Port to GtkHeaderBar

M	configure.ac
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 26d570f591c30504021ee8dd5540dd486c6c6ff4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-02

    Port to GtkStack

M	configure.ac
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 208b2c5a81e44afb8554da61f5549672483142c2
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-05-31

    Tajik updated

M	po/tg.po

commit 52515418dad021eedc05e8ad8e83a78779e12a5d
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-05-30

    Tajik updated

M	po/tg.po

commit 07d944ae0472c0840616d2500c04bd0a13bca913
Author: Michael Biebl <mbiebl@gmail.com>
Date:	2013-05-27

    Remove rpath from Makefile

    Encoding a RPATH is in general not a good idea [1].

    [1] http://wiki.debian.org/RpathIssue

    https://bugzilla.gnome.org/show_bug.cgi?id=701028

M	src/Makefile.am

commit bbf977a2f2ac9ec59e407cb9c9a755f3e94b2911
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-05-13

    Release 3.8.2

M	NEWS
M	configure.ac

commit a8888816a6ba4605a9fcf46f804653a5b5862c84
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-05-13

    Update libgd

M	libgd

commit d3380aa175f2e54c24fbe939e96e49f82acad047
Author: Manel Vidal <verduler@gmail.com>
Date:	2013-04-19

    [l10n] Update Catalan documentation

M	help/ca/ca.po

commit a4eb214eb2344939ddeec3c40ed5b355882246c3
Author: tuhaihe <1132321739qq@gmail.com>
Date:	2013-04-20

    Update Simplified Chinese help translation

M	help/zh_CN/zh_CN.po

commit d0d91d277d913eda4d49a7fb8c1d0047b3a7d134
Author: أحمد العلي <ahmad.al3le@gmail.com>
Date:	2013-04-19

    Update Arabic translation

M	po/ar.po

commit 360757b47d1dfe546b4380bb6a6369c03fd3a97e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-04-16

    Remove Gd workarund

M	src/baobab-application.vala
M	src/baobab-window.vala

commit efa4cc7ff9d76777287616e608da97a12622cf04
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-04-16

    Update libdg

M	libgd

commit f558c48d2fac19144f0f7da970fef5efbe54a148
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-04-15

    Relase 3.8.1

M	NEWS
M	configure.ac

commit 39b1bd8760b2214d1140bbb2a90d711ddddf2b91
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:	2013-04-16

    l10n: Update Japanese translation

M	po/ja.po

commit 96ab0a75609a4528522e7cc51b588f09ab9b3666
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-04-10

    Tidy up help

    Mini-review of the stubs, tidy indenting, add markup, rename protocol
    pages.

M	help/C/custom-location.page.stub
M	help/C/introduction.page
M	help/C/pref.page
M	help/C/prob-virtual-folders.page.stub
R052	help/C/ftp.page.stub	help/C/protocol-ftp.page.stub
R058	help/C/ssh.page.stub	help/C/protocol-ssh.page.stub
R078	help/C/web-dav.page.stub	help/C/protocol-web-dav.page.stub
R060	help/C/windows-share.page.stub
help/C/protocol-windows-share.page.stub
M	help/C/scan-home.page
M	help/C/scan-remote.page

commit 702a7096aa1beb1d409589b3f3bb3c4ae6af9ddf
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-04-10

    Add its markup to help

    Mark email addresses as untranslatable.

M	help/C/custom-location.page.stub
M	help/C/ftp.page.stub
M	help/C/index.page
M	help/C/introduction.page
M	help/C/pref-view-chart.page
M	help/C/pref-view-menu.page
M	help/C/pref.page
M	help/C/prob-virtual-folders.page.stub
M	help/C/scan-file-system.page
M	help/C/scan-folder.page
M	help/C/scan-home.page
M	help/C/scan-remote.page
M	help/C/ssh.page.stub
M	help/C/web-dav.page.stub
M	help/C/windows-share.page.stub

commit 594d68dce996baa8377e5435368e1fa02f604ec5
Author: tuhaihe <wangdianjin@linuxdeepin.com>
Date:	2013-04-06

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 816c58d97a2136cc9e3c333cc212052078c9636e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-04-06

    Update libgd

M	libgd

commit 1d9473f00e5d827db8f15ee94d6a4065a51067c3
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-03-31

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit e47e03ff009c0eb1274407bf44d07654cddef759
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2013-03-27

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 2782f4afbeaf441af65fc6e60f5bafc31d048347
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2013-03-26

    Update uk translation

M	po/uk.po

commit 95c428f8ee88c667927f71efb0d160759996c60e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-25

    Release 3.8.0

M	NEWS
M	configure.ac

commit ace133e08dc7184dd2ff5c7ea8da66a69b4d7ba6
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-03-26

    Updated kn translations

M	po/kn.po

commit 1b06cb7cac4dfaf4337f13d53c038071b068f40e
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2013-03-25

    Updated Telugu Translations

M	po/te.po

commit fffddd06223c2b674851ac430dc9a5fd8aa24201
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-03-24

    Add fuzzy marking to a broken string in Finnish help translation

M	help/fi/fi.po

commit 60b9ca6fb1a5d1fa53107cd246c7f092f9a50899
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-03-24

    Update French translation

M	help/fr/fr.po

commit 498e7731d681d63aae8dce8a1c9ffa8bc5ec9cf1
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2013-03-23

    Updated Dutch translation

M	po/nl.po

commit 386799010d6fbd9126e4ede197ab8a7f3f650dcc
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:	2013-03-23

    Updated Dutch translation

M	po/nl.po

commit 2dbef30f2980b12401604a8e5e2815fe856c17d4
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2013-03-21

    hindi translation

M	po/hi.po

commit b9d42c29831812d67ca418ba410d81c3e563e1e1
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2013-03-21

    hindi translation

M	po/hi.po

commit ead5a397f8ca42cb67519c4f406af84b462d2dff
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2013-03-21

    Updated Hungarian documentation translation

M	help/hu/hu.po

commit bf140cdab3b9d1cd9c99797a5b1e92245eb2c148
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2013-03-20

    L10N: Updated Persian Translation

M	po/fa.po

commit 2e733d95d1661ccd9c707101b4b21d2a685280c8
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-03-20

    Update French translation

M	po/fr.po

commit 5bdc83eeff8210f519f537edf1a55874ec44ad9e
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2013-03-20

    Updated Odia Translation.

M	po/or.po

commit ec42344613e0910cefe26e5f6d316b710e03ff42
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-03-19

    [l10n] Added Tadjik translation

M	po/LINGUAS
A	po/tg.po

commit fbdf2ebd26f82cbeb595dbcdc346a0ab1ef9ed86
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-18

    Release 3.7.92

M	NEWS
M	configure.ac

commit 6456e25d10018dc5f8a560b239b19864443304a5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-18

    Update egg-list-box

M	egg-list-box

commit b436b70273503b0c2ad2d33241df8a00480a6975
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-18

    Update libgd

M	libgd

commit 8445be2cab9b828f1dd0cc437e90b524104ca6e4
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2013-03-18

    Updated Marathi Translations

M	po/mr.po

commit 241d04c1f0d7bcfa3b0c89fc9e1105997f851460
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-03-17

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 3adbde6dd7b9bef10cd3167a2a8bd79234b318c2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-16

    Update libgd

M	libgd

commit 15c37243090057ca2d61d948e92e56cfe2170eb5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-16

    Do not init static var twice

    The busy cursor is static, so init it once.

M	src/baobab-window.vala

commit 2ababa1bf867fe97b05fc1125f03bdde488335d6
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-03-17

    Updated Korean translation

M	po/ko.po

commit a3033495fdcad387aaa8cd44d78e1db14acf0175
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2013-03-12

    Updated Danish translation

M	po/da.po

commit 55f22f110ee7990fa29d4421d3333fdcb98215c7
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2013-03-12

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit a2e53fcd61c741f4ad5fe4e594a40afa1d0a50cc
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-03-11

    Updated Indonesian translation

M	po/id.po

commit edd1e43303eff5807cab2c426a0bcc48d3a39ca4
Author: Joan Duran <jodufi@gmail.com>
Date:	2013-03-10

    [l10] Updated Catalan translation

M	po/ca.po

commit d5e0a50553e53dd06c8468cfa434c681f1badeee
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-03-10

    Updated Greek translation

M	help/el/el.po

commit 811a362d64dcd6d297d8bbdafe259ced354e3cad
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2013-03-10

    Update Arabic translation

M	po/ar.po

commit 23d09dbff7d49b6999ce24951ba867a6e0581ff8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-08

    Update libgd

M	libgd

commit 502027c2ec0c3e178cdb88dc0e9581dbdffd7f3a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-08

    Fix focus handling

M	libgd
M	src/baobab-main-window.ui

commit 88b9f93acd560f28e2210999e37ba7acdcd40dce
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-08

    Make F10 open the gear menu

M	src/baobab-application.vala
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit ec49e8b3ccc459fde67929fea1c3d5533887f722
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-03-07

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 949363926183c88ab470831750597aa57174b124
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-03-07

    Fix a keywords syntax error

    https://bugzilla.gnome.org/show_bug.cgi?id=695340

M	po/de.po

commit cd75dbb65d0c0797aef101ffa50b27cdf58e4c4c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-06

    Release 3.7.91

M	NEWS
M	configure.ac

commit d3a8c0250e64085559ff7e57f3ee5f3df60ab9c1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-05

    Update libgd

M	libgd

commit 422ed2aecbb45d1f75275f12f803ae93d8c14c2e
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-05

    [l10n] Updated German doc translation

M	help/de/de.po

commit bf5e4b621d24531c3661b3bd37c9ac81cf7311ce
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-05

    [l10n] Updated German translation

M	po/de.po

commit d98a38f8ca84163d476142663276c29eda323d1b
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-03-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit cf850c6517fdf138bb70245bc7771397608e02e9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-05

    [l10n] Updated German doc translation

M	help/de/de.po

commit e084286cc47a0e90c67976904494b536380512c1
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-03-03

    [l10n] Updated German translation

M	po/de.po

commit 1b26b0fa712c3a45dbc8d596cdce4fb8d551c293
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-03

    Use the new slide transition

M	src/baobab-window.vala

commit ec0e5ee1607e0b43703cab1b50e333148476f636
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-03-03

    Update libgd

M	libgd
M	src/baobab-main-window.ui

commit d558a7e6467f68bde141b6ecd5bd0f3e872e6613
Author: A S Alam <aalam@users.sf.net>
Date:	2013-02-27

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit c109840cffbca13bf01f0ba32dbe190bf43c880e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-02-23

    Port to GdHeaderBar

M	configure.ac
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit afc0c054c04621a6a51690646e2fa82822cd749b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-02-23

    Update libgd

M	libgd

commit 593bd4016a3bfa5f46804eaea7b9f91c72ac3b38
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-02-22

    Add egg-flow-box.c to POTFILES.skip

    This file only has fake translations in preparation for merging into
    GTK, and
    should not be translated in baobab.

    Fixes "make check" again.

    https://bugzilla.gnome.org/show_bug.cgi?id=694423

M	po/POTFILES.skip

commit 2d89dd812410e8fa03fd98076707917cc7c835ea
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-02-21

    Release 3.7.90

M	Makefile.am
M	NEWS
M	configure.ac

commit 7bdf78d7d65af8f5420f39c17296979035d05f84
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-02-21

    Use egg-list-box as a submodule

M	.gitmodules
M	autogen.sh
A	egg-list-box
M	src/Makefile.am
D	src/egg-list-box.c
D	src/egg-list-box.h
D	src/egglistbox.vapi

commit e7d7f9f9ca7b6d6d5fea0530da02a6136aa80113
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-02-21

    Port to GdStack

M	configure.ac
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 96d8ff3a9344809a2b51d87d35a3ad53b43abbc2
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-02-21

    Update libgd

M	libgd

commit a94848068d261a921532fbe55cd2d527ea130827
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-02-20

    Updated Latvian translation

M	po/lv.po

commit 472f12331b36ca67efa9e240cf9fce3bfb8fe0f7
Author: Aleksej Kabanov <ak099@mail.ru>
Date:	2013-02-20

    Updated Russian translation

M	help/ru/ru.po

commit 15fed98ec84a16ec36dbad15c0dbc56d3a91ff57
Author: Marek Černocký <marek@manet.cz>
Date:	2013-02-19

    Updated Czech translation

M	po/cs.po

commit 07c459bb096f9e5042acbc9f62d48675970516b2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-02-12

    Add HighContrast icons

    https://bugzilla.gnome.org/show_bug.cgi?id=687302

A	pixmaps/HighContrast_apps_16x16_baobab.png
A	pixmaps/HighContrast_apps_22x22_baobab.png
A	pixmaps/HighContrast_apps_24x24_baobab.png
A	pixmaps/HighContrast_apps_256x256_baobab.png
A	pixmaps/HighContrast_apps_32x32_baobab.png
A	pixmaps/HighContrast_apps_48x48_baobab.png
M	pixmaps/Makefile.am

commit b9e6c9ad5d3322ebf5bd14ed80022f6a3bf44ac9
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-13

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 4ab337a6546f99467c955d0770ce4692d048c8ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-02-11

    Fix invalid desktop file

    Some translations of the Keyword field mangled the syntax:
    the ; is a list separator, and must remain between all entries,
    and at the end of the list.
    https://bugzilla.gnome.org/show_bug.cgi?id=691888

M	po/el.po
M	po/ta.po
M	po/ug.po

commit b5c2b69f78f85246abada00c717a894049ee140c
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-02-05

    Updated Malayalam Localization

M	po/ml.po

commit 078d1f467c26cc9d3591e4a5ebecf4a2efd501ac
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-02-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit be85f227dcff930ad495c11108589617f5230dee
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-02-02

    Updated Basque language

M	po/eu.po

commit 18e6b9ebc05590f476548a8dcfb799b6a05ef6f4
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-01-31

    Updated Basque language

M	po/eu.po

commit 70d8b3d844b92fdb2d26c079d39605c0340e22f4
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-01-24

    [l10n] Updated Italian translation.

M	po/it.po

commit 1adb9ee04a16e2af3f3a740ae8b0a798d4f140ab
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2013-01-19

    Updated Friulian translation

M	po/fur.po

commit 819a70c50b67497528bb300956c631e4ee237f1d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-01-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 7a173b91305f2e17d646e2cf3aac6beb8408f176
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2013-01-15

    Updated slovak translation

M	po/sk.po

commit 02b4c3027e8abd0298095afafd93418ea40fd7f1
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-01-15

    Updated Belarusian translation.

M	po/be.po

commit 257cdb0dc83c0d2d8fddea8a76e26b6e71aa4f1a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    Release 3.7.4

M	NEWS
M	configure.ac

commit 3f0195962ff146ee59682400bfcbbf1e217a76c5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    Update egg-list-box

M	src/egg-list-box.c

commit fd30f3331af94105fc3e5d3ef32531394df5a01c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-13

    Revert back to a previous version of libgd

    The latest version does not pass distcheck

M	libgd

commit 980a0225fb5dc599a96dddde1dbe692b3428c834
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-13

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 9b8f6239e345bd2cb4d1ea7bf7a9133db2c515b4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-01-12

    Updated Slovenian translation

M	po/sl.po

commit aef84d02a9a0c3b975dc1ded386087c4dc9f57fc
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2013-01-12

    Updated Bulgarian translation

M	po/bg.po

commit 109a749d50edd90fc36ba6c472b91bd2dd01430c
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:	2013-01-11

    baobab-connect-server: fix spawning of nautilus-connect-server

    NULL-terminate argv in ConnectServer so that
    Process.spawn_async_with_pipes
    can properly do its job and run nautilus-connect-server.

    https://bugzilla.gnome.org/show_bug.cgi?id=690037

M	src/baobab-connect-server.vala

commit 7fb0959556c975a20f17c5567e23e059b9d4b427
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-01-06

    Update to the proper libgd hash

M	libgd

commit 1f2a72e8263c2d26931f1f70a2a60b5cfc14a1d4
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2013-01-02

    Fix srcdir != builddir

    Includes an update of libgd to current master for a similar fix.

    https://bugzilla.gnome.org/show_bug.cgi?id=690974

M	libgd
M	src/Makefile.am

commit 8aae906209369b910746658e3cf6eedd27069d10
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-01-01

    Updated Lithuanian translation

M	po/lt.po

commit 28986b41b0053186f93f590ffc2d8f1eb1007a7b
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2012-12-31

    Updated Hungarian translation

M	po/hu.po

commit 64bb04a1527dd85b8c2b71ebc8dbfbf164006df7
Author: TmTFx <f.t.public@gmail.com>
Date:	2012-12-28

    Updated Friulian translation

M	po/LINGUAS
A	po/fur.po

commit cc71f60848d5e21bdfe08076b811af8c2d2d4a96
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2012-12-28

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit 67ead42e6421d72033aba6cb3261304afbf09119
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-12-26

    Updated Hebrew translation.

M	po/he.po

commit 12a99a2a5fce0913da900437bbb17f6d086b1830
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2012-12-23

    Updated Greek translation

M	po/el.po

commit 8d76db7346bbb459ae4b3b7ab95179118c9eb609
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-19

    Updated Spanish translation

M	po/es.po

commit 792894b847699a86a4f144b6866376293e3cbe60
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:	2012-12-19

    Updated Aragonese translation

M	po/an.po

commit 6f49cb3742acebd3aae52feadca483a40a841b65
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-12-18

    [l10n] Updated Estonian translation

M	po/et.po

commit 169bad3e383d224533a8e897ae524ec4c34bc356
Author: Aleksej Kabanov <ak099@mail.ru>
Date:	2012-12-17

    Updated Russian translation

M	po/ru.po

commit 07d44c4ff0667483f9bcec7aa19ba070e5fc32a2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-16

    Updated Spanish translation

M	help/es/es.po

commit e6b56faea2735a155b3910bb8ae7190b77b4b4e7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-16

    Updated Polish translation

M	po/pl.po

commit 1312d8986738fbc582079e7485924003e9d712e3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-12-15

    Updated Galician translations

M	po/gl.po

commit 112d7dd3c7d1623195c0262ff3f483250b5c2da4
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:	2012-12-13

    Added Aragonese translation

M	po/LINGUAS
A	po/an.po

commit ac513d193f8d64527542ceaa5857b9552aa64706
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-12-05

    Replace obsolete ghelp: references with help:

    https://bugzilla.gnome.org/show_bug.cgi?id=689718

M	help/C/scan-file-system.page
M	help/C/scan-folder.page
M	help/C/scan-home.page

commit 09db4f2f35091e6677de73b1ad4fba9dc99ba714
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:	2012-12-02

    Updated Tamil translation

M	po/ta.po

commit c31c2d36412ef8c8eeaaa4f79494a55c8781cdc4
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:	2012-12-02

    Updated Greek translation

M	po/ta.po

commit 0f2471721017ee9a4bae1feab7d1c0245ff0d4f6
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-11-22

    Assamese translation updated

M	po/as.po

commit e06c572df9833a18c47c55694f780ac240c492ce
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-11-20

    Updated gujarati file

M	po/gu.po

commit 7a5ff2e95c744a467dacda224b08ceb2c1b6581b
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-11-15

    added Tamil translation

M	po/ta.po

commit 88b87921dd3921af05aa44636a9870f1ecc3342b
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-11-15

    added Tamil translation

M	po/ta.po

commit b29917d57d80a225551d32eab9094fa51ac53d57
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:	2012-11-05

    end the authors list with null

    Otherwise the about dialog segfaults
    (Closes: #687204)

M	src/baobab-window.vala

commit 99e5ed88686db7d88ea5aa2aea645372287653e5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-11-05

    Updated Norwegian bokmål translation

M	po/nb.po

commit 3a06470b2cfe0936954febceb23e25f8af299012
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-10-27

    Add keywords to the desktop file

    This makes gnome-shell search more pleasant and useful.

M	data/baobab.desktop.in.in

commit 758ab486ed07504849915b42a8d9cfa609fd229f
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2012-10-25

    Updated slovak translation

M	po/sk.po

commit 79630d4f6702c4b78940b39abfe4e0d6cc45da44
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-10-23

    Updated Greek translations

M	help/el/el.po
M	po/el.po

commit ccb171018ca37f7ad355eb572f934cdb3e506641
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-10-22

    Fix showing (null) for main volume if hostname is NULL

M	src/baobab-location.vala

commit f98e4cfcc275c35af4c056001e8c885d7fc84f7a
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2012-10-22

    Updated slovak translation

M	po/sk.po

commit c2bcb52dfee280f8ed027816f7d4d6d50635cfb1
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-22

    window: remember size and maximized state

    https://bugzilla.gnome.org/show_bug.cgi?id=611843

M	data/org.gnome.baobab.gschema.xml.in
M	src/baobab-application.vala
M	src/baobab-window.vala

commit 906f187b2326b8ee7a0b80b533c8ff27a9566533
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-18

    window: Rework home page toolbar

     * replace the "Scan Folder" and "Scan Remote Folder" buttons with
       a window menu
     * add a "Devices and locations" label as suggested by designers

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 0026370b1406fa56e66df09f4197580678709e01
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-18

    Remove unused macro definitions from makefile

    And reindent config.vapi while touching it

M	src/Makefile.am
M	src/config.vapi

commit 54ad9b41339d5a4f0ca2a15282c83769261a2f08
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2012-10-17

    Updated slovak translation

M	po/sk.po

commit f18a1ac9ea49773866560720d499941c68068dd2
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-17

    Update manual page

M	data/baobab.1

commit 66a7e0c069998c6b9560297d84f21394d868ca40
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-17

    Move embedded CSS to gnome-themes-standard

M	src/baobab-application.vala

commit 0dde69f89725f7ba5c1ac4453843ef9642f29ead
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-10-16

    Release 3.6.2

M	NEWS
M	configure.ac

commit 8233727f05310feb851f91e560c88345a0fe754b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-16

    Remove unused image file

M	pixmaps/Makefile.am
D	pixmaps/shot.png

commit d9cf4c4f5487a0230b68f33ab4e5a323fbdb077f
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-16

    Add some files to .gitignore

M	Makefile.am

commit 292cfebf666e61f40f44d0ae17fd841ac17903f6
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-16

    window: make sure all toolbar buttons have the same height

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 9fd8772e36b9f82746b3b7820fc1409828de44cf
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-16

    Link libgd statically

    A shared object library for one widget is an overkill. Moreover
    this should fix some problems with dynamical symbol resolving
    on some systems.

    https://bugzilla.gnome.org/show_bug.cgi?id=686208

M	configure.ac

commit 90c6f3ed7190f123172ce3bf7e9f2efcf10a5b16
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-10-15

    Release 3.6.1

M	NEWS
M	configure.ac

commit c2e07ba12f607fa99f1b9f24f1d66ca90fb36edd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-10-15

    Set raised class on toolbar buttons

M	src/baobab-main-window.ui

commit 37dce960df1c08c088ed699a34d01d5fa72122b8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-10-13

    Update to the latest egg-list-box

    Propagate the parent state when setting the child flags

M	src/egg-list-box.c

commit 202416902dbfcdec6065baca03f51acbe5e49dfb
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2012-10-14

    Updated slovak translation

M	po/sk.po

commit 0e3062acba33d0dc8282bdf8d16c2ef11eb46a57
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-14

    Move styling of treeview level cell to CSS

    The CSS should go in the GNOME theme actually, but for now
    we use embedded CSS to avoid breaking foreign themes.

M	src/baobab-application.vala
M	src/baobab-cellrenderers.vala

commit 05e9400c1e5924680232d553b8ced27408455155
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-14

    Draw a frame around the treeview scrolled window

M	src/baobab-main-window.ui

commit df2b587b0d38712f07b7946264f49b1abdb81be2
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-13

    Remove the 'stop' action

    Instead, always enable the 'reload' action and make it a combined
    'stop and refresh' action.

    https://bugzilla.gnome.org/show_bug.cgi?id=685052

M	src/baobab-menu.ui
M	src/baobab-window.vala

commit 19c3077fb4e6fab712c1853ba8e4658c03e8f38b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-13

    location-list: make sure to add home location only once

M	src/baobab-location-list.vala
M	src/baobab-location.vala

commit 74860f74c9155128901b5041e4c7fc8a707bcddd
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-02

    Show the usage level bar only for volumes

    https://bugzilla.gnome.org/show_bug.cgi?id=685050

M	src/baobab-location-widget.vala

commit 5374f0292d007758332a91d476acf3c573e7dc6b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-29

    Show scan errors in the treeview using colors

    https://bugzilla.gnome.org/show_bug.cgi?id=622473

M	src/baobab-cellrenderers.vala
M	src/baobab-main-window.ui
M	src/baobab-scanner.vala

commit 5d1559209cb554f8713ca36c86059c6632800e18
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-10-09

    Updating Galician translations

M	help/gl/gl.po

commit 81ad2c54268264ebbb04347a597e2b80833a2abd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-10-06

    Be robust if the recent list is shorter than MAX

M	src/baobab-location-list.vala

commit 8c873274088eea0b7b1b104fd72dd936b6cc4429
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-03

    Check for duplicates before adding a volume

    Since GVolumeMonitor unnecessarly fires "volume-added" signals
    at startup (see bugzilla bug 684677) we need to workaround and
    check for duplicates, until a fixed version of gvfs is released.

    https://bugzilla.gnome.org/show_bug.cgi?id=685198

M	src/baobab-location-list.vala

commit 33cedb6bbb2f6c475ad87c590115a7f568196a01
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-03

    location-list: Nothing do to in add_location if location doesn't
    have a file

M	src/baobab-location-list.vala

commit f3895ad5778203ad3ea44bb7720ed3aacfa5f492
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-02

    Append new volumes before the "Home folder" location

    https://bugzilla.gnome.org/show_bug.cgi?id=685050

M	src/baobab-location-list.vala

commit 4fc1e61a41ad58e5c8d5d68d61b2c14ec2141a23
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-01

    Make sure to update recent info when scanning a location

    https://bugzilla.gnome.org/show_bug.cgi?id=685252

M	src/baobab-window.vala

commit 6b1d976a47054b7a15c725355b7c21b51dbe3bc2
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-01

    Sort recent info by MRU

    Otherwise they show up in creation order

    https://bugzilla.gnome.org/show_bug.cgi?id=685252

M	src/baobab-location-list.vala

commit c74a1aa258099db35234c23ed86ccae251dd3054
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-02

    Few updates to README

M	README

commit 5c7c0144b6740c3898cd030b2eae42697715c844
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-10-01

    location: Don't set size/used info for unmounted volumes

    Just set them to null, instead, which means that they are actually
    unknown. In this way we avoid showing them up in the UI.

M	src/baobab-location.vala

commit 218b93b7df8bc0136bb2e836d139bf1c835fa632
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-30

    Add 'tab-width: 4' to modeline in each .vala file

M	src/baobab-application.vala
M	src/baobab-cellrenderers.vala
M	src/baobab-connect-server.vala
M	src/baobab-location-list.vala
M	src/baobab-location-widget.vala
M	src/baobab-location.vala
M	src/baobab-scanner.vala
M	src/baobab-window.vala
M	src/main.vala

commit 6a435267aab05b32dad916398beb3e5c72053de2
Author: Martin Olsson <martin@minimum.se>
Date:	2012-09-29

    Fix misspelling

    https://bugzilla.gnome.org/show_bug.cgi?id=685101

M	src/baobab-chart.c

commit 039c1e03e213c44868416c827498598fcec31f3e
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-28

    Replace "Main volume" with hostname when available

    As requested by designers.

    https://bugzilla.gnome.org/show_bug.cgi?id=685048

M	src/baobab-location.vala

commit 203936b1dfba23c9aed6434425a32657767042ae
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-28

    Add myself to authors

M	src/baobab-window.vala

commit f31bc6fc24ba3f7d8e227d401b47cb0c34ccca0d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-28

    Add an arrow on the right of the location widget

    https://bugzilla.gnome.org/show_bug.cgi?id=685049

M	src/baobab-location-widget.vala

commit f7a63a241035241ec696eb76479b2dd48d5ad80b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-28

    Replace deprecated automake INCLUDES macro with AM_CPPFLAGS

M	src/Makefile.am

commit d9ca44b60f4a3f09d138ea4194b90f4b3af78afa
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-08

    Port toolbar to GdMainToolbar

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 39f670c96e40f009cfb3b6282f258d680c2c2e0a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-08

    Import libgd as git submodule

A	.gitmodules
M	Makefile.am
M	configure.ac
A	libgd
M	src/Makefile.am

commit a5603add07e18f62f0a76db1d846c2579c47d446
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-09-26

    [l10n] Updated Italian translation.

M	po/it.po

commit cc60b4f1c4e8c48779edbfe1d8a3fa5af67542ae
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-26

    Added uk translation

M	po/uk.po

commit 1bcaa370e6de4b0d4a1aaa158600a97a0e9d87ec
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-25

    I botched the 3.6.0 news file...

M	NEWS

commit eead56be6cb60ef338f9bba742fb7ec98d72cf4f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-24

    Release 3.6.0

M	NEWS
M	configure.ac

commit baf449efe593e7ccddc4b3ac146b4ebf886e5a98
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2012-09-24

    Fixed plurals in Brazilian Portuguese Translation

M	po/pt_BR.po

commit 0051868d5b266ff7a04b77fe74831d823b3ae7f2
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-24

    Updated Greek translations

M	help/el/el.po
M	po/el.po

commit 8b8370b27b1c7fad7f28bae03764377240047937
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-09-24

    [l10n] Updated Estonian translation

M	po/et.po

commit b7592a1e6dd78408d58567c32062d4190a21bff3
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-09-22

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit fea4a3d27d335cf008eac9b8b33753fcb25c3c70
Author: Joan Duran <jodufi@gmail.com>
Date:	2012-09-22

    [l10n] Updated Catalan translation

M	po/ca.po

commit 06e88ad447e9977ce3060aa5156d54fa3178dd00
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-09-22

    Updated Bulgarian translation

M	po/bg.po

commit de8f68a1c7d28b68bc7a5cc559583435d9982f81
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2012-09-20

    Updated Thai translation

M	po/th.po

commit 9e88f9185fedb890857c7537d8a3770f947f8e57
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:	2012-09-20

    Updated Bengali India Translations

M	po/bn_IN.po

commit 5dd647ebacdb45981b9e10f4b6bebb5d490b1924
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-20

    updated Tamil translation

M	po/ta.po

commit 0e999ca473912e6d85dbf20312bea398461ee0ef
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-09-19

    [l10n] Updated Italian translation.

M	po/it.po

commit 01a090c568a260f7d6160cf7fb8fed7c62a276ff
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:	2012-09-19

    [l10n] Update Japanese translation

M	po/ja.po

commit dd6f3342aaccf79ac9df882a9d840f16ae1a988a
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-19

    updated Tamil translation

M	po/ta.po

commit 4f6db3b33c58334c7747bc8f74f790420b43b538
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-17

    Release 3.5.92

M	NEWS
M	configure.ac

commit 56152912617b170980e97dd4630ca015b5fef5e3
Author: Benjamin Otte <otte@redhat.com>
Date:	2012-09-17

    Make main window treeview columns resizable

    They were marked as resizable in the ui file before, but setting the
    sizing to autosize (next line in the UI file) toggles that setting off
    again. So use grow-only instead, which preserves the resizability.

M	src/baobab-main-window.ui

commit 1457f8c3c80a013e4cfbeef121538f29a1868968
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2012-09-17

    hindi update

M	po/hi.po

commit 0cdde5f28efa9c5aafe2761008796cbb02568f11
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2012-09-17

    hindi update

M	po/hi.po

commit 9049632951f8a72e70312ad50d28c92595707ad8
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2012-09-17

    hindi update

M	po/hi.po

commit f8b2cd764a78981627cd145dc2b5e99acb40d88e
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2012-09-16

    Updated Danish translation

M	po/da.po

commit b3123ff5a04c1c3a01b173a820abfa09cb9956be
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-15

    Remove duplicate line

M	src/baobab-main-window.ui

commit c3837ef70b2511bbd8c7096547bec634cc1681da
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-15

    When monting a volume check for duplicates.

    It could be in the recent list.

M	src/baobab-location-list.vala

commit 3261a114569fb3566eb548eb3e5075b1e72d1a0a
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-09-15

    Updated Korean translation

M	po/ko.po

commit 0c0da040c8d069a4d794555c48d652717320ef8d
Author: Cheng Lu <chenglu1990@gmail dot com>
Date:	2012-09-15

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 37e4f55fc0304caee978aa908b4e33b496ad8a4f
Author: Cheng Lu <chenglu1990@gmail dot com>
Date:	2012-09-15

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 8d5afe74d795b074066a17902dc9ef84fcb4bc3c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-13

    Fix broken tags in Indonesian help translation

M	help/id/id.po

commit 0f8efd0bc04a96af67f6a9f385519e4dd29e59e8
Author: Ani Peter <apeter@redhat.com>
Date:	2012-09-13

    Updated Malayalam file

M	po/ml.po

commit 8a21dffee8ce7db705b7fdc52059123a5c9cc953
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-13

    Fix previous commit

M	src/Makefile.am

commit a9affb1c2d68058ff810dc694588535267c1ac6d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-12

    Cleanup Makefiles

M	Makefile.am
M	src/Makefile.am

commit ccda4c6ace3fd1682962fa56fabbe890f57034aa
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-09-12

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 2c8bc9ab7c1a6b4c0918ac9d3b15c1f7beb6cef8
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2012-09-12

    Updated Odia Translation

M	po/or.po

commit e5fc4d6be5684bd09fffca3b2364db1aecf0c6d0
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-12

    Fix typos in autogen.sh

M	autogen.sh

commit 39c30b278a20199837ef770c80edf036aa70f35a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-11

    Do not set a useless default text for infobar labels

    https://bugzilla.gnome.org/show_bug.cgi?id=683685

M	src/baobab-main-window.ui

commit 7a00da88a9ed62659c591b1f718c4f4a6b272839
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-09-11

    Updated gujarati file

M	po/gu.po

commit 84f75b39854544bcae921b41872f57e6c5566ab1
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-09-11

    Updated Latvian translation

M	po/lv.po

commit ab634ba5e1d4f22242126f83f6d9c5a564c92195
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-09-11

    Updated Latvian translation

M	po/lv.po

commit c82d3a58c1a909a1949747926a79612f6409861d
Author: Marek Černocký <marek@manet.cz>
Date:	2012-09-09

    Czech translation

M	po/cs.po

commit 28532077716abf65dfeb431d89147e551e94f12b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-08

    scanner: Exclude mount points when scanning the main volume

    This is the original intended behavior for all volumes.

    https://bugzilla.gnome.org/show_bug.cgi?id=683609

M	src/baobab-location.vala

commit a938dfe5df5ce2d5f2627254039c14fd6f7736fd
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-09-08

    trivial: fix spelling in function name

M	src/baobab-window.vala

commit 096600905b7aa3997f72b0c7519c11907f629d1e
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2012-09-07

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit a21a8e7b777f58461879c5b108d8c008227d5b3b
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-07

    Updated Belarusian translation.

M	po/be.po

commit f930593f8b89b652a3c68745463541aff701ab85
Author: Ali Bagheri <alijobemail@gmail.com>
Date:	2012-09-06

    l10n: Updated Persian translation

M	po/fa.po

commit d10d422f8382c7dd4ee9a453b5d310f6f0385ab9
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-05

    Updated British English translation

M	po/en_GB.po

commit 8f7264790a438193417c23abb651666acd22e5ad
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-04

    Updated Galician translations

M	po/gl.po

commit 20c2811af1ccc1962591bc564aebaf53e77c9e40
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:	2012-09-04

    [l10n]Updated Turkish translation

M	po/tr.po

commit 735b47c512bee9e377db5fc88ac098e01d3a5ea1
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-04

    Updated Hungarian translation

M	po/hu.po

commit 990f3fc09fe4f4dba1822b1c69460e92a4dfe607
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-09-03

    Release 3.5.91

M	NEWS
M	configure.ac

commit ad7a84015a452f550494ec15653c9afa89930aa8
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-02

    updated Tamil translation

M	po/ta.po

commit a73634687eab4e5e8ba266b7534a805446620441
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-01

    Updated Polish translation

M	po/pl.po

commit db60b52ba02d1c0666e69df400d112277e5628b3
Author: Claude Paroz <claude@2xlibre.net>
Date:	2012-09-01

    Updated French translation

M	po/fr.po

commit 8823b0bf2a625503c6bb454ca97c07f8ba8d55e9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-30

    Use "back" icon to move back to the locations list

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 9c1fcb7a7bd9f2a25a37d71b57e21b8b4c552428
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-08-29

    Updated Portuguese translation

M	po/pt.po

commit 9c890ed62f40ce7329631b410158d5913a5e4ee5
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-08-28

    Updated Lithuanian translation

M	po/lt.po

commit 5177b493c857c4b959c6c8b9175ef4ca5a60f209
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-27

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit 1d7ca47851af5f5c1d1fa2757fade4d3da2adeb8
Author: Hedda Peters <hpeters@redhat.com>
Date:	2012-08-23

    Updated German translation

M	po/de.po

commit 2ba4b24627e50696e1f3925ab0ea4f15dcb06b32
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit 98c5c7654831374bc1d0431517f98edabd4a7eec
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-22

    Updated Vietnamese translation

M	po/vi.po

commit e3d80dbeff262870251a5555d3365b78bf4de0d9
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-22

    po/vi: imported from Damned Lies

M	po/vi.po

commit d3dbb2f5078868a01d60ac801f3ea818c4ab5d99
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-22

    Updated Polish translation

M	po/pl.po

commit 74b95480d35a31ed988fa893edb78f790651f174
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2012-08-21

    Updated Indonesian translation

M	po/id.po

commit 99a96c02571fa006cfbb8c3870be72e1d426b7aa
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-20

    Release 3.5.90

M	NEWS
M	configure.ac

commit 63aaa39c3e3f3ca2928e98d887b3f9483562e45e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-17

    Update the the C version of egg-list-box

M	src/Makefile.am
M	src/baobab-main-window.ui
A	src/egg-list-box.c
A	src/egg-list-box.h
D	src/egg-list-box.vala
A	src/egglistbox.vapi

commit 866107aa36b06aa0d7ea98fc7996203ae05332a2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-20

    Remove unused monitor-home key from schema

    https://bugzilla.gnome.org/show_bug.cgi?id=617554#c5

M	data/org.gnome.baobab.gschema.xml.in

commit ccd13ac220e65cbe648bc5095f243ce23a4f74ee
Author: Leandro Toledo de Souza <leandrotoledodesouza@gmail.com>
Date:	2012-02-27

    Replace home directory to home folder

    Replaces string in baobab.schemas.in, home directory to home folder.
    I found only one string with this text.

    https://bugzilla.gnome.org/show_bug.cgi?id=617554

M	data/org.gnome.baobab.gschema.xml.in

commit 4423d41928624891ec1800a15060212ee115ea6b
Author: Stas Solovey <whats_up@tut.by>
Date:	2012-08-20

    Updated Russian translation

M	help/ru/ru.po

commit 53f9fe398dacbd730a9e96640101c15dbd3cb05d
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:	2012-08-19

    [l10n] Update Japanese translation

M	po/ja.po

commit 17879a57f5f8b2d7d9eee5bde4068d26e9a8f4b2
Author: A S Alam <aalam@users.sf.net>
Date:	2012-08-19

    update Punjabi Translation

M	po/pa.po

commit 46c3b1fb276d36fa31e2bf226357c16842bd64b1
Author: Stas Solovey <whats_up@tut.by>
Date:	2012-08-17

    Updated Russian translation

M	help/ru/ru.po

commit 94ee31a09d5490e92a37e696604ed641afed173b
Author: Stas Solovey <whats_up@tut.by>
Date:	2012-08-17

    Updated Russian translation

M	po/ru.po

commit d5d3c68aed96a1e7c8c1ca89ad0453aaad04efed
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-17

    main-window: use the content-view style class

    Instead of a custom one

M	src/baobab-main-window.ui

commit af8020d7c90859a7f8915583310f9dbabd24194d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-16

    Updated Galician translations

M	po/gl.po

commit 28891320150778757bdba741b4d65d1c2afcea66
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-16

    Updated Galician translations

M	po/gl.po

commit 5cf94147d4f298f86dca48973633357ce1294390
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-14

    Do not use gnome-common's autogen stuff

M	autogen.sh

commit 254a8505b6cb7bb09ce395b1789c0666333df737
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-14

    Update egg-list-box

M	src/egg-list-box.vala

commit 04596c66b1a81071d0744b81c8c0f87be309d958
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-13

    Updated Hebrew translation.

M	po/he.po

commit 4a98b8860107435e8b134cfeec6ff091fbf6e181
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-13

    Reorder code

    Move private method before the public methods that call it

M	src/baobab-scanner.vala

commit 2f4fece93d55320a744f2603f16bf486948079fb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-13

    Set the model after the scan is started

    When using "reload", starting the scan also clears the model, so we
    need to do that
    before changing the model, so that the view resets its state properly.

M	src/baobab-window.vala

commit 0d7caeb1dd488f0b05e1cf0bac285cac294a53cb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-13

    Set handler id to 0

    It is not really necessary since it gets reassigned when the scan
    starts, but it is
    clearer to set it to 0 anyway.

M	src/baobab-window.vala

commit 20101e6ca9a5cb44f8142d46782ea1b7c002bf17
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-13

    Updated Marathi Translations

M	po/mr.po

commit 8b35964877032d200d02fde7203cffb6b91e7755
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit de99c5f9431373371652666de4f50bdde8e3baea
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-08-12

    Updated Arabic translation

M	po/ar.po

commit 4de8c633e1a0a0bcfbf1e713c349c9b25b582d37
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-08-08

    Updated kn translation

M	po/kn.po

commit bb81156dbe2fc9eb3fc01bc54c92e4d7671bb73e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-07

    Updated Spanish translation

M	po/es.po

commit f2d988f0c1fdad769aad21ba40570fcfa3e1b30c
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-07

    Assamese translation updated

M	po/as.po

commit 82fe9e74508ba6043848afe925ded24771894d58
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-08-07

    Updated Slovenian translation

M	po/sl.po

commit c60cbdfa50b70b6ac4cd9b1a480b744391a28f98
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-06

    Fix warning reported by new vala version

M	src/baobab-location-list.vala

commit 221ee5587ce75f637daef86bc93048e19f839047
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-06

    Bump vala version

    We need this version for the new gtk bindings

M	configure.ac

commit ac6ee88d22df01161a9c17979c81cef9bef18f17
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-08-06

    Updated Greek translation

M	po/el.po

commit 50d5100423c789f408af7430f20864262b80863c
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-06

    Release 3.5.5

M	NEWS
M	configure.ac

commit 1befbf9134900b316e780fa47710efee3946638b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-05

    Factor out helper function for clarity

M	src/baobab-window.vala

commit 1c53ed3c0e33745af5be35135f17e6eaf21181d7
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-05

    Add css class to the toolbar so that we can set a border

M	src/baobab-main-window.ui

commit 2e208082b366c1e0e47256d18e81b20c28d7cebf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-05

    Remove the shadow around the treeview

M	src/baobab-main-window.ui

commit 5c70cb8f8afc801708f9396cb1a2cd6069af65f7
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-05

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit b84b9926d18f517270b94c2268def6ded25e7de9
Author: Praveen Illa <mail2ipn@gmail.com>
Date:	2012-08-04

    Updated Telugu Translation

M	po/te.po

commit e987f0a8658e9739b97780ddd8c10ea49b07a062
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-04

    Force icon to be always 64x64

M	src/baobab-location-widget.vala

commit 33dd963ec88a581b1a222eafe76c4f7496116dfa
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-04

    Hide Scan Remote if needed

    Hide the "scan remote" button if nautilus-connect-server is not
    available

M	src/baobab-connect-server.vala
M	src/baobab-window.vala

commit 6b1ef030247d5ab268cd7fb0388d2a3a902adeca
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-04

    Fix cut&paste error in the .ui file

M	src/baobab-main-window.ui

commit add6171782d7774253325e794ef942af39b28f56
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-04

    Show the current folder name at in the toolbar

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit c86abba7149b55085df0bd144100ef9bcfb173c3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-04

    Use symbolic icon for the cancel/all locations button

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 28d674b6b3a4444d6708bbdd036966f06372048d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-04

    Do not clear the model when cancelling a completed scan

M	src/baobab-scanner.vala

commit f34d0b6724a438f2fad625ee94d7185163c710d1
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-03

    Assamese translation updated

M	po/as.po

commit ae2564e3483a5baec52347c2b783b2c4535bc2ba
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-03

    Actually use the escaped string

M	src/baobab-chart.c

commit 8cf47ce9455a8ecb397ed0e29fe4997c369c0c48
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-03

    Be more careful about escaping pango markup

M	src/baobab-chart.c
M	src/baobab-location-widget.vala

commit b5d598466e79c16aae578604831c039182530d26
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-03

    Update the doap file

    Unfortunately I am the only active maintainer... If you want to get
    listed here just ask :)

M	baobab.doap

commit f50ee40370efdea8f7dfee40bad117f5805aa4a9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-03

    More work on cancellation

    Do not split cancellation in two methods

M	src/baobab-scanner.vala
M	src/baobab-window.vala

commit 335f8864cf83642b2b7a3ada01eabed795e560ae
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-03

    More cancellation fixes

    Reassign the thread scanner reference when creating the new tread,
    properly
    remove the process_result timeout when cancelling and clear the any
    previous error

M	src/baobab-scanner.vala

commit 89dd510264e5be066166b75bbcb9cd52dff69ed9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-02

    Disconnect the signal from the right scanner object

    Disconnect the "completed" signal *before* changing the current
    location object

M	src/baobab-window.vala

commit 89836199f1cbf62e411f6ff799365feb0414af81
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-02

    Fix problems when cancelling a scan

    Now that we reuse the scanner, we need to be more careful when
    cancelling: we need to join the thread, drain the async queue
    and reset
    the cancellable.

M	src/baobab-scanner.vala
M	src/baobab-window.vala
M	src/fixes.vapi

commit c694e269d248ac3ff1e8b496c343713660833a6a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-01

    Release 3.5.4

M	NEWS
M	configure.ac

commit a6a299d4150cd859d30ae5e352beaaac41926b1d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-01

    Fix distcheck

M	pixmaps/Makefile.am

commit 337f300160ed8b4fc1647d784c6e6dc1917679cf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-01

    Remove outdated TODO file

D	TODO

commit e9f20d9e9a28aa585f0b7695c7524207c614d074
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-01

    Bump Gtk requirement

    We need 3.5.9 for GtkLevelBar. Also add a couple of generated files to
    the MAINTEINERCLEANFILES

M	configure.ac
M	src/Makefile.am

commit ab2e1f39f2ef6d0da3eff2a6beaf6583ff2e41a5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-01

    Update git.mk

M	git.mk

commit ffb57a079a02a06bb8f2501e39528b7be8bcf407
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-01

    Also remove the "Scan..." actions from the appmenu

M	src/baobab-menu.ui

commit 045890396bb998e7c9d0067514664f55fc404c68
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-08-01

    When canceling we should not switch to the result page

M	src/baobab-window.vala

commit 0f959e7d458e327fcbb49e759a23cbb48e185880
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    First cut at actovate on click

    Remove the location buttons and start the scan on click

M	src/baobab-location-list.vala
M	src/baobab-location-widget.vala

commit 895cd22ea9471be67ec42359537f6005bba2dca4
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2012-08-01

    [l10n] Update Japanese translation

    Modify the About label

M	po/ja.po

commit c0308c2164d7e67f4e4324c5bf907378a4671ff0
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-01

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 126deef5585559f116fbb5c490c5c75bd3c9250d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    Expose the corresponding Location as a prop

M	src/baobab-location-widget.vala

commit 2e8b50fcedda50930f7075fadea2c8fc81d1b7b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-07-31

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit bcd7538d2c16e31b909f9660c54eac05288d840f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-07-31

    Updated Galician translations

M	po/gl.po

commit 20192f61bd1e892a8618adae70d385fc50086804
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    Add "Copy path to clipboard"

    Fixes bug #646014

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit da582288eaa036d7a3ef900b12709bab5ca6cd02
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    Add mime type to desktop file.

    This way we are listed as an app able to open directories

M	data/baobab.desktop.in.in

commit 26f37353d5ec03b070135763fe83ed6d6991f840
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    Set the icon size for the chart buttons

    Use MENU size so that they are smaller and they look pixel perfect

M	src/baobab-main-window.ui

commit 4481c2895787d6839244b44d4b992551b7a278c6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    Check handler was set before disconnecting

M	src/baobab-window.vala

commit a1d4a65088c5d9a530c34f9772aebf6b1f4c857b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    Use GOption for command line option parsing

M	src/baobab-application.vala

commit 9ae918b9781ec9f774cfdd7c8a7e937661fd8035
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-31

    Remove Stop/Reload from the AppMenu

M	src/baobab-menu.ui

commit bfce83413db398abc8cfd355a811181b02f91ce6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-29

    Move scanner object into the location

    This way we can preserve the scanner for a location and show again the
    results without having to rescan.

M	src/baobab-location-list.vala
M	src/baobab-location.vala
M	src/baobab-scanner.vala
M	src/baobab-window.vala

commit 9c56cf2bc3fd0ae893ec21829aee55bf73ee9c76
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-29

    Factor out method to check if the location is already there

M	src/baobab-location-list.vala

commit 11c68bb6a90003c781fc939b8374cff94ee871e9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-07-30

    Updated Galician translations

M	po/gl.po

commit 63507d910b11c559c49d1be530b974699c65f2d4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-07-29

    Updated Slovenian translation

M	po/sl.po

commit 325c309b1b8e6f70834699af288053beb0ddbd5b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-29

    It turns out that clearing a list is this simple...

    Thanks to Jurg for pointing out I can just set the list to null

M	src/baobab-location-list.vala

commit 3c71b9fd62d7cc76473cc592b49738733bf0768a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-28

    Make the spinner of a sensible size

    Use a 128x128 size request

M	src/baobab-main-window.ui

commit cf34ca475030a957d8d65d42f993172ffac821a1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-28

    Revert "Center toolbar buttons"

    This reverts commit e7fb3358afd21164889c2afba1875a746ffad887.
    "Actions" should be left aligned, centered tool items are used
    to switch
    among views.

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 4b1e7392dbf7b3e3478457ac0f5131e7fbc60e90
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-28

    Store GFile in the Location class

    Use GFile instead of a plain "mount_point" string

M	src/baobab-location-list.vala
M	src/baobab-location-widget.vala
M	src/baobab-location.vala
M	src/baobab-window.vala

commit 9d80e40db7939f9ff4197418d55b4ac6a19b72ac
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-28

    Distinguish volume locations from dir locations

    Do not just special case the home dir, but treat all dirs consistently
    (e.g. with regard to the flags used for the scan)

M	src/baobab-location.vala
M	src/baobab-window.vala

commit 1e515025df2a846ebfe44ec7bd6459a18fa600e4
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-28

    Fold location-monitor into location-list

    There is no reason anymore to split these classes

M	src/Makefile.am
M	src/baobab-location-list.vala
D	src/baobab-location-monitor.vala

commit 4796c4b1eb160275fde4af4eb9f49fd751d06da3
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-07-28

    Updated Indonesian translation

M	po/id.po

commit d456db31f0865fa3fa50dbe5e609fca045021bef
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-27

    Remove settings that are not used anymore

M	data/org.gnome.baobab.gschema.xml.in

commit c341e5d927a62acb86e3f415d6c71e72f43ed77f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-27

    Increase default size

M	src/baobab-window.vala

commit b6addfba95ad01a99c3ddee0b469be657554bc4f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-27

    Add recent files support

    Recently scanned directories are now listed on the "home page"

M	src/baobab-location-list.vala
M	src/baobab-location-monitor.vala
M	src/baobab-location.vala
M	src/baobab-window.vala

commit 30a7923679ded413910c4d16413d3b7d7f665758
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-07-27

    Updated Hungarian translation by Bence Lukács

M	po/hu.po

commit 279637d8f0f67eea7b07e8391f3d95420ca950e2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-07-27

    Updated Spanish translation

M	po/es.po

commit 71ef9c3dd2c24ff483fed2793f70595b21c4bb81
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-07-27

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit ac81cb1e1f4385023af93acf9dc88acef21e1816
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-07-26

    Updated Norwegian bokmål translation

M	po/nb.po

commit 75846db79baf8cabeebea307d29ad84a6862d49d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-26

    Remove stop button from the ui file.

    We do not use it anymore: going back to "All Locations" cancels
    the scan

M	src/baobab-main-window.ui

commit 2c9b6d4f6431e3aa7a3454e13dd3210a8cbc19c0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-26

    Use symbolic icon for refresh icon

M	src/baobab-main-window.ui

commit aab0da10673e7fa26824fb315ef32e5409e50e18
Author: Dennis Cranston <dennis_cranston@yahoo.com>
Date:	2012-07-24

    Use title capitalization for buttons and menu items

    https://bugzilla.gnome.org/show_bug.cgi?id=680570

M	src/baobab-location-widget.vala
M	src/baobab-menu.ui
M	src/baobab-window.vala

commit c7320c350406d23706d4ed1a5b90ed23998a3555
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-24

    Remove result hpaned

    GtkHPaned sizing sucks, I prefer to just force the list and the
    chart to
    split space equally.

M	src/baobab-main-window.ui

commit 694e85365f92f93b484ab63668c3074ddde4511e
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-07-26

    Updated Gujarati Translations

M	po/gu.po

commit f72b0213e8bab8af41c65d08840f588dcf4927ae
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-07-24

    Updated Hebrew translation.

M	po/he.po

commit 61c53d9ea6046efda1f84df4e80424eec0f8d2f4
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-24

    Factor out the location list widget

M	src/Makefile.am
A	src/baobab-location-list.vala
M	src/baobab-location-widget.vala
M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 29a4814e6eef2d791043524865192d596da2a0f6
Author: Paolo Borelli <paolo.borelli@nice-software.com>
Date:	2012-07-23

    More work on the first page look

    Add separator and set a css class. Note you will need
    an updated gnome-themes-standard to get the proper css.

M	src/baobab-window.vala

commit 18b8962a207026fe554a1a1072cbf97269261ccf
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-26

    Use CSS to style the progress cell renderer

M	src/baobab-cellrenderers.vala

commit 856ea33b822d940a956262c78b0096bdcd8f8b85
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-25

    Update volume information when it is mounted

M	src/baobab-location-monitor.vala
M	src/baobab-location.vala

commit e7fb3358afd21164889c2afba1875a746ffad887
Author: Paolo Borelli <paolo.borelli@nice-software.com>
Date:	2012-07-23

    Center toolbar buttons

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit b3fe8f50b356d677ba634eb21cdc26119bdb823c
Author: Paolo Borelli <paolo.borelli@nice-software.com>
Date:	2012-07-23

    Use EggListBox for the location list

    The file egg-list-box.vala is simply cut and pasted from its
    module. We
    should use a git subtree or git submodule, but gnome-autogen script
    fails when it finds the configure.ac of the submodule and I was
    too lazy
    to figure out why.

M	src/Makefile.am
M	src/baobab-main-window.ui
M	src/baobab-window.vala
A	src/egg-list-box.vala

commit d0d34f411892daa815665addf1016e5f10f83ef6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-23

    Do actually quit

M	src/baobab-application.vala

commit f16ee6f3a95d97e1c3158f02c276206ce19a6cc8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-23

    Toolbar is now mandatory

M	src/baobab-menu.ui
M	src/baobab-window.vala

commit 02fd0512e8bd9d870086c55db0d12f736b73c3ee
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-07-23

    Improve UI sensitivity handling

    Make sure "reload" is not available when displaying the "home page"

M	src/baobab-window.vala

commit 83a4a1069319fa3442c23cb8bb6e980aae452d1d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-07-23

    Updated Norwegian bokmål translation

M	po/nb.po

commit 90a6bab370064ca6e5954d1161e2f849784f3c19
Author: Paolo Borelli <paolo.borelli@nice-software.com>
Date:	2012-07-21

    Rework Location Widget

    Use GtkLevelBar and rework layout.

M	src/baobab-location-widget.vala

commit 0d8479210ce413561b878182165c5520a98db187
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-07-20

    Updated Greek translations

M	help/el/el.po
M	po/el.po

commit aaf9301b9f1fe5fe36962b48d1676c74a02878ff
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-07-20

    Updated Belarusian translation.

M	po/be.po

commit ea33d81fe91b7a5e5733d5c185cacdf01ec59577
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-07-19

    Updated Slovenian translation

M	po/sl.po

commit d3e3457b8a68acee8313ac07ae19490618f66962
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-07-19

    Updated Indonesian translation

M	po/id.po

commit 5f63402377d68aef663cbb6b82805fbd8cf03182
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-07-18

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ac181def4354951cd7ba69d2b165a7962cedfddf
Author: Wylmer Wang <wylmerwang@src.gnome.org>
Date:	2012-07-18

    Update Chinese translation

M	po/zh_CN.po

commit e86c8943089877ef0cbc892862d27214bfd258e2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-07-16

    Updated Spanish translation

M	po/es.po

commit 906bd37cfc6dbd60297eae1684ee1bc8da107c50
Author: Leandro Toledo de Souza <leandrotoledodesouza@gmail.com>
Date:	2012-07-15

    Add missing mnemonics

    Add missing mnemonics to strings in chart.
    Basically I replaced gtk_image_menu_item_new_with_label with
    gtk_image_menu_item_new_with_mnemonic and added an _ to do
    a mnemonic.

    https://bugzilla.gnome.org/show_bug.cgi?id=670670

M	src/baobab-chart.c

commit ead1a7a293d5d987a28bdf5e12f38cc66091f498
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-07-15

    Updated Belarusian translation.

M	po/be.po

commit 7de3854353992e335655586f244b5c036abd3ed5
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-07-14

    Updated Lithuanian translation

M	po/lt.po

commit feb1fe4aa4bf9de895b74fe204905ccbc36f1be3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-07-14

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit f6c3dcf39a48a6f008ddee7e33ac2c0188c48605
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-07-13

    Updated POTFILES.skip

M	po/POTFILES.skip

commit c12aa1723290a4d91d9e5d7d2078c2707452d2a3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-07-13

    Updated Spanish translation

M	po/es.po

commit f733c2cb24c20c9cbae0b36a868d7c02609b8947
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-07-13

    Added missing file to POTFILES.in

M	po/POTFILES.in

commit 99b7ba0068d0ab891a7790f4297f9ea2d6aa5278
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-07-10

    Updated Indonesian translation
    Added Indonesian translation of User Guide

M	help/Makefile.am
A	help/id/id.po
M	po/id.po

commit 6fbf1c327671caee2434ada5df375cbf1b9931bf
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-06-30

    po/vi: import from Damned Lies

M	po/vi.po

commit 1cd9c80a93c0c71ba0e6f15cbbaa5cb49b10d2d7
Author: Sasi Bhushan Boddepalli <sasi@swecha.net>
Date:	2012-06-27

    Updated Telugu Translation

M	po/te.po

commit afa0e0c21e10231715ff3c33bec2fdd6668f10f1
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-06-27

    Updated Indonesian translation

M	po/id.po

commit a09f02cc5c397da751a2d9b4cb8bec2b018cec4c
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-06-23

    Release 3.5.3

M	NEWS
M	configure.ac

commit 463dee7890284a02d15cecd025be25d26021b583
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-06-23

    dist the internal header files

    Include baobab-chart.h, baobab-treemap.h, baobab-ringschart.h in
    noinst_HEADERS so that they get included in the tarball.

    We can't put them in baobab_SOURCES because apparently automake's Vala
    support doesn't like that...

M	src/Makefile.am

commit 81a2b087cd716cbfcb5c07d1b5addf013ba92c12
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-06-23

    Adjust to Vala 0.18 bindings for GtkTreeStore

    The 'remove' method now takes its argument by reference (because it
    modifies it to point at the next row after the removed one).

    This was changed in https://bugzilla.gnome.org/show_bug.cgi?id=675402

    Bump Vala dependency to 0.17.1.15, which is the commit that introduced
    the change.

    https://bugzilla.gnome.org/show_bug.cgi?id=678665

M	configure.ac
M	src/baobab-window.vala

commit aef09f1145c1f5aa27c96e68a61bb3d2a263f2ed
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-06-17

    Updated Arabic translation

M	po/ar.po

commit e1435e9b1a7afe863213335b5c3691c53ce62fbd
Author: Shuuji Takahashi <shuuji3@gmail.com>
Date:	2012-06-17

    [l10n] Update Japanese translation

M	po/ja.po

commit 20e470e94fab41346debb9c98c1670bedf20afa7
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-06-03

    Updated French translation

M	po/fr.po

commit 53ae7f56e7501b0e52068c41c8fb7aaa0e53c879
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-05-29

    Updated Slovenian translation

M	po/sl.po

commit d35722cd4e0aafaa98d7ec259e86fddf75a2917a
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-25

    Scanner results before Vala used int for elements not uint64

M	src/baobab-scanner.vala

commit 08b81db76a8bc2823f602225603504bcf04032b0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-05-14

    Remove "snapshot" menu item

    As discussed in https://bugzilla.gnome.org/show_bug.cgi?id=675410 this
    feature is not really useful and just clutters the ui.

M	src/baobab-chart.c

commit 89570d053eaf5768791960828a4a92993416b97a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-11

    Distribute chart icons

M	data/Makefile.am

commit ca9d8a3caad0d0ec85ec748f798f804f436cbd6a
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-05-03

    Updated Belarusian translation.

M	po/be.po

commit 3ad032eab89999419f5895d1b4a8298626c2a715
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-05-02

    Updated Greek translation

M	po/el.po

commit 52e5cc2aea6bb2100261f0b289ed709ceb8da6b7
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2012-04-26

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 3b7c0b3dfcae598eef6450142668c5d3a7bbc57b
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2012-04-26

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 4f378ac85d85bfc28c11377b42445470479aa447
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2012-04-26

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 4d54adca8ee97306813091b7b63707aedfd54fb6
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2012-04-26

    Updated Norwegian Nynorsk translation based on existing
    Ubuntu/Launchpad translation

M	po/nn.po

commit f09c3549a01c46773b5710ad2ae41c6fe62bfc82
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-04-22

    Updated Hebrew translation.

M	po/he.po

commit 5f2f795ca04d9edf901fde5a11d99b8d99593857
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-04-19

    Updated Galician translations

M	po/gl.po

commit 1d06df0eca05a02873875dfec9f47133ab8c87fe
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-04-19

    Updated Spanish translation

M	po/es.po

commit 461a41db01c824b67b1b2057d591685ab8e9e2a2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-04-18

    Updated Norwegian bokmål translation

M	po/nb.po

commit 2d34b46ea5f2a9cfcb7160141502e282e343ed02
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-04-18

    Fix embarrassing typo :-)

M	src/baobab-menu.ui

commit 068891d1b84b3b240d9cdaf844ec897d18e31d45
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-04-16

    Updated Spanish translation

M	po/es.po

commit 445aa9425b35d2a8cd9163f690554664b1f79107
Author: Kalev Lember <kalevlember@gmail.com>
Date:	2012-04-11

    Use AC_PATH_PROG() for finding glib-compile-resources

M	configure.ac

commit 83f1b81e2b1cd0c628c819a2f5ba4d2b5b2326c3
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-11

    window: Improve error message when directory does not exist

M	src/baobab-window.vala

commit 4119a5ceb6b04669cb2f7c9997a4f3786c5bdb25
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-11

    connect-server: Make sure to read data before returning

    When the condition contains both IOCondition.IN and IOCondition.HUP,
    check for data before returning instead of the other way round.

M	src/baobab-connect-server.vala

commit c7e01d8d35caa5b7f7fb1b9a4cbde26d51b63308
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-10

    Add a 'Close' button to the Infobar and clear the message when
    changing UI page

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 721145cdc9febf9a1298bad5346d69a4a42b7c53
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-09

    Remove duplicate properties

M	src/baobab-main-window.ui

commit 2b0b9b6a42b04f92135afce54df064007d7e6896
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-09

    Get usage for the home dir location

M	src/baobab-location.vala

commit b48a64770a0afbc98c71580a9791111dd27ae4f6
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-09

    Minor cleanup

M	src/baobab-chart.c

commit 489a122f285052b628ff58601ebd7ca24e080a33
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-09

    Fix a warning about unhandled exception

M	src/baobab-location-widget.vala

commit 28e663bc6a485353e83f411698255a204811554a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-09

    Fold back ThreadedScanner in Scanner

    Since we decided to drop the sync scanner, we also remove the
    Scanner abstract class and merge it with the concrete ThreadedScanner
    class

M	src/Makefile.am
M	src/baobab-scanner.vala
D	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit b33a91b935599c4e029e7eb60630fe54ea972b34
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-04-07

    Mark forgotten string as translatable

M	src/baobab-window.vala

commit e462271a5f0f3f767012911dc061d748db6352e1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-04-07

    Updated POTFILES.in

M	po/POTFILES.in
M	po/POTFILES.skip

commit f8501c44c89cae1fe40228de2ca24ec9efe4822d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-06

    Remove the get_filesyste_usage method from the scanner

    In the new design we do not need the fs state stored as a tree model
    anymore. Move the logic to calculate the reserved space to the
    location
    class even if it is not used yet.

M	src/baobab-location.vala
M	src/baobab-scanner.vala

commit b1e538e43b64cc6235f1b0ccfd6f96505e0d9ab9
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-06

    Remove the sync scanner

    It was part of the initial prototyping, does not make sense to
    carry it
    around further.

M	src/Makefile.am
D	src/baobab-sync-scanner.vala

commit 1251e74399d6bbbda0d5a4f40b03efb0cf25678d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-06

    Consistenly convert to space indent

    Let's make indentation sane and consistent before it is too late

M	src/baobab-application.vala
M	src/baobab-cellrenderers.vala
M	src/baobab-connect-server.vala
M	src/baobab-location-monitor.vala
M	src/baobab-location-widget.vala
M	src/baobab-location.vala
M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala
M	src/main.vala

commit ed42c3cbd64e9c37b60f520439e980f380fa5420
Author: Chandan Kuamr <chandankumar.093047@gmail.com>
Date:	2012-04-06

    Updated HINDI translation

M	po/hi.po

commit f53e468df576a7a4745ceac325d5da0bf267619c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-05

    Start implementing new design

    Introduce two 'views' in the main window: 'All locations' and
    'Result'.
    In 'All locations' we show a list of all available volumes, while
    'Result' roughly corresponds to the content of the old window. Also,
    rework the toolbar to make it more similar to other GNOME apps.

M	src/baobab-application.vala
M	src/baobab-main-window.ui
M	src/baobab-menu.ui
M	src/baobab-window.vala

commit add0d9240297bbfea1092cec0f608910a983f04d
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-05

    Add an (optional) scanning flag parameter to exclude mount points

M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit dbb36d4306c063c545d3d7a5eada7bb2d7007c2a
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-05

    Implement a custom widget for showing a volume

A	src/baobab-location-widget.vala

commit fe6b9a983e120151c6755e37dbb9c08b61ef8a35
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-05

    Add facilities for volume handling

    Introduce a class Location abstracting the gio concepts of GVolume
    and GMount. Introduce also a LocationMonitor which allows a
    convenient handling of known locations.

M	src/Makefile.am
A	src/baobab-location-monitor.vala
A	src/baobab-location.vala

commit 20e6244fc8defe5a0ae9f5e41a0b87ce83b97a3e
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-03

    window, charts: Display allocated size

M	src/baobab-main-window.ui
M	src/baobab-window.vala

commit 6edb0755c4756f9d5baccc52729dd84ace11568c
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-03

    scanners: Correctly compute allocated size

M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala

commit 2746a222635f0e8e0b4c8f990ddf0364af85c0dc
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-02

    window: stop Spinner when not busy

M	src/baobab-window.vala

commit db5e73d3e3efda21f14d64fed162947fdc9b578a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-15

    First cut at implementing initial state.

    As in the old baobab the "initial state" represents the file system
    usage. Right now this is done with a sync query, but I guess it
    could be
    made async pretty easily. The old code iterated through all mounts,
    while for now I am just querying /.

M	src/baobab-application.vala
M	src/baobab-cellrenderers.vala
M	src/baobab-scanner.vala
M	src/baobab-window.vala

commit 9481d8eadd31c5ab31f2f35a5f7b6f1bb43a1fa7
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-14

    Use symbolic icons for the chart selection

M	data/Makefile.am
A	data/view-ringschart-symbolic.svg
A	data/view-treemap-symbolic.svg
M	src/baobab-main-window.ui

commit 1a0e1f61d686fd16acf73804e3679ced082664b9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-11

    Use GResource

M	configure.ac
M	data/Makefile.am
D	data/baobab-preferences-dialog.ui
M	src/Makefile.am
M	src/baobab-application.vala
R098	data/baobab-main-window.ui	src/baobab-main-window.ui
R100	data/baobab-menu.ui	src/baobab-menu.ui
M	src/baobab-window.vala
A	src/baobab.gresource.xml

commit 4a335938844355b94193c9e63e818fbf18bfcde8
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-05

    Handle scanning error without aborting the scan

    Errors encountered during now show a warning in the info bar, but
    do not
    completely abort the scan. Errors are stored in the model but are not
    yet shown in the treeview.

M	src/baobab-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit a5a7635dcc6c406ad056df1d611611d29f48a10a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-05

    Use a GtkInfoBar to display errors.

M	data/baobab-main-window.ui
M	src/baobab-window.vala

commit cee5ae019493e5d5391c448a2377f6ddaa527573
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-04

    Use Radio buttons for the chart selection

    This makes sure one is always selected.

M	data/baobab-main-window.ui

commit c3d785eeed67e4b546dbcdae677c55f0a3f2d196
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-02-04

    Start to implement "Scan remote dir"

    Instead of reimplementing it, spawn nautilus-connect-server and
    grab the
    output uri. The actual scanning does not work yet.

M	data/baobab-menu.ui
M	src/Makefile.am
A	src/baobab-connect-server.vala
M	src/baobab-window.vala

commit a9d1ce3df2786ef6fe5bea5238cdc71228aba34f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-30

    Show a spinner while scanning.

    Instead of showing it in the toolbar and show a frozen chart like
    we did
    in the old baobab, let's try to just put the spinner in the main chart
    area... seems to look nice enough with the scalable spinner icon used
    these days.

M	data/baobab-main-window.ui
M	src/baobab-window.vala

commit 72f60d198b7953ddc85f87f477dcfdc2c6656ade
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-30

    Sync the treeview selection when chart item is activated

M	src/baobab-window.vala
M	src/baobab.vapi

commit 63a011fc6c3d868de2fd3a02cd1522a41bcb1413
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-29

    Sync the chart root to the treeview selection.

M	src/baobab-window.vala

commit 65fcad2d7583cba0f9a349951cfd576fd899e5da
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-29

    Bubble up scanner errors.

    For now this is very strict: we abort the scan on every error, which
    means that scan filesystem will never work unless running as root. We
    probably need to be more permissive and simply mark directories where
    we do not have permissions and warn that the results may be not
    accurate.

M	src/baobab-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit 405b3b1bbca613c18e77e89e262806cc929e6f1f
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-28

    First cut at treeview context menu

M	data/baobab-main-window.ui
M	src/baobab-window.vala

commit b96797757c0f50c954e6307d7f7dc60e709a7923
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-22

    Use radio buttons for chart selection

    Use two radio buttons at the bottom for the chart selection instead of
    the combobox. I would like to use symbolic icons though...

M	data/baobab-main-window.ui
M	src/baobab-window.vala

commit f377bfcd87ac9078f76109a7e5e1a75c72506598
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-26

    menus: Update to new menu XML format

    The GtkBuilder format for menus changed.  Adjust accordingly.

M	data/baobab-menu.ui

commit 59e554a621f78d76a9315fe2a8fc9cda64152dc1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-17

    Kill the statusbar

    It serves no purpose.

M	data/baobab-main-window.ui
M	data/baobab-menu.ui
M	src/baobab-window.vala

commit 6df210e29ba505c4a238c0d6d389cb075bde9d21
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-17

    Let's give up and special case menus.

    On new shells just use the new app menu, on other systems use a plain
    menubar.

M	data/baobab-menu.ui
M	src/baobab-application.vala

commit 9f71ff7b427fdb4337c2319d0f7412ac3bc11f1e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-17

    More work on the App menu

M	data/baobab-menu.ui
M	src/baobab-application.vala
M	src/baobab-window.vala

commit 35eaedbe45716d507232e227a65822c2ceda60d4
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-17

    First cut at action sensitivity.

M	data/baobab-main-window.ui
M	src/baobab-window.vala

commit 915b9b8e2dc4f918ad54ff1284e283487e6491d3
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-15

    First cut at menus

M	data/Makefile.am
A	data/baobab-menu.ui
M	src/baobab-application.vala
M	src/baobab-window.vala

commit bbdf786ccbc56ebb056b45235dfb58d3d8b71837
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-08

    Add a "completed" signal to the scanner

    Use the new signal to update the window state when the scan is
    completed.

M	src/baobab-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit cd79a8f4bc52ff0477e2dab6320278a65dc500ec
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-08

    Pass the directory in the scanner constructor.

    We decided that scanner is a single use object that is reinstanciated
    every time a new dir is scanned, so passing the directory in the
    constructor makes it more clear.

M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit 861ed960a089aaae5c58547c865a047deeb468a1
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-26

    Adjust to gio vapi changes

    A bunch of stuff was deprecated.  Stop using it.

M	src/baobab-application.vala
M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit dbcbe27e0452eeacbc4a253f1b0b1a06708834de
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-07

    Use the STANDARD_ALLOCATED_SIZE file attribute.

M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala

commit ada5fcde5a36447539aab0f3b7304e26dee82723
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-06

    Make use of new GHashTable API

    Use the new GHashTable APIs just added to GLib.  This requires the
    latest git versions of GLib and Vala to build.

    Also, don't add '/selinux' to the excluded list twice.

M	src/baobab-application.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala

commit 9341f910b0fc39c88e45f409d74d66d707a17339
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-06

    rework code for excluded locations

    Instead of keeping a list attached to the Baobab.Application and
    having
    a method there for checking it, attach a list to the scanner
    object and
    create it at the start of the scan.

    This prevents the scanner from calling back into the application class
    from the worker thread.

    Also, switch to using a hashtable.	We have at least 4 items in it
    (plus
    the ones that the user added) so this should already be slightly
    faster
    than a linear scan.

M	src/baobab-application.vala
M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala

commit f55e9a93c208b827a200e10c0c43837a3aaaa046
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-06

    Start to implement set_busy.

    Note that since the scanner is async we will actually need to
    wire this
    up to a a "running" state of the scanner itself.

M	data/baobab-main-window.ui
M	src/baobab-window.vala

commit 063f39d89f3bf9674ed6e1fd8530b100a83176fb
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-06

    First cut at stop and refresh.

    I need to check with Ryan if he intends the scanner object to be
    reusable or recreated each time.

M	src/baobab-scanner.vala
M	src/baobab-window.vala

commit 143556c5fc66dacd18a5e7d92f755fcf0797344a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-06

    Make the directory a property of the scanner.

M	src/baobab-scanner.vala
M	src/baobab-sync-scanner.vala
M	src/baobab-threaded-scanner.vala

commit 9e5fb2b9c2eb40222f213b3c824421a06c41ca7b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-07

    Implement file chooser dir selection

M	src/baobab-window.vala

commit a6fee9fccb3db7fb8ff92c77fbffb4ba76e2798a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-06

    Implement two trivial handlers

    Implement scan home and scan filesystem.

M	src/baobab-window.vala

commit 4c5f9b766e6d7edfee4edf4df5505bdb3c572b90
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-06

    Use on_signal_name convention for the handlers

    This allows consistent name for all handlers, including the one that
    already have the paste tense in the name (e.g. drag_data_received).
    Also move data structs at the top.

M	src/baobab-window.vala

commit c9c5e0fc120d2bd4d69bcdfe6c6c1aee00ecd7ee
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-01-06

    Implement Drag and Drop.

    Start scanning when a directory uri is dropped on the window.

M	src/baobab-window.vala

commit 0bd2b24762075aa2b0fd4715b1bbe645fa05b525
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-06

    wire up the toolbar buttons

    This requires the latest git version of vala to build.

    In order to actually work, it also requires a patched gtk+ (with
    the patch in bug #667394).

M	data/baobab-main-window.ui
M	src/baobab-window.vala

commit 284ddde0431bb0bd55b3f22882097688f9c60606
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    main window ui: use default toolbar style

M	data/baobab-main-window.ui

commit 5c0dfdf83decb4895fef6cc968e9577f6ac693c7
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    main window ui: reorder children in file

    This commit should have no effect -- it just puts the children in the
    order of appearance.

M	data/baobab-main-window.ui

commit 814aad4305a70ca6c3a233126cef1eeef4e2e587
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    main window ui: tweak some margins and sizes

M	data/baobab-main-window.ui

commit 684ad2222b5b20a471cbfca38dc52b4266374cad
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    expand first row when it is added

    and refactor baobab-window a bit

M	src/baobab-window.vala

commit ed4309dfc46d88f57cf115074f182d68770cd20f
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    sort the model by size by default

M	src/baobab-scanner.vala

commit d236b7460c8a9be26cd5584f571a9aca517be5ba
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    Introduce threaded scanner

M	src/Makefile.am
A	src/baobab-threaded-scanner.vala
M	src/baobab-window.vala
A	src/fixes.vapi

commit 6ae95b1fec76128b112d5ec6875fc0e4155aa569
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    scanner: split interface from implementation

M	src/Makefile.am
M	src/baobab-scanner.vala
C074	src/baobab-scanner.vala src/baobab-sync-scanner.vala
M	src/baobab-window.vala

commit 0b7815a1b02ff8c8f8b7d8e193c3a86946fa6878
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    reimplement the progress bar cell renderer

    If we base this on GtkCellRendererProgress then we can drop a lot of
    lines (really, we only need to implement the draw function).

M	data/baobab-main-window.ui
M	src/Makefile.am
D	src/baobab-cell-renderer-progress.c
D	src/baobab-cell-renderer-progress.h
M	src/baobab-cellrenderers.vala

commit 41cc3f0a5fd63fce0e3ab42730dfc01716b40ff5
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    scanner: calculate percents as we go

    Instead of doing one big recursive percentage calculation at the
    end, do
    it at each level.  This way we don't have to wait for "calculating
    percentages..." after the scan.

M	src/baobab-scanner.vala

commit c038b5011976178edc00e0cb09dd4eb3c6ef3a27
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    wire up the chart properly

    and publish max_depth as a property on the model

M	src/baobab-scanner.vala
M	src/baobab-window.vala

commit 47b0f124f5a734a2b2ed69c2ff8f627f65249fac
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-05

    scanner: accumulate sizes and calculate percent

M	src/baobab-scanner.vala

commit 586355bd14c9a4b3b4f5f4563ebef66f84b8df93
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2012-01-04

    Begin rewrite in Vala

    The current baobab code is in a bad way, so after some discussion on
    IRC, we've decided that a rewrite is in order.

     - the core application logic will be switched to Vala

     - more effective use will be made of GtkBuilder

     - the charts (ringchart, treemap) and progress cell renderer are
       well-written, so we will keep the C versions of them around

     - the port will make use of GtkApplication, including GMenu

    This commit represents the very start of a rather large
    work-in-progress.

M	autogen.sh
M	configure.ac
M	data/baobab-main-window.ui
M	src/Makefile.am
A	src/baobab-application.vala
A	src/baobab-cellrenderers.vala
D	src/baobab-prefs.c
D	src/baobab-prefs.h
D	src/baobab-remote-connect-dialog.c
D	src/baobab-remote-connect-dialog.h
D	src/baobab-scan.c
D	src/baobab-scan.h
A	src/baobab-scanner.vala
D	src/baobab-treeview.c
D	src/baobab-treeview.h
D	src/baobab-utils.c
D	src/baobab-utils.h
A	src/baobab-window.vala
D	src/baobab.c
D	src/baobab.h
A	src/baobab.vapi
D	src/callbacks.c
D	src/callbacks.h
A	src/config.vapi
A	src/main.vala

commit 03a40a6081976724feb14495de3c75d5c5873bf1
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-05

    Revert "chart: Fix directory size shown in tooltip"

    This reverts commit af46a41474a4f70493268fd23544266efb96be5b.

M	src/baobab-chart.c

commit baf248a74462a405a537c96039bc5353c53f003d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-04-05

    Release 3.4.1

M	NEWS
M	configure.ac

commit af46a41474a4f70493268fd23544266efb96be5b
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-04-02

    chart: Fix directory size shown in tooltip

    A typo introduced in commit b6642cd2d4e99fe.

    https://bugzilla.gnome.org/show_bug.cgi?id=673359

M	src/baobab-chart.c

commit e1d65b82e38532bb66c33c28ebb57d1903cee98f
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-03-31

    [l10n] Updated Indonesian translation

M	po/id.po

commit 4818869614887d42ebb72ed85c009b02afa36079
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-03-29

    Updated Arabic translation

M	po/ar.po

commit 5e08166844c15fef39a2b03a95b983a760b9407f
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-03-29

    Updated French doc translation

M	help/fr/fr.po

commit 3f60d28463d1da068e9abd07202ae413f64f31cf
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-26

    Release 3.4.0

M	NEWS
M	configure.ac
M	help/sl/sl.po

commit 26f2a80cb8b14ce18b405949c1b47702c113d9c3
Author: Saša Batistič <sasa.batistic@gmail.com>
Date:	2012-03-26

    Updated Slovenian translation

M	help/sl/sl.po

commit 3dbfe321ad9e78d543a79e1793798e7bbaa1f6f2
Author: Saša Batistič <sasa.batistic@gmail.com>
Date:	2012-03-26

    Updated Slovenian translation

M	help/sl/sl.po

commit 04d3a1d6dee0e7175047927df491008f699fe26e
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2012-03-26

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 46d29516b9030bd711d13d9bea3830f95b02c98d
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-03-26

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit a1326d4a108f68187cf1e5bba5aff62486beeb32
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-03-26

    [l10n] Updated Catalan translation

M	po/ca.po

commit 6487166c345f83f1ffbddf2446406d25de39bdca
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-03-25

    [l10n] Updated Italian translation

M	po/it.po

commit 2f82da60061cc6af14fc84fcadab8b9604244fb3
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2012-03-25

    [l10n] Update Japanese translation

M	po/ja.po

commit 08b7ba6e1120deb6ee1a629a41c779e497e135bf
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2012-03-22

    Updated Esperanto translation

M	po/eo.po

commit b86de54e83b28beff473f9ed3f6aca49edaa7856
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2012-03-22

    Updated Esperanto translation

M	po/eo.po

commit 2a8696fa5cf7c8a1096398b3ba4db46481dfe99a
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2012-03-22

    Updated Esperanto translation

M	po/eo.po

commit 7ccc529018c9f1ed8bda655dbe7c3e4c9dfac7f4
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2012-03-21

    Updated Danish translation

M	po/da.po

commit 77bb2a1c5529f6fe2979c618f362dc107a67032d
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-03-21

    Updated Vietnamese translation

M	po/vi.po

commit 63eafb8d865d597d4564a37acb0e299c4632984b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-03-21

    po/vi: import from Damned Lies

M	po/vi.po

commit 40bae6ca9bbafdfa558554cdfc86526c9795b94a
Author: Funda Wang <fundawang@gmail.com>
Date:	2012-03-21

    Updated zh_CN translation.

M	po/zh_CN.po

commit 464e26a0e86375abaa75a489706a6c5f965af0fa
Author: A S Alam <aalam@users.sf.net>
Date:	2012-03-20

    update Punjabi Translation

M	po/pa.po

commit 8a51962176e2f6e42049ff174549ca40548af6f5
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:	2012-03-20

    Malayalam translation updated

M	po/ml.po

commit b6bb188bbd147aa38e60b3aace069ceca7d9a404
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:	2012-03-20

    Add initial Khmer translation

M	po/LINGUAS
A	po/km.po

commit 676312bc8e6b9c0b1fde980df389daf20832a525
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-19

    Release 3.3.4

M	NEWS
M	configure.ac

commit 023bf385971d42fc8a3f42a871b12710877529a1
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-03-18

    Uploaded Ukranian

M	po/uk.po

commit 6bb93b1717cc9acd96e800b23b455856c1682d6f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-03-18

    Updated Lithuanian translation

M	po/lt.po

commit 688afa654e4c0eb3de716f3351a00aba2eb8fba5
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-18

    Remove duplicated sentemce.

    https://bugzilla.gnome.org/show_bug.cgi?id=671943

M	help/C/scan-file-system.page

commit b5f7ddfb708df45d2660d53e56ac7576e831b73d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-03-18

    Updated Portuguese translation

M	po/pt.po

commit fdfba8ceaafe9be7ce68b78eb88dc04c34867ac1
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-03-16

    Updated Kannada Translation

M	po/kn.po

commit fdff92996c22650a4ba20036125c5c0eaea3df62
Author: Sasi Bhushan <sasi@swecha.net>
Date:	2012-03-16

    Updated Telugu Translation

M	po/te.po

commit 693bc1b3c9e7ed9606418498b97da98ec16566cf
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-15

    baobab-ringschart: fix visibility of outmost items

    Small errors due to finite precision can sum up and lead to
    a max radius for outmost items slightly bigger than max radius
    of the chart, making those items invisible. Avoid this by using
    the discrete item depth instead.

M	src/baobab-ringschart.c

commit 81fc2fd506fb776bf64002be2a1f87dc77e4f09f
Author: Marek Černocký <marek@manet.cz>
Date:	2012-03-15

    Updated Czech translation

M	po/cs.po

commit c9147aa782abd4aa1f325c239906b4c16e7e7e19
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-15

    baobab-chart: allow to zoom out by clicking on central sector

M	src/baobab-chart.c

commit d724a028d54fea765dda4578a1f30910e77ab1a9
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-13

    baobab-chart: add dummy handler for GDK_SCROLL_SMOOTH

M	configure.ac
M	src/baobab-chart.c

commit 0ed540ba4aef8691ac8ed619e96eeef6fa0f8144
Author: Anita Reitere <nitalynx@gmail.com>
Date:	2012-03-14

    Updated Latvian translation.

M	po/lv.po

commit 1452678cc4bc2747c0998ed54a6f04932c506804
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-03-13

    Updated British English translation

M	po/en_GB.po

commit ac8ccc71bce4f1c456bbd036fb1c97462924e9e9
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2012-03-12

    Fix help link

    yelp-tools help links need / instead of ?
    Update help link for new help page name

    https://bugzilla.gnome.org/show_bug.cgi?id=671955

M	src/baobab-prefs.c
M	src/baobab-utils.c

commit c9209b31d0a49d9e0ac8f085ba4a11b13944c55e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-12

    Small corrections in the Hungarian help translation

M	help/hu/hu.po

commit a10d93d744f352ed37f354438a0a21ec8952ec84
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-12

    Updated Hungarian translation

M	po/hu.po

commit 70867b2032ed368692c90db4bc09492642b615c0
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-03-12

    Finnish translation update from
    http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

M	po/fi.po

commit 23b6f634584598ff73d054dbc1b8fc8949e64379
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2012-03-10

    Updated Persian Translation

M	po/fa.po

commit 026c1f18376c8664410184045b0fdd41a636e2e0
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-03-09

    Release 3.3.3

M	NEWS
M	configure.ac

commit 5218c903298d7bb7b57fe110fe4b65538ab5eea1
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-03-08

    Assamese translation completed

M	po/as.po

commit 66ad37228e155fe6707064109eae2dd17cc1e969
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-08

    baobab-chart: fix scrolling

    After recent GTK+ changes, GDK_SCROLL_MASK must be explicitly added.

M	src/baobab-chart.c

commit ed50b167ca7d0b0e2d5234bdc40049024c35d804
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:	2012-03-08

    Fix build

M	help/gl/gl.po

commit 2e8892ad33e9002a674a7f4877b231e04b9aa8c7
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-03-07

    Updated Korean translation

M	po/ko.po

commit f4af4c4478c461a18fcbf24fca0880040dbe6a83
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-03-05

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1e5898eef413d954509f304a3b085e537ecc142f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-04

    Added hu to DOC_LINGUAS

M	help/Makefile.am

commit 68ae9ac238c9c7ed9614597f4f1930ed1c3afb7d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-04

    Hungarian help translation added by Bence Lukacs

A	help/hu/hu.po

commit dd5ca9c40675742f24a734a5405d267477859909
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-03-04

    Updated French translation

M	po/fr.po

commit 7a2ebc08276eda3903a538168908fd8ba44f8211
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-04

    Updated Hungarian translation

M	po/hu.po

commit 9916d450dc49eca54158eb943cfd68f2169ed237
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-04

    Updated Polish translation

M	po/pl.po

commit c127ad6d30dcc39d3dec99bc23a0c971f979c149
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-03

    Updated Polish translation

M	po/pl.po

commit fd09c4238c05b7087a6bc3196f3ac89e54158da1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2012-03-03

